<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 



if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['driver_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}
if(empty($_GET['booking_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}



// ------------------- get all value in variables start ------------------- //


$driver_id=$_GET['driver_id'];
$booking_id=$_GET['booking_id'];

 $updatetime  = date('Y-m-d H:i:s');



 // =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where user_id=? ");
$check_user_all->bind_param("i",$driver_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($driver_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}

$update_booking = $mysqli->prepare("UPDATE booking_master set `onway_date_time`=?,updatetime=? where booking_id=?");   
$update_booking->bind_param("ssi",$updatetime,$updatetime,$booking_id);
$update_booking->execute();
$update_booking_num = $update_booking->affected_rows;
if($update_booking_num <= 0){
    $record = array('success'=>'false','msg'=>$user_booking_update_unsuccess,'error'=>9);
    jsonSendEncode($record);
}





    
   
   $check_job_id_all=$mysqli->prepare("SELECT user_id, driver_id, booking_number, booking_id from booking_master where delete_flag=0 and booking_id=?");
    $check_job_id_all->bind_param("i",$booking_id);
    $check_job_id_all->execute();
    $check_job_id_all->store_result();
    $check_job_id=$check_job_id_all->num_rows;  //0 1
    if($check_job_id <= 0){
        $record = array('success'=>'false', 'msg'=>$booking_not_found); 
    	jsonSendEncode($record);
    }
    
    $check_job_id_all->bind_result($customer_id, $driver_id, $booking_number, $booking_id_get);
    $check_job_id_all->fetch();


    
     $notification_name = 'NA';
	$notification_details     = getUserDetails($driver_id);
	if($driver_details != 'NA'){
	    $notification_name = $notification_details['name'];
	}
	
    //==========notification sent for social login----------//
    $notification_arr = array();
    
    $user_id_notification = $driver_id;
    $other_user_id_notification = $customer_id;
    $action = 'ontheway';
    $action_id = $booking_id;
    $title = array('Booking Ontheway','Booking Ontheway','Booking Ontheway','Booking Ontheway');
    $msg = $notification_name.' has ontheway  your booking #'.$booking_number.'.';
    $message = array($msg,$msg,$msg,$msg);
    $action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
    $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data); 
    if($notification_arr_check != 'NA'){
        $notification_arr[] = $notification_arr_check;
    }
    
    
    if (!empty($notification_arr)) {
        oneSignalNotificationSendCall($notification_arr);
    }
    // ------------------ Notification array end ------------------ //
    
    
//-------------------------- get all content --------------------------
$booking_arr =getBookingDetails($booking_id);
if(empty($booking_arr)){
    $booking_arr='NA';
}


$mysqli->close();
$record=array('success'=>'true','msg' =>$user_booking_update_success,'booking_arr'=>$booking_arr); 
jsonSendEncode($record);

?>