<?php

    include 'con1.php';
    include 'function_app_common.php'; 
    include 'function_app.php'; 
    include 'mailFunctions.php'; 
    include 'language_message.php';
    include 'jwt_function.php';
    if(!$_POST){
        $record=array('success'=>'false', 'msg' =>$msg_post_method); 
        jsonSendEncode($record);
    }

    if(empty($_POST['user_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }
    if(empty($_POST['booking_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }

    

    if(empty($_POST['comment'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }else{
        $comment         = $_POST['comment'];
    }

    if(empty($_POST['other_user_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }

  
    
    //-------------------------------- get all value in variables -----------------------

    $user_id         = $_POST['user_id'];
    $other_user_id   = $_POST['other_user_id'];
    $booking_id      = $_POST['booking_id']; 
   
   
 
    $delete_flag     = 0;
    $createtime      = date('Y-m-d H:i:s');
    $updatetime      = date('Y-m-d H:i:s');

    //-------------------------- check user_id --------------------------

   

    $check_user_all=$mysqli->prepare("SELECT user_id,name,user_type From user_master Where  user_id=? ");
    $check_user_all->bind_param("i",$user_id);
    $check_user_all->execute();
    $check_user_all->store_result();
    $check_user=$check_user_all->num_rows;  //0 1
    if($check_user <= 0){
        $record=array('success'=>'false','msg' =>$user_not_found); 
        jsonSendEncode($record);
    }
    $check_user_all->bind_result($user_id_get, $name,$user_type);
    $check_user_all->fetch();
   // ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}

// ---------------------- check account activate or not end ----------------------  
    $check_job_id_all=$mysqli->prepare("SELECT user_id, collection_id, booking_number, booking_id from booking_master where delete_flag=0 and booking_id=?  ");
    $check_job_id_all->bind_param("i",$booking_id);
    $check_job_id_all->execute();
    $check_job_id_all->store_result();
    $check_job_id=$check_job_id_all->num_rows;  //0 1
    if($check_job_id <= 0){
        $record = array('success'=>'false', 'msg'=>$booking_not_found); 
    	jsonSendEncode($record);
    }
    
    $check_job_id_all->bind_result($user_id_get, $collection_id, $booking_number, $booking_id_get);
    $check_job_id_all->fetch();

    $insert_all=$mysqli->prepare("INSERT INTO `booking_comment_master`(`user_id`, `other_user_id`, `booking_id`, `comment`,`createtime`,`updatetime`)VALUES (?,?,?,?,?,?)");
    $insert_all->bind_param("iiisss",$user_id,$other_user_id,$booking_id,$comment,$createtime,$updatetime); 
    $insert_all->execute();
    $insert=$mysqli->affected_rows;
    // $rate_id_get =$mysqli->insert_id;
    if($insert<=0){ 
        $record=array('success'=>'false','msg' =>$booking_send_unsuccess); 
        jsonSendEncode($record); 
    }      
    $last_id =$mysqli->insert_id;
    
    
    $notification_arr = array();
    $notification_name = 'NA';
	$notification_details     = getUserDetails($user_id);
	if($notification_details != 'NA'){
	    $notification_name = $notification_details['name'];
	} 
	
    
    $user_id_notification = $user_id;
    $other_user_id_notification = $other_user_id;
    $action = 'booking_comment';
    $action_id =$booking_id;
    $title = array('Comment ','Comment','Comment ','Comment');
    $messages = $notification_name.' has sent a Comment';
    $messages1 = $notification_name.' has sent a Comment';
    
    $message = array($messages,$messages1,$messages,$messages);
    $action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
    
    $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data); 
    if($notification_arr_check != 'NA'){
        //print_r($notification_arr_check);
        $notification_arr[] = $notification_arr_check;
    }
    
    

    
     if (!empty($notification_arr)) {
        if($user_type == 1){
        oneSignalNotificationSendCallDriver($notification_arr);
    }
    else{
        oneSignalNotificationSendCall($notification_arr);
    }
    }
    
    
    
    
    $mysqli->close();
    //------------------ response here -----------------------
    $record=array('success'=>'true','msg' =>$comment_send_success);
    jsonSendEncode($record);
    
?>

