<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';
include 'jwt_function.php';

require 'dompdf/vendor/autoload.php';

use Dompdf\Dompdf;
use Dompdf\Options;
use ArPHP\I18N\Arabic;

if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['booking_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['extra_service_ids'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'extra_service_ids'); 
    jsonSendEncode($record);
}else{
    $extra_service_ids                  =   $_POST['extra_service_ids'];
}

if(empty($_POST['payment_type_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'payment_type_id'); 
    jsonSendEncode($record);
}

// if(empty($_POST['extra_payment'])){
//     $extra_payment_new=0;
// }else{
//     $extra_payment_new                  =   $_POST['extra_payment'];
// }
if(empty($_POST['extra_payment'])){
  $extra_payments=0;
}else{
  $extra_payments                  =   $_POST['extra_payment'];
}
$extra_payment_exp = explode(',',$extra_payments);
$extra_payment_new = $extra_payment_exp[0];

if (empty($_POST['wallet_amount'])) {
    $wallet_amount = 0;
  }else{
      $wallet_amount = $_POST['wallet_amount'];
  }
  
  if(empty($_POST['transaction_id'])){
      $transaction_id ='' ;
  }else{
      $transaction_id           = $_POST['transaction_id'];
  }
 
 
  if(empty($wallet_amount)){
      $wallet_amount_used_status	 =  0   ;
  }else{
      $wallet_amount_used_status     =  1	;
  }
  if(empty( $_POST['payment_mode'])){
      $payment_modes	 = 0 ;
  }else{
      $payment_modes     =   $_POST['payment_mode']	;
  }
 
  $payment_type_ids          =   $_POST['payment_type_id'];
  $payment_type_exp = explode(',',$payment_type_ids);
  $payment_type_id = $payment_type_exp[0];
  $payment_mode_exp = explode(',',$payment_modes);
  $payment_mode = $payment_mode_exp[0];



//-------------------------------- get all value in variables -----------------------
$user_id                  =   $_POST['user_id'];
$booking_id               =   $_POST['booking_id'];
$payment_type_id          =   $_POST['payment_type_id'];
$updatetime               =   date('Y-m-d H:i:s');
$createtime               =   date('Y-m-d H:i:s');
$delete_flag              =   0;



//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile from user_master where user_id = ? and user_type = 1 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile);
           $check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
// $decoded = jwtAuthDecode($token,$user_id);
// if ($decoded['code'] != 100 ) {
// 	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
// 	jsonSendEncode($record);
// }else{
//      $token_user_id = $decoded['user_id'];
// }

$check_get_booking_all=$mysqli->prepare("SELECT `booking_id`, `booking_number`, `booking_type`,driver_user_id,`discount`, `coupan_code_id`, `coupan_code`, `discount_amount`, `service_total_amount`, `tax_percentage`, `tax_amount`, `grand_total_amount`, `total_amount`, `item_total_amount`,txn_number, `discount_type`, `discount_wallet_amount`,  `extra_service_ids`,car_size_name_eng,car_size_name_arb,service_id FROM `booking_master` WHERE  delete_flag =0 and booking_id =?  ");

$check_get_booking_all->bind_param("i",$booking_id);
$check_get_booking_all->execute();
$check_get_booking_all->store_result();
$check_get_booking=$check_get_booking_all->num_rows;  //0 1
if($check_get_booking > 0){

    $check_get_booking_all->bind_result($booking_id,$booking_number,$booking_type,$driver_user_id,$discount,$coupan_code_id,$coupan_code,$discount_amount,$service_total_amount,$tax_percentage,$tax_amounts,$grand_total_amount,$total_amount,$item_total_amounts,$txn_number,$discount_type, $discount_wallet_amount,$extra_service_ids_get,$car_size_name_eng,$car_size_name_arb,$service_id);
    $check_get_booking_all->fetch();

}else{
    $record = array('success' => 'false', 'msg' => $booking_not_found);
    jsonSendEncode($record);
}
$extra_service_ids_get_exp = array();
if(!empty($extra_service_ids_get)){
    $extra_service_ids_get_exp = explode(',',$extra_service_ids_get);

}
$service_title_english ='NA';
$service_title_arabic ='NA';
$service_name_arr =array();
$service_image_arr =array();
$check_booikng_service_all = $mysqli->prepare("SELECT booking_service_id,title_english,title_arabic,image1,image2 from booking_service_master where delete_flag=0 and booking_id =? and service_id = ? ");
					 $check_booikng_service_all->bind_param("ii", $booking_id,$service_id);
					 $check_booikng_service_all->execute();
					 $check_booikng_service_all->store_result();
					 $check_booikng_service = $check_booikng_service_all->num_rows;
					 if ($check_booikng_service > 0) {
						 $check_booikng_service_all->bind_result($booikng_service_id,$service_title_english,$service_title_arabic,$image1_get,$image2_get);
						 $check_booikng_service_all->fetch() ;
							 
							 $service_name_arr  = array($service_title_english,$service_title_arabic);
							 $service_image_arr = array($image1_get,$image2_get);
						 
					}
// //------------------------------order item details-----------
 

        $extra_service_ids_get_imp =0;
                        $delete_flag=0;
           
                        $total_item_amount_new_extra = 0;
                        $extra_servicess ='';
                        $extra_servicess_arb ='';
                        if(!empty($extra_service_ids)){
                            $extra_service_ids_exp = explode(',',$extra_service_ids);
                        for($i=0;$i<count($extra_service_ids_exp);$i++){
                            $extra_service_idss = $extra_service_ids_exp[$i];
                        $check_extra_service_id = $mysqli->prepare("SELECT `extra_service_id`, `title_english`, `title_arabic`, `image1`, `image2`, `price`, `main_service_ids`, `subscription_related_type` FROM `extra_service_master` WHERE delete_flag =0 and extra_service_id =? ");
                        $check_extra_service_id->bind_param('i', $extra_service_idss);
                        $check_extra_service_id->execute();
                        $check_extra_service_id->store_result();
                        $check_extra_service = $check_extra_service_id->num_rows;  //0 1
                        if ($check_extra_service <= 0) {
                            $record = array('success' => "false", 'msg' => array("Extra service does not exists!"));
                            jsonSendEncode($record);
                        }
                        
                        else{   
                            
                     
                           $check_extra_service_id->bind_result( $extra_service_id,$title_english,$title_arabic,$image1,$image2,$extra_service_price,$main_service_ids,$subscription_related_type);
                           $check_extra_service_id->fetch();

                          

                           $extra_service_ids_get_exp[] =  $extra_service_id;
                            $total_item_amount_new_extra = $total_item_amount_new_extra + $extra_service_price;
                           $insert_order_item_all = $mysqli->prepare("INSERT INTO 
                            booking_extra_service_master( `booking_id`, `extra_service_id`, `title_english`, `title_arabic`, `image1`, `image2`, `price`,  `subscription_related_type`,  `delete_flag`, `createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?,?,?,?)");
                            $insert_order_item_all->bind_param("iisssssiiss",$booking_id,$extra_service_id, $title_english, $title_arabic, $image1, $image2,$extra_service_price,$subscription_related_type, $delete_flag,
                            $createtime, $updatetime);
                            $insert_order_item_all->execute();
                            $insert_order_item = $mysqli->affected_rows;
                            // echo $insert;
                            if ($insert_order_item <= 0) {
                                $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
                                jsonSendEncode($record);
                            }
                        }
                     }
                     if(!empty($extra_service_ids_get_exp)){
                        $extra_service_ids_get_imp = implode(',',$extra_service_ids_get_exp);
                    
                    }
                   }
                   $extra_payments = getExtraPayment($booking_id);
                   $item_total_amount= $item_total_amounts+$total_item_amount_new_extra;
                   $extra_payment = $extra_payments + $extra_payment_new;
                   $total_amount_old = $extra_payment + $service_total_amount + $item_total_amount;
                   $tax_amount = $total_amount_old * $tax_percentage/100;
                   $total_amount = $extra_payment + $service_total_amount + $item_total_amount+$tax_amount;
                   $grand_total_amount = $extra_payment + $service_total_amount + $item_total_amount+$tax_amount;
                   $discount_amount = 0;

                   $total_amount_old_new = $extra_payment_new + $total_item_amount_new_extra;
                   $tax_amount_new       = $total_amount_old_new * $tax_percentage/100;
                   $total_amount_new     = $extra_payment_new +$total_item_amount_new_extra + $tax_amount_new;

                   if(!empty($coupan_code_id)){
                    $amount = $extra_payment + $service_total_amount + $item_total_amount+$tax_amount;
                    $discount_amount = $amount * $discount/100;

                    $total_amount_news  = $extra_payment_new +$total_item_amount_new_extra + $tax_amount_new;
                           $discount_amounts = $total_amount_news * $discount/100;
                       if($discount_type == 1){
                           
                           $grand_total_amount  = $amount - $discount_amount;
                           
                           
                           $total_amount_new  = $total_amount_news - $discount_amounts;
                       }
                   }
                  
                   
                    if($payment_mode == 1){
                       $payment_status = 0;
                    }
                    elseif($payment_mode == 2){
                       $payment_status = 2;
                    }
                    elseif($payment_mode == 3){
                       $payment_status = 0;
                    }
                    elseif($payment_mode == 4){
                       $payment_status = 2;
                    }
                    elseif($payment_mode == 5){
                       $payment_status = 0;
                    }else{
                       $payment_status = 0;
                    }
                    $insert_order_service_all = $mysqli->prepare("INSERT INTO 
                   booking_payment_master(user_id, `booking_id`, `payment_mode`, `payment_status`, `payment_type_id`, `transaction_id`, `total_amount`, `delete_flag`, `createtime`, updatetime,extra_payment,wallet_amount,wallet_amount_used_status) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?)");
                   $insert_order_service_all->bind_param("iiiiississssi",$user_id,$booking_id, $payment_mode, $payment_status, $payment_type_id, $transaction_id, $total_amount_new,$delete_flag,$createtime,$updatetime,$extra_payment_new,$wallet_amount,$wallet_amount_used_status);
                   $insert_order_service_all->execute();
                   $insert_order_service = $mysqli->affected_rows;
                   // echo $insert;
                   if ($insert_order_service <= 0) {
                       $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
                       jsonSendEncode($record);
                   }
                   if(!empty($wallet_amount) ){
                   
                           $user_status = 0;
                           $other_status = 1;
                           $other_user_id = 1;
                           $discount_wallet_amount = 0;
                           $insert_user_wallet_all = $mysqli->prepare("INSERT INTO 
                           user_wallet_master(`user_id`, `other_user_id`, `booking_id`, `amount`, `status`, `delete_flag`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
                           $insert_user_wallet_all->bind_param("iiisiiss",$user_id,$other_user_id,$booking_id,$wallet_amount, $user_status,$delete_flag,$createtime,$updatetime);
                           $insert_user_wallet_all->execute();
                           $insert_user_wallet = $mysqli->affected_rows;
                           // echo $insert;
                           if ($insert_user_wallet <= 0) {
                               $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
                               jsonSendEncode($record);
                           }
                           $insert_other_user_wallet_all = $mysqli->prepare("INSERT INTO 
                           user_wallet_master(`user_id`, `other_user_id`, `booking_id`, `amount`, `status`, `delete_flag`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
                           $insert_other_user_wallet_all->bind_param("iiisiiss",$user_id,$other_user_id,$booking_id,$wallet_amount, $other_status,$delete_flag,$createtime,$updatetime);
                           $insert_other_user_wallet_all->execute();
                           $insert_other_user_wallet = $mysqli->affected_rows;
                           // echo $insert;
                           if ($insert_other_user_wallet <= 0) {
                               $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
                               jsonSendEncode($record);
                           }
                   
                   }
$invoice_pdf ='';
                   $update_all = $mysqli->prepare("UPDATE  booking_master set tax_amount=?,extra_service_ids = ?,`grand_total_amount`=?,  `total_amount`=?, `item_total_amount`=?, service_total_amount=?,  `discount_amount`=?,invoice_pdf  =?, updatetime =? where booking_id =? ");
                   $update_all->bind_param("sssssssssi",$tax_amount,$extra_service_ids_get_imp,$grand_total_amount,$total_amount,$item_total_amount,$service_total_amount,$discount_amount, $invoice_pdf, $updatetime,$booking_id);
                   $update_all->execute();
                   $update = $mysqli->affected_rows;
                   if ($update <= 0) {
                       $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
                       jsonSendEncode($record);
                   }

                   
$service_name_eng = $service_title_english;
$service_name_arb = $service_title_arabic;

$booking_numbers               =   generateRandomOTP(6);
$invoice_number               =   '#WSI'.$booking_numbers;
            
$total_amount_new = $service_total_amount+$item_total_amount;
$quantity =1;
// ('.$car_size_name_arb.')-
// ('.$service_name_arb.')




$check_extra_service_id_new = $mysqli->prepare("SELECT  `title_english`,  `price`,title_arabic FROM `booking_extra_service_master` WHERE delete_flag =0 and booking_id =? order by booking_extra_service_id asc");
                        $check_extra_service_id_new->bind_param('i', $booking_id);
                        $check_extra_service_id_new->execute();
                        $check_extra_service_id_new->store_result();
                        $check_extra_service_check = $check_extra_service_id_new->num_rows;  //0 1
                        if ($check_extra_service_check > 0) {
                         
                          $check_extra_service_id_new->bind_result( $title_englishs,$extra_service_prices,$title_arabics);
                          while($check_extra_service_id_new->fetch()){

                          
 
                            

                           $extra_quantity =1;
                           $extra_servicess .='<tr>
                           <td>'.$title_englishs.'</td>
                           <td class="text-center">'.$extra_quantity.'</td>
                           <td class="text-center">'.$extra_service_prices.' SR</td>
                           </tr>';
                           $extra_servicess_arb .='<tr>
                           
                           <td class="text-right">'.$title_arabics.'</td>
                           <td class="text-right">'.$extra_quantity.'</td>
                         
                           <td class="text-right">'.$extra_service_prices.'SR</td>
                           </tr>';

                        }
                      }









                      $pdf_html3='';
                      $pdf_html3.='<!DOCTYPE html>
                      <html>
                      <head>
                        <meta charset="UTF-8">
                      
                          
                        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
                        <title>Washsquad</title>
                        <head>
                          <style>
                            .panel-heading{
                              background-color: #28B67E;
                          height: 54px;
                          border-radius: 5px 5px 0px 0px;
                      
                            }
                            .panel-title{
                              padding-left: 12px;
                          padding-top: 9px;
                            }
                            tr td{
                              color: #4F7476;
                            }
                            .invoice-title h2{
                              color: #4F7476;
                      font-weight: 700;
                             }
                      
                             .detail address{
                              color: #4F7476;
                             }
                            .detail{
                              position: relative;
                          top: -27px;
                            }
                            .pull-right img{
                              position: relative;
                          left: 362px;
                          top: 40px;
                      
                      
                            }
                            .container{
                              margin-top: 32px;
                        
                            }
                            hr{
                              position: relative;
                          top: -41px;
                          border-top: 3px solid rgb(45 45 45 / 43%);
                            }
                      
                            .tabledata{
                              position: relative;
                          top: -27px;
                            }
                            .text{
                              margin-top:105px;
                              margin-left: 0px;
                              margin-right: 0px;
                            }
                          
                          </style>
                          
                      </head>
                      <body>
                      <div class="container">
                      
                      <div class="invoice-title">
                      <h2>Simplified VAT invoice</h2>
                      
                      </div>
                      
                      
                      
                      <table class="table "style="margin:30px 0px!important;font-size:15px!important;" >
                      
                      <tr>
                        <td style="border:0!important;">   
                             
                              Wash Squad Company<br>
                              Riyadh , King Fahad 3372 , 4422<br>
                              VAT Number ID : 31930022010100<br>
                             
                              </td>
                        <td style="border:0!important;">
                           <img src="'.$app_logo.'" alt="Logo" style="width: 30px; height: 30px;margin-top:-5px;margin-left:38%;!important;"><br>
                              Washsquad International Company<br>
                              For Information System Technology<br>
                               
                              </td>
                      
                      </tr>
                      
                      </table>
                          <b><hr></b>
                          
                          <div class="row tabledata">
                            <div class="col-md-6">
                              <table class="table table-bordered">
                                <tbody>
                                  <tr>
                                    <td>Invoice Number</td>
                                    <td>'.$invoice_number.'</td>
                                  
                                  </tr>
                                  <tr>
                                    <td>Invoice Date</td>
                                    <td> '.date('F d, Y',strtotime($createtime)).'</td>
                              
                                  </tr>
                                  <tr>
                                    <td>Order Number</td>
                                    <td>'.$booking_number.'</td>
                                    
                                  </tr>
                                  </tbody>
                                  </table>
                                  </div>
                                  </div>
                              
                      <div class="row">
                        <div class="col-md-12">
                          <div class="panel panel-default">
                            <div class="panel-heading" style="background-color:#28B67E;">
                              <h3 class="panel-title"><strong>Order summary</strong></h3>
                            </div>
                            <div class="panel-body">
                              <div class="table-responsive">
                                <table class="table table-bordered">
                                  <thead>
                                                  <tr>
                                        <td><strong>Services </strong></td>
                                        <td class="text-center"><strong>Quantity</strong></td>
                                        <td class="text-center"><strong>Price</strong></td>
                                                  </tr>
                                  </thead>
                                  <tbody>
                                    
                                    <tr>
                                      <td>'.$service_name_eng.'- '.$car_size_name_eng.'</td>
                                      <td class="text-center">'.$quantity.'</td>
                                      <td class="text-center">'.$service_total_amount.' SR</td>
                                    </tr>
                                                 '.$extra_servicess.'
                                                  
                                    </tbody>
                                    </table>
                                    </div>
                                    <div class="row">
                                      
                                      <div class="col-md-6">
                                        <table class="table table-borderless" >
                                          <tbody>
                                            <tr>
                                     
                                      <td class="thick-line text-left"><strong>Total Taxable Amount(Excluding VAT)</strong></td>
                                      <td class="thick-line text-right"> '.$total_amount_new.' SR</td>
                                      
                                    </tr>
                                    <tr>
                                     
                                      <td class="no-line text-left"><strong>Total VAT</strong></td>
                                      <td class="no-line text-right"> '.$tax_amount.' SR</td>
                                      
                                    </tr>';
                                    if(!empty($extra_payment)){
                                      $pdf_html3.='<tr>
                                     
                                      <td class="no-line text-left"><strong>Extra Payment Amount</strong></td>
                                      <td class="no-line text-right"> '.$extra_payment.' SR</td>
                                     
                                    </tr>';
                                    }
                                    if(!empty($coupan_code_id)){
                                      if($discount_type == 1){
                                      $pdf_html3.='<tr>
                                      
                                      <td class="no-line text-left"><strong>Discount Amount</strong></td>
                                      <td class="no-line text-right"> '.$discount_amount.' SR</td>
                                      
                                    </tr>';
                                    }else{
                                      $pdf_html3.='<tr>
                                     
                                      <td class="no-line text-left"><strong>Discount Amount In Wallet</strong></td>
                                      <td class="no-line text-right"> '.$discount_amount.' SR</td>
                                      
                                    </tr>';
                                    }
                                  }
                                  $Due = '';
                                  if($payment_status == 0 || $payment_status == 1 ){
                                    $Due = 'Due';
                                  }
                                    $pdf_html3.='<tr>
                                      
                                      <td class="no-line text-left"><strong>Total Amount '.$Due.'</strong></td>
                                      <td class="no-line text-right"> '.$grand_total_amount.' SR</td>
                                     
                                    </tr>
                                  </tbody>
                                </table>
                                </div>
                              <div class="row text">
                                <div class="col-md-12">
                                <h1 style="font-size:20px; color:#4F7476;"><strong>Terms and Service Agreements :</strong></h1>
                                </label>
                                <p style="padding-top: 5px; color:#4F7476;"> We do not remove tar, oils, paints, stains, or abrasions on the body (the outer frame of the car) or the internal and external stickers.
                      Our employees are trustees, and we, as Wash Squad, have no responsibility for the loss of personal items, and the customer has no right to give the employee
                      the car key or the employee to receive the car key (your personal items are your responsibility)
                      We are not responsible for the breakdowns resulting from the provision of the service, whether electrical or other without limitation
                      We strive to remove the stuck dirt, but some dirt may be difficult for us to remove, and the customer has no right to demand its removal.
                      There is no return of service to the customer after the work team leaves the site. </p>
                              </div>
                              </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      
                      </div>
                      </div>
                      
                      </body>
                      </html>';
                              $options = new Options();
                              $options->setIsRemoteEnabled(true);
                              $dompdf = new Dompdf($options);
                              $dompdf->load_html($pdf_html3);
                              $dompdf->render();
                              $output = $dompdf->output();
                              $pdf_name=date('YmdHis');
                              file_put_contents('pdf_file/file'.$pdf_name.''.$user_id.'.pdf', $output);
                              
                          $pdf_file='file'.$pdf_name.''.$user_id.'.pdf';
                      
                      
                         
                        $datenew =date('F d, Y',strtotime($createtime));
                        $pdf_html5='';


                        require_once('tcpdf/vendor/autoload.php');
                        class MYPDF extends TCPDF {
                        
                          //Page header
                          public function Header() {
                            // $this->SetY(20);
                          }
                        
                        }
                        $pdf = new MYPDF('P', 'mm', 'A4', true, 'UTF-8', false);
                        
                        $pdf->SetCreator(PDF_CREATOR);
                        $pdf->SetAuthor('Washsquad');
                        $pdf->SetTitle('Washsquad');
                        $pdf->SetSubject('How to create a PDF with Arabic text using TCPDF');
                        $pdf->SetKeywords('TCPDF, PDF, Arabic, example, guide');
                        
                        $pdf->SetFont('dejavusans', '', 12);
                        $pdf->Cell(0, 10, 'This is some content without a header line.', 0, 1);
                        
                        
                        $pdf_html5 = '<!DOCTYPE html>
                        <html>
                        <head>
                          <meta charset="UTF-8">
                          <meta name="viewport" content="width=device-width, initial-scale=1.0">
                          
                          <title>Washsquad</title>
                          <style type="text/css">
                            body {
                              
                              text-align: right;
                              
                            }
                            
                            table {
                              border-spacing: 0;
                              direction: rtl;
                        
                            }
                            
                            th, td {
                              
                              font-size:10px;
                             
                        
                             
                            }
                            table td span { display: inline-block; padding: 4px 2px 14px 2px; }
                        
                            
                            .invoice-title h4 {
                              font-weight: 700;
                            }
                            
                            .panel-heading {
                              background-color: #28B67E;
                              max-height: 20px;
                              border-radius: 5px 5px 0px 0px;
                              margin-top:40px!important;
                              margin-bottom:30px!important;
                            }
                            
                            .panel-title {
                              padding-left: 15px;
                              margin-left: 5px;
                            }
                            
                            .detail address,
                            tr td,
                            .invoice-title h2 {
                              color: #4F7476;
                            }
                            
                            .detail {
                              position: relative;
                              top: -27px;
                            }
                            
                            .pull-right img {
                              position: relative;
                              left: 362px;
                              top: 40px;
                            }
                            
                            .container {
                              margin-top: 32px;
                              
                            }
                            
                          
                            
                            .tabledata {
                              position: relative;
                              top: 10px;
                            }
                            
                            .text {
                              margin-top: 105px;
                              margin-left: 0px;
                              margin-right: 0px;
                            }
                            .new-table td{
                                 border: 1px solid #ccc;
                        
                        
                        
                            }
                            .table-border
                            {
                                border:none;
                            }
                            new-table td p {
                                padding:20px;
                            }
                        
                          </style>
                        </head>
                        <body>
                        <div class="container">
                          <div class="invoice-title">
                            <h4>فاتورة ضريبية مبسطة</h4>
                          </div>
                          <table  cellpadding="10" class="table" style="margin:20px 5px 0px -2px important;font-size:15px!important;" >
                            <tr>
                           
                              <td>
                              <p style="margin-top:10px;">
                        
                                Wash Squad شركة<br>
                                الرياض، الملك فهد 3372، 4422<br>
                                الرقم الضريبي: 31930022010100<br>
                                </p>
                              </td>
                                 <td >
                                <img src="'. $app_logo.'" alt="Logo" style="width: 30px; margin-top: -5px;margin-left:38%;">
                                <br>
                                شركة ووش سكواد<br>
                                لتقنية نظم المعلومات<br>
                              </td>
                            </tr>
                          </table>
                          <div  style="margin:30px 5px;border-top:1px solid #ccc;"></div>
                          <div class="row tabledata" >
                            <div class="col-md-6">
                              <table  cellpadding="10" class="table table-bordered new-table" style="margin-top:50px!important;">
                                <tbody>
                                  <tr>
                                  <td >
                                  رقم الفاتورة  
                                  
                                  </td>
                                    <td style="padding: 10px;" ><p style="padding:20px;">'. $invoice_number.'</p></td>
                                    
                                  </tr>
                                  <tr>
                                  <td>تاريخ الفاتورة</td>
                                    <td>'. $datenew.'</td>
                                   
                                  </tr>
                                  <tr>
                                  <td>رقم الطلب</td>
                                    <td>'. $booking_number.'</td>
                                    
                                  </tr>
                                </tbody>
                              </table>
                            </div>
                          </div>
                          <div class="row">
                            <div class="col-md-12">
                              <div class="panel panel-default">
                                <div  >
                                  <h4 style=" background-color: #28B67E;margin-right:10px;"><p style="margin-top:10px;">ملخص الطلب  </p></h4>
                                </div>
                                <div class="panel-body">
                                  <div class="table-responsive">
                                    <table cellpadding="10" class="table new-table " style=" text-align:center; ">
                                     
                                       
                                      <tbody style="border:0;">
                                       <tr>
                                        
                                          <td >السعر</td>
                                          <td>الكمية</td>
                                          
                                          <td >الخدمة</td>
                                        </tr>
                                   
                                        <tr>
                                         
                                          <td>'. $service_total_amount.' SR</td>
                                          <td>'. $quantity.'</td>
                                        
                                            <td>'. $service_name_arb . '- ' . $car_size_name_arb.'</td>
                                        </tr>
                                        '. $extra_servicess_arb.'
                                      </tbody>
                                    </table>
                                  </div>
                                  <div class="row">
                                    <div class="col-md-6"></div>
                                    <div class="col-md-6">
                                      <table  cellpadding="10" class="table  table-border " style="margin-top:10px;" >
                                        <tbody style="padding-top:10px!important;">
                                          <tr>
                                           
                                           
                                            <td >'. $total_amount_new.' SR</td>
                        
                                            <td > الإجمالي الخاضع للضريبة
                                            ( غير شامل ضريبة القيمة المضافة)</td>
                                           
                                          </tr>
                                          <tr>
                                        
                                            <td >'. $tax_amount.' SR</td>
                                              <td >إجمالي ضريبة القيمة المضافة</td>
                                      
                                           
                                          </tr>';
                                           if (!empty($extra_payment)) {
                                            $pdf_html5 .='<tr>
                                           
                                              <td >'. $extra_payment.' SR</td>
                                               <td >مبلغ الدفع الإضافي</td>
                                              
                                              
                                            </tr>';
                                           }
                        
                        
                                           
                                           if (!empty($coupan_code_id)) {
                                            if ($discount_type == 1)  {
                                         
                                              $pdf_html5 .=  '<tr>
                                             
                                                <td >'. $discount_amount.' SR</td>
                                                 <td >مقدار الخصم</td>
                                               
                                               
                                              </tr>';
                                            }else{
                                            $pdf_html5 .=   ' <tr>
                                           
                                                <td >'. $discount_amount.' SR</td>
                                                 <td >مبلغ الخصم في المحفظة</td>
                                                
                                               
                                              </tr>';
                                             }     }
                                        
                                          
                                          $Due = '';
                                          if ($payment_status == 0 || $payment_status == 1) {
                                            $Due = ' المستحق';
                                          }
                                          
                                         $pdf_html5 .= '<tr>
                                    
                                            <td >'. $grand_total_amount.' SR</td>
                                                 <td > '. $Due.'إجمالي المبلغ</td>
                                            
                                            
                                          </tr>
                                        </tbody>
                                      </table>
                                    </div>
                                  </div>
                                  <div class="row text">
                                    <div class="col-md-12">
                                      <h1 style="font-size:12px;  color:#4F7476;">: شروط واتفاقيات الخدمة </h1>
                                      <p style="padding-top: 5px;  color:#4F7476;font-size:10px;">لا نزيل القار او الزيوت او البويه او التشهيب او الحكات على البدي (الاطار الخارجي للسيارة ) او الملصقات الداخلية والخارجية
                                      موظفينا امناء وليس لدينا كـ ووش سكواد مسؤولية عن فقدان الأغراض الشخصية ولا يحق للعميل إعطاء الموظف مفتاح السيارة او استلام الموظف مفتاح السيارة (اغراضك الشخصية مسؤوليتك)
                                      ليس لدينا مسؤولية عن الأعطال الناتجة عن تقديم الخدمة سواء كانت كهربائية او غيرها بلا حصر
                                      نجتهد في إزالة الأوساخ العالقة ولكن بعض الأوساخ قد تستصعب علينا إزالتها ولا يحق للعميل المطالبة بإزالته.
                                    تحقق دائماً من مدى رضاك عن الخدمة فلا يوجد اعادة الخدمة للعميل بعد ذهاب فريق العمل من الموقع
                                      </p>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        </body>
                        </html>';
                        $pdf->AddPage();
                        $pdf->writeHTML($pdf_html5, true, false, true, false, '');
                        
                        $pdf_name = date('YmdHis');
                        file_put_contents('pdf_file/filearabic' . $pdf_name . '' . $user_id . '.pdf', $pdf->output('', 'S'));
                        
                        
// $pdf_html5 = '<!DOCTYPE html>
// <html>
// <head>
//   <meta charset="UTF-8">
//   <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
//   <title>Washsquad</title>
//   <style type="text/css">
//     body {
//       direction: rtl;
//       text-align: right;
     
//     }
    
//     table {
//       border-spacing: 0;
//     }
    
//     th, td {
//       padding: 10px;
//       border: 1px solid #ccc;
//     }
    
    
//     .invoice-title h4 {
//       font-weight: 700;
//     }
    
//     .panel-heading {
//       background-color: #28B67E;
//       height: 54px;
//       border-radius: 5px 5px 0px 0px;
//       margin-top:40px!important;
//       margin-bottom:30px!important;
//     }
    
//     .panel-title {
//       padding-left: 15px;
//       margin-left: 5px;
//     }
    
//     .detail address,
//     tr td,
//     .invoice-title h2 {
//       color: #4F7476;
//     }
    
//     .detail {
//       position: relative;
//       top: -27px;
//     }
    
//     .pull-right img {
//       position: relative;
//       left: 362px;
//       top: 40px;
//     }
    
//     .container {
//       margin-top: 32px;
      
//     }
    
//     hr {
//       position: relative;
//       top: -41px;
//       border-top: 3px solid rgb(45 45 45 / 43%);
//     }
    
//     .tabledata {
//       position: relative;
//       top: 10px;
//     }
    
//     .text {
//       margin-top: 105px;
//       margin-left: 0px;
//       margin-right: 0px;
//     }
//   </style>
// </head>
// <body>
// <div class="container">
//   <div class="invoice-title">
//     <h4>فاتورة ضريبية مبسطة</h4>
//   </div>
//   <table  class="table" style="margin:20px 5px 0px -2px important;font-size:15px!important;" >
//     <tr>
//       <td style="border:none!important;">
//         <img src="'. $app_logo.'" alt="Logo" style="width: 30px; margin-top: -5px;margin-left:38%;">
//         <br>
//         شركة ووش سكواد<br>
//         لتقنية نظم المعلومات<br>
//       </td>
//       <td style="border:none!important; ">
//         Wash Squad شركة<br>
//         الرياض، الملك فهد 3372، 4422<br>
//         الرقم الضريبي: 31930022010100<br>
//       </td>
//     </tr>
//   </table>
//   <hr  style="margin:30px 5px">
//   <div class="row tabledata" >
//     <div class="col-md-6">
//       <table class="table table-bordered" style="margin-top:50px!important;">
//         <tbody>
//           <tr>
//           <td >رقم الفاتورة</td>
//             <td>'. $invoice_number.'</td>
            
//           </tr>
//           <tr>
//           <td>تاريخ الفاتورة</td>
//             <td>'. $datenew.'</td>
           
//           </tr>
//           <tr>
//           <td>رقم الطلب</td>
//             <td>'. $booking_number.'</td>
            
//           </tr>
//         </tbody>
//       </table>
//     </div>
//   </div>
//   <div class="row">
//     <div class="col-md-12">
//       <div class="panel panel-default">
//         <div class="panel-heading" >
//           <h4 style="margin-right:10px;"><p style=" letter-spacing:1.2px; padding-top:-20px; padding-right: 20px; margin-right:-20px; margin-left:20px;">ملخص الطلب  </p></h4>
//         </div>
//         <div class="panel-body">
//           <div class="table-responsive">
//             <table class="table table-bordered">
//               <thead>
//                 <tr>
//                 <td>الخدمة</td>
                  
//                   <td>الكمية</td>
//                   <td>السعر</td>
//                 </tr>
//               </thead>
//               <tbody>
//                 <tr>
//                 <td>'. $service_name_arb . '- ' . $car_size_name_arb.'</td>
//                   <td>'. $quantity.'</td>
                
//                   <td>'. $service_total_amount.' SR</td>
//                 </tr>
//                 '. $extra_servicess_arb.'
//               </tbody>
//             </table>
//           </div>
//           <div class="row">
//             <div class="col-md-6"></div>
//             <div class="col-md-6">
//               <table class="table table-borderless" style="margin-top:10px" >
//                 <tbody style="padding-top:100px!important;">
//                   <tr>
                   
                   
//                     <td style="border:none!important;"> الإجمالي الخاضع للضريبة
//                     ( غير شامل ضريبة القيمة المضافة)</td>
//                     <td style="border:none!important;">'. $total_amount_new.' SR</td>
                   
//                   </tr>
//                   <tr>
//                   <td style="border:none!important;">إجمالي ضريبة القيمة المضافة</td>
//                     <td style="border:none!important;">'. $tax_amount.' SR</td>
              
                   
//                   </tr>';
//                    if (!empty($extra_payment)) {
//                     $pdf_html5 .='<tr>
//                     <td style="border:none!important;">مبلغ الدفع الإضافي</td>
//                       <td style="border:none!important;">'. $extra_payment.' SR</td>
                      
                      
//                     </tr>';
//                    }


                   
//                    if (!empty($coupan_code_id)) {
//                     if ($discount_type == 1)  {
                 
//                       $pdf_html5 .=  '<tr>
//                       <td style="border:none!important;">مقدار الخصم</td>
//                         <td style="border:none!important;">'. $discount_amount.' SR</td>
                       
                       
//                       </tr>';
//                     }else{
//                     $pdf_html5 .=   ' <tr>
//                     <td style="border:none!important;">مبلغ الخصم في المحفظة</td>
//                         <td style="border:none!important;">'. $discount_amount.' SR</td>
                        
                       
//                       </tr>';
//                      }     }
                
                  
//                   $Due = '';
//                   if ($payment_status == 0 || $payment_status == 1) {
//                     $Due = ' المستحق';
//                   }
                  
//                  $pdf_html5 .= '<tr>
//                  <td style="border:none!important;"> '. $Due.'إجمالي المبلغ</td>
//                     <td style="border:none!important;">'. $grand_total_amount.' SR</td>
                    
                    
//                   </tr>
//                 </tbody>
//               </table>
//             </div>
//           </div>
//           <div class="row text">
//             <div class="col-md-12">
//               <h1 style="font-size:20px;  color:#4F7476;">: شروط واتفاقيات الخدمة </h1>
//               <p style="padding-top: 5px;  color:#4F7476;">لا نزيل القار او الزيوت او البويه او التشهيب او الحكات على البدي (الاطار الخارجي للسيارة ) او الملصقات الداخلية والخارجية
//               موظفينا امناء وليس لدينا كـ ووش سكواد مسؤولية عن فقدان الأغراض الشخصية ولا يحق للعميل إعطاء الموظف مفتاح السيارة او استلام الموظف مفتاح السيارة (اغراضك الشخصية مسؤوليتك)
//               ليس لدينا مسؤولية عن الأعطال الناتجة عن تقديم الخدمة سواء كانت كهربائية او غيرها بلا حصر
//               نجتهد في إزالة الأوساخ العالقة ولكن بعض الأوساخ قد تستصعب علينا إزالتها ولا يحق للعميل المطالبة بإزالته.
//             تحقق دائماً من مدى رضاك عن الخدمة فلا يوجد اعادة الخدمة للعميل بعد ذهاب فريق العمل من الموقع
//               </p>
//             </div>
//           </div>
//         </div>
//       </div>
//     </div>
//   </div>
// </div>
// </body>
// </html>
// ';
//                       // echo $pdf_html5;
//                         require_once __DIR__ . '/mpdf/vendor/autoload.php';
                      
                      
                      
                      
//                       $mpdf = new \Mpdf\Mpdf([
                      
//                           'mode' => 'utf-8',
                      
//                           'fontDir' => __DIR__ . '/mpdf/fonts/',
                      
//                           'fontdata' => [
                      
//                               'arabic' => [
                      
//                                   'R' => 'Lateef-Regular.ttf',
//                                   // 'R' => 'Scheherazade-Regular.ttf',
                      
//                               ],
                      
//                           ],
                      
//                           'default_font' => 'arabic',
                      
//                       ]);
                      
//                       $mpdf->WriteHTML($pdf_html5);
//                       // $outputs = $mpdf->Output('', 'S');
                      
//                       $outputs =$mpdf->Output('', 'S');
//                       $pdf_name = date('YmdHis');
//                       file_put_contents('pdf_file/filearb' . $pdf_name . '' . $user_id . '.pdf', $outputs);
                      
                              
                        $pdf_file_arb='filearabic'.$pdf_name.''.$user_id.'.pdf';   

   $update_all = $mysqli->prepare("UPDATE  booking_master set invoice_pdf_arb=?, invoice_pdf  =?, updatetime =? where booking_id =? ");
   $update_all->bind_param("sssi", $pdf_file_arb,$pdf_file, $updatetime,$booking_id);
   $update_all->execute();
   $update = $mysqli->affected_rows;
   if ($update <= 0) {
       $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
       jsonSendEncode($record);
   }
// ------------------ Notification array end ------------------ //

$mysqli->close();
$record=array('success'=>'true', 'msg' =>$msg_extra_service_added_successfully,'booking_number'=>$booking_number,'booking_id'=>$booking_id,'transaction_id'=>$transaction_id);  
jsonSendEncode($record);

?>