<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'jwt_function.php';



if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['booking_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'booking_id');
    jsonSendEncode($record);
}
if (empty($_POST['booking_request_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'booking_request_id');
    jsonSendEncode($record);
}
if (empty($_POST['reject_reason'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'reject_reason');
    jsonSendEncode($record);
}



// -------------- POST value from field --------------- //
$user_id               =   $_POST['user_id'];
$booking_id            =   $_POST['booking_id'];
$booking_request_id    =   $_POST['booking_request_id'];
$reject_reason         =   $_POST['reject_reason'];
$createtime            =   date('Y-m-d H:i:s');
$updatetime            =   date('Y-m-d H:i:s');
$status                =   1;

//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id,name from user_master where user_id =? and user_type =2");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}

$check_user_id->bind_result($user_id_get,$name);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------- check account activate or not end ----------------------
  $check_booking_id = $mysqli->prepare("SELECT booking_id  from booking_request_master where delete_flag = 0 and booking_id =? and booking_request_id=? and user_id = ? ");
  $check_booking_id->bind_param('iii', $booking_id,$booking_request_id,$user_id);
  $check_booking_id->execute();
  $check_booking_id->store_result();
  $check_check_booking_id = $check_booking_id->num_rows;  //0 1
  if ($check_check_booking_id <= 0) {
      $record = array('success' => 'false', 'msg' => $booking_not_found);
      jsonSendEncode($record);
  }
  else{
     
      $check_booking_id_all = $mysqli->prepare("SELECT booking_request_id from booking_request_master where delete_flag = 0  and booking_request_id =? and status !=2 ");
      $check_booking_id_all->bind_param('i', $booking_request_id);
      $check_booking_id_all->execute();
      $check_booking_id_all->store_result();
      $check_check_booking_id_all = $check_booking_id_all->num_rows;  //0 1
      if ($check_check_booking_id_all > 0) {
  
          $check_booking_id_all->bind_result($booking_request_id);
          $check_booking_id_all->fetch();
      }else{
          $record = array('success' => 'false', 'msg' => $booking_already_rejected);
          jsonSendEncode($record);
      }
  }


$status_accept = 2;
$update_job_bid_all=$mysqli->prepare("UPDATE  `booking_request_master` SET cancellation_reason =?, status = ?,updatetime = ? where booking_id = ? and user_id = ? and delete_flag = 0 and booking_request_id = ?  ");
$update_job_bid_all->bind_param("sisiii",$reject_reason, $status_accept,$updatetime,$booking_id,$user_id,$booking_request_id);
$update_job_bid_all->execute();
$update_job_bid=$mysqli->affected_rows;
if($update_job_bid<=0){ 
    $record=array('success'=>'false','msg' =>$msg_booking_accept_unsuccess); 
    jsonSendEncode($record); 
}

// ========================= Response ========================= //
$mysqli->close();
$record = array('success' => 'true', 'msg' => $msg_booking_reject_success_new);
jsonSendEncode($record);
