<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';


if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}

if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if(empty($_POST['subscription_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'subscription_id');
    jsonSendEncode($record);
}

//-------------------------------- get all value in variables -----------------------
$user_id = $_POST['user_id'];
$subscription_id = $_POST['subscription_id'];
$status = 3 ;


//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id from user_master where  user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------
 $active_status = checkAccountActivateDeactivate($user_id);
 if($active_status == 0){
	 $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
	 jsonSendEncode($record); 
 }

//-------------------------- check job start ------------------
$check_job_id = $mysqli->prepare("SELECT `user_subscription_id` from  user_subscription_master WHERE user_id = ? and user_subscription_id = ? and delete_flag=0");
$check_job_id->bind_param('ii', $user_id, $subscription_id);
$check_job_id->execute();
$check_job_id->store_result();
$check_job = $check_job_id->num_rows;  //0 1
if($check_job <= 0){
	$record = array('success'=>'false', 'msg'=>$subscription_not_found); 
	jsonSendEncode($record);
}
$check_job_id->bind_result($user_subscription_id_get);
$check_job_id->fetch();

$check_cancel_id = $mysqli->prepare("SELECT `user_subscription_id` from user_subscription_master WHERE user_id = ? and `user_subscription_id` = ? and status = 3 ");
$check_cancel_id->bind_param('ii', $user_id, $subscription_id);
$check_cancel_id->execute();
$check_cancel_id->store_result();
$check_cancel = $check_cancel_id->num_rows;  //0 1
if($check_cancel > 0){
	$record = array('success'=>'false', 'msg'=>$already_cancel_subscription); 
	jsonSendEncode($record);
}
//-------------------------- check job end ------------------
$updatetime =   date('Y-m-d H:i:s');
//-------------------------- update job ------------------
$update_job_all=$mysqli->prepare("UPDATE  `user_subscription_master` SET  status = ?,   updatetime = ? where user_subscription_id = ? and user_id = ? ");
$update_job_all->bind_param("isii", $status,$updatetime,$subscription_id,$user_id);
$update_job_all->execute();
$update=$mysqli->affected_rows;
if($update<=0){ 
    $record=array('success'=>'false','msg' =>$subscription_cancel_unsuccess); 
    jsonSendEncode($record); 
}
//-------------------------- update job end ------------------
//-------------------------- send responce ------------------
$getUserDetails=getUserDetails($user_id);
$mysqli->close();
$record = array('success'=>'true', 'msg'=>$subscription_cancel_success, 'user_details'=>$getUserDetails); 
jsonSendEncode($record); 


?>