<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';

include 'jwt_function.php';

require 'dompdf/vendor/autoload.php';

use Dompdf\Dompdf;
use Dompdf\Options;
use ArPHP\I18N\Arabic;

// error_reporting(E_ALL);
// ini_set('display_errors', '1');


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['description'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'description'); 
    jsonSendEncode($record);
}
if(empty($_FILES['document_file'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'document_file'); 
    jsonSendEncode($record);
}
if(empty($_POST['quantitys'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'quantitys'); 
    jsonSendEncode($record);
}


if(empty($_POST['product_ids'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'product_ids'); 
    jsonSendEncode($record);
}
if(empty($_POST['color_ids'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'color_ids'); 
    jsonSendEncode($record);
}
if(empty($_POST['finish_ids'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'finish_ids'); 
    jsonSendEncode($record);
}
if(empty($_POST['material_ids'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'material_ids'); 
    jsonSendEncode($record);
}

if(empty($_POST['user_address_id'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'user_address_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['address'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'address'); 
    jsonSendEncode($record);
}


 if(empty($_POST['latitude'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'latitude'); 
    jsonSendEncode($record);
}


if(empty($_POST['longitude'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'longitude'); 
    jsonSendEncode($record);
}
if(empty($_POST['flat_no'])){
    $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'flat_no'); 
    jsonSendEncode($record);
}
if(empty($_POST['user_address_id'])){
    $user_address_id=0;
}else{
    $user_address_id                  =   $_POST['user_address_id'];
}
if(empty($_POST['address'])){
    $address = '';
}else{
    $address                     =   $_POST['address'];
}
if(empty($_POST['latitude'])){
    $latitude = '';
}else{
    $latitude                     =   $_POST['latitude'];
}
if(empty($_POST['longitude'])){
    $longitude = '';
}else{
    $longitude                     =   $_POST['longitude'];
}
if(empty($_POST['flat_no'])){
    $flat_no = '';
}else{
    $flat_no                     =   $_POST['flat_no'];
}


if(empty($_POST['address_type'])){
    $address_type=0;
}else{
    $address_type                  =   $_POST['address_type'];
}
$landmark = '';
     if(!empty($_POST['landmark'])){
        $landmark     =$_POST['landmark'];
     }



    
$user_id                         =   $_POST['user_id'];
$description                     =   $_POST['description'];
$quantitys                        =   $_POST['quantitys'];
$product_ids                      =   $_POST['product_ids'];
$color_ids                        =   $_POST['color_ids'];
$finish_ids                       =   $_POST['finish_ids'];
$material_ids                     =   $_POST['material_ids'];
 
$customized_numbers               =   generateRandomOTP(6);
$customized_number                =   '#WHC'.$customized_numbers;
$updatetime                       =   date('Y-m-d H:i:s');
$createtime                       =   date('Y-m-d H:i:s');
$expected_date_time                       =   date('Y-m-d H:i:s',strtotime('+ 3 days'));
$customized_status	              =   0;
$status	          =   0;
$delete_flag              =   0;
//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile,sales_manager_id,phone_code,country_id,user_type from user_master where user_id = ? and user_type = 1 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile,$sales_manager_id,$phone_code,$country_id,$user_type);
$check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}


$sales_manager_id_assign_by=0;
if(!empty($sales_manager_id)){
    $status=1;
    $sales_manager_id_assign_by= $user_id;
}
if(!empty($phone_code)){
    $phone_code= $phone_code;
}else{
    $phone_code=0;
}
$designer_id=0;
$designer_id_assign_by=0;
$production_manager_id=0;
$production_manager_id_assign_by=0;

$insert_all=$mysqli->prepare("INSERT INTO`customized_request_master`(`customized_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `status`, `sales_manager_id`, `sales_manager_id_assign_by`, `designer_id`, `designer_id_assign_by`, `production_manager_id`, `production_manager_id_assign_by`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time ) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
$insert_all->bind_param("sissiiiiiiiiiississsisss",$customized_number,$user_id,$name,$mobile,$phone_code,$country_id,$status,$sales_manager_id,$sales_manager_id_assign_by,$designer_id,$designer_id_assign_by,$production_manager_id,$production_manager_id_assign_by,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime,$expected_date_time);
$insert_all->execute();
$insert=$mysqli->affected_rows;
if($insert<=0){
    $record=array('success'=>'false','msg' =>$msg_order_created_unsuccessfully); 
    jsonSendEncode($record); 
}

 $customized_request_id = $mysqli->insert_id;
$product_ids_exp=explode(',',$product_ids);
$color_ids_exp=explode(',',$color_ids);
$material_ids_exp=explode(',',$material_ids);
$finish_ids_exp=explode(',',$finish_ids);
$quantitys_exp=explode(',',$quantitys);
 for($i=0;$i<count($product_ids_exp);$i++){
    $product_id = $product_ids_exp[$i];
    $color_id = $color_ids_exp[$i];
    $material_id = $material_ids_exp[$i];
    $finish_id = $finish_ids_exp[$i];
    $quantity = $quantitys_exp[$i];
 $check_product_id = $mysqli->prepare("SELECT `product_id`, `product_code`, `product_name`, `product_type`, `user_ids`, `category_id`, `subcategory_id`, `color_ids`, `short_description`, `price`, `quantity`, `warranty`, `material_ids`, `finish_id`, `pack_content`, `length`, `width`, `height` FROM `product_master` WHERE  delete_flag =0 and product_id =? ");
$check_product_id->bind_param('i', $product_id);
$check_product_id->execute();
$check_product_id->store_result();
$check_product = $check_product_id->num_rows;  //0 1
if ($check_product > 0) {

            $check_product_id->bind_result($product_id,$product_code,$product_name,$product_type,$user_ids,$category_id,$subcategory_id,$color_ids_get,$short_description,$price,$quantity_get,$warranty,$material_ids_get,$finish_ids_get,$pack_content,$length,$width,$height);
            $check_product_id->fetch();

$size = '';
 $product_image_arr = getProductAllImage($product_id);
$total_price=$price*$quantity;
 $insert_order_item_all = $mysqli->prepare("INSERT INTO 
                            customized_item_master( `customized_request_id`, `product_id`, `product_name`, `product_code`, `quantity`, `price`, `total_price`, `color_id`, `finish_id`, `material_id`, `size`, `product_type`, `category_id`, `subcategory_id`, `short_description`, `warranty`, `pack_content`, `length`, `width`, `height`, `delete_flag`, `createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                            $insert_order_item_all->bind_param("iississiiisiiisisiiiiss",$customized_request_id,$product_id,$product_name,$product_code,$quantity,$price,$total_price,$color_id,$finish_id,$material_id,$size,$product_type,$category_id,$subcategory_id,$short_description,$warranty,$pack_content,$length,$width,$height,$delete_flag,$createtime,$updatetime);
                            $insert_order_item_all->execute();
                            $insert_order_item = $mysqli->affected_rows;
                            // echo $insert;
                            if ($insert_order_item <= 0) {
                                $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
                                jsonSendEncode($record);
                            }
                            $customized_item_id = $mysqli->insert_id;
                            for($j=0;$j<count($product_image_arr);$j++){
                                $product_image = $product_image_arr[$j]['image'];
                                $insert_item_image_all = $mysqli->prepare("INSERT INTO 
                                customized_image_master( `customized_item_id`, `image`, `delete_flag`, `createtime`, `updatetime`) VALUES (?,?,?,?,?)");
                                $insert_item_image_all->bind_param("isiss",$customized_item_id, $product_image,$delete_flag,$createtime,$updatetime);
                                $insert_item_image_all->execute();
                                $insert_item_image = $mysqli->affected_rows;
                                // echo $insert;
                                if ($insert_item_image <= 0) {
                                    $record = array('success' => "false", 'msg' => $msg_customized_request_created_unsuccessfully);
                                    jsonSendEncode($record);
                                }

                            }
                    }
                }
                $document_file='';
                if(!empty($_FILES['document_file']['name'])) {
                    $file = $_FILES['document_file']; //--------- actual file
                    $folder_name = 'pdf_file'; //--------- upload folder direcotry
                    $file_type = 'file';  //----------- image or file(doc,pdf, etc)
                    $upload_status = uploadFile($file, $folder_name, $file_type); 
                    $document_file = $upload_status;    
                    if($upload_status == 'error'){
                        $record=array('success'=>'false','msg' =>$img_post_error,'error'=>'img1'); 
                        jsonSendEncode($record);
                    }
                }
                $amount=0;
                $status=0;
                $insert_customized_quotation_all = $mysqli->prepare("INSERT INTO 
                customized_quotation_master( `customized_request_id`, `user_type`,user_id,pdf,description,amount, `delete_flag`, `createtime`, `updatetime`,status) VALUES (?,?,?,?,?,?,?,?,?,?)");
                $insert_customized_quotation_all->bind_param("iiisssissi",$customized_request_id, $user_type,$user_id,$document_file,$description,$amount,$delete_flag,$createtime,$updatetime,$status);
                $insert_customized_quotation_all->execute();
                $insert_customized_quotation = $mysqli->affected_rows;
                // echo $insert;
                if ($insert_customized_quotation <= 0) {
                    $record = array('success' => "false", 'msg' => $msg_customized_request_created_unsuccessfully);
                    jsonSendEncode($record);
                }
                if(!empty($sales_manager_id)){
                $sales_manager_id=$sales_manager_id;
                }else{
                    $sales_manager_id=1;
                }
                $notification_arr = array();
                $user_id_notification = $user_id;
                $other_user_id_notification = $sales_manager_id;
                $action    = 'customized_request';
                $action_id = $customized_request_id;
                $title = array('New Customized Request', 'New Customized Request', 'New Customized Request', 'New Customized Request');
                $msg = 'You got a new customized request, Customized ID : '.$customized_number;
               
                $message = array($msg, $msg, $msg, $msg);
                $action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
                $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
                if ($notification_arr_check != 'NA') {
                    $notification_arr[] = $notification_arr_check;
                }
        
                if (!empty($notification_arr)) {
                    oneSignalNotificationSendCallDriver($notification_arr);
                }

$mysqli->close();
$record=array('success'=>'true', 'msg' =>$msg_customized_request_created_successfully,'customized_request_number'=>$customized_number,'customized_request_id'=>$customized_request_id);  
jsonSendEncode($record);
