<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';

include 'jwt_function.php';


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['customized_request_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'customized_request_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['customized_quotation_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'customized_quotation_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['description'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'description'); 
    jsonSendEncode($record);
}
if(empty($_FILES['document_file'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'document_file'); 
    jsonSendEncode($record);
}

if(empty($_POST['amount'])){
    $amount=0;
}else{
    $amount                  =   $_POST['amount'];
}
if(empty($_POST['transaction_id'])){
    $transaction_id='';
}else{
    $transaction_id                  =   $_POST['transaction_id'];
}

$user_id                                     =   $_POST['user_id'];
$customized_request_id                       =   $_POST['customized_request_id'];
$customized_quotation_id                     =   $_POST['customized_quotation_id'];
$description                                 =   $_POST['description'];
$status	          =   0;
$delete_flag              =   0;
$updatetime                       =   date('Y-m-d H:i:s');
$createtime                       =   date('Y-m-d H:i:s');

//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile,sales_manager_id,phone_code,country_id,user_type from user_master where user_id = ? and user_type = 1 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile,$sales_manager_id,$phone_code,$country_id,$user_type);
$check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
$check_customized_request_all=$mysqli->prepare("SELECT  customized_request_id,`customized_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `status`, `sales_manager_id`, `sales_manager_id_assign_by`, `designer_id`, `designer_id_assign_by`, `production_manager_id`, `production_manager_id_assign_by`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time FROM customized_request_master WHERE  delete_flag = 0 and user_id = ? and customized_request_id = ? ");
    
$check_customized_request_all->bind_param("ii",$user_id,$customized_request_id);
  $check_customized_request_all->execute();
  $check_customized_request_all->store_result();
  $check_customized_request=$check_customized_request_all->num_rows;  //0 1
if($check_customized_request <= 0){
    $record = array('success' => 'false', 'msg' => $customized_request_not_found);
    jsonSendEncode($record);
}
    $check_customized_request_all->bind_result($customized_request_id,$customized_number,$user_id,$name,$mobile,$phone_code,$country_id,$customized_status,$sales_manager_id,$sales_manager_id_assign_by,$designer_id,$designer_id_assign_by,$production_manager_id,$production_manager_id_assign_by,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime,$expected_date_time);
    $check_customized_request_all->fetch();
    
    $check_customized_quotation_all=$mysqli->prepare("SELECT `customized_quotation_id`, `customized_request_id`, `user_type`, `user_id`, `status`, `pdf`, `description`, `amount`, `createtime`,transaction_id FROM `customized_quotation_master` WHERE customized_quotation_id = ? and status=0  ");
    $check_customized_quotation_all->bind_param("i",$customized_quotation_id);
    $check_customized_quotation_all->execute();
    $check_customized_quotation_all->store_result();
     $check_customized_quotation=$check_customized_quotation_all->num_rows;  //0 1
    //0 1
    if($check_customized_quotation <= 0){
        $record = array('success' => 'false', 'msg' => $customized_quotation_not_found);
        jsonSendEncode($record);
    }
      $check_customized_quotation_all->bind_result($customized_quotation_id,$customized_request_id,$user_type,$quo_user_id,$quo_status,$pdf,$description,$amount,$createtime_get,$transaction_id);
      $check_customized_quotation_all->fetch();
  
        $customized_item_status=2;
        $update_all = $mysqli->prepare("UPDATE customized_quotation_master SET status=?, updatetime=? WHERE customized_quotation_id =?");
        $update_all->bind_param("isi", $customized_item_status, $updatetime, $customized_quotation_id);
        $update_all->execute();
        $update = $mysqli->affected_rows;
        if($update <= 0){	
            $record = array('success'=>'false', 'msg'=>$updated_unsuccess); 
            jsonSendEncode($record); 
        }

    $document_file='';
    if(!empty($_FILES['document_file']['name'])) {
        $file = $_FILES['document_file']; //--------- actual file
        $folder_name = 'pdf_file'; //--------- upload folder direcotry
        $file_type = 'file';  //----------- image or file(doc,pdf, etc)
        $upload_status = uploadFile($file, $folder_name, $file_type); 
        $document_file = $upload_status;    
        if($upload_status == 'error'){
            $record=array('success'=>'false','msg' =>$img_post_error,'error'=>'img1'); 
            jsonSendEncode($record);
        }
    }

$status=0;
$user_type=1;
$insert_customized_quotation_all = $mysqli->prepare("INSERT INTO 
customized_quotation_master( `customized_request_id`, `user_type`,user_id,pdf,description,amount, `delete_flag`, `createtime`, `updatetime`,status,transaction_id) VALUES (?,?,?,?,?,?,?,?,?,?,?)");
$insert_customized_quotation_all->bind_param("iiisssissis",$customized_request_id, $user_type,$user_id,$document_file,$description,$amount,$delete_flag,$createtime,$updatetime,$status,$transaction_id);
$insert_customized_quotation_all->execute();
$insert_customized_quotation = $mysqli->affected_rows;
// echo $insert;
if ($insert_customized_quotation <= 0) {
    $record = array('success' => "false", 'msg' => $msg_customized_request_created_unsuccessfully);
    jsonSendEncode($record);
}
if(!empty($designer_id)){
$designer_id=$designer_id;
}else{
    $designer_id=1;
}
$notification_arr = array();
$user_id_notification = $user_id;
$other_user_id_notification = $designer_id;
$action    = 'customized_request';
$action_id = $customized_request_id;
$title = array('New Sample', 'New Sample', 'New Sample', 'New Sample');
$msg = 'You got a new sample request, Customized Request ID : '.$customized_number;

$message = array($msg, $msg, $msg, $msg);
$action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
if ($notification_arr_check != 'NA') {
    $notification_arr[] = $notification_arr_check;
}

if (!empty($notification_arr)) {
    oneSignalNotificationSendCallDriver($notification_arr);
}

$mysqli->close();
$record=array('success'=>'true', 'msg' =>$msg_customized_request_created_successfully,'customized_request_id'=>$customized_request_id);  
jsonSendEncode($record);