<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php';
include 'language_message.php'; 
include 'jwt_function.php';


if(!$_POST){
    $record = array('success'=>'false', 'msg'=>$msg_post_method,'error'=>'method'); 
    jsonSendEncode($record);
}

if(empty($_POST['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['user_address_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'user_address_id'); 
    jsonSendEncode($record);
}
// =============== get all value in variables start ===============
$user_id        =   $_POST['user_id'];
$user_address_id         =   $_POST['user_address_id'];
$updatetime     =   date("Y-m-d H:i:s");

// =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ===============================check for address=========================


$check_address_all = $mysqli->prepare("SELECT user_address_id from user_address_master where delete_flag='0' and user_address_id=? ");
$check_address_all->bind_param("i",$user_address_id);
$check_address_all->execute();
$check_address_all->store_result();
$check_address = $check_address_all->num_rows;
if($check_address <= 0){
    $record = array('success'=>'false', 'msg'=>$msgAddressNotExist,'error'=>7); 
    jsonSendEncode($record);    
}
$check_address_all->bind_result($user_id);
$check_address_all->fetch();

// ==========================delete account===============================



$update_user_all =$mysqli->prepare("DELETE FROM user_address_master  where user_address_id=?");
$update_user_all ->bind_param("i",$user_address_id);
$update_user_all ->execute();
$update_user = $update_user_all->affected_rows;
if($update_user <= 0){
    $record = array('success'=>'false','msg'=>$address_delete_unsuccess ,'error'=>9);
    jsonSendEncode($record);
}
    //-------------------------------response-----------------------//
 
    $mysqli->close();
    $record=array('success'=>'true', 'msg' =>$address_delete_success); 
    jsonSendEncode($record);
?>