<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'jwt_function.php';



if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['booking_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'booking_id');
    jsonSendEncode($record);
}
if (empty($_POST['booking_request_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'booking_request_id');
    jsonSendEncode($record);
}



// -------------- POST value from field --------------- //
$user_id               =   $_POST['user_id'];
$booking_id            =   $_POST['booking_id'];
$booking_request_id    =   $_POST['booking_request_id'];
$createtime            =   date('Y-m-d H:i:s');
$updatetime            =   date('Y-m-d H:i:s');
$status                =   1;

//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id,name,team_id from user_master where user_id =? and user_type =2");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}

$check_user_id->bind_result($user_id,$name,$team_id);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------- check account activate or not end ----------------------
  $check_booking_id = $mysqli->prepare("SELECT booking_id  from booking_request_master where delete_flag = 0 and booking_id =? and booking_request_id=? and user_id=? ");
  $check_booking_id->bind_param('iii', $booking_id,$booking_request_id,$user_id);
  $check_booking_id->execute();
  $check_booking_id->store_result();
  $check_check_booking_id = $check_booking_id->num_rows;  //0 1
  if ($check_check_booking_id <= 0) {
      $record = array('success' => 'false', 'msg' => $booking_not_found);
      jsonSendEncode($record);
  }else{
     
      $check_booking_id_all = $mysqli->prepare("SELECT user_id,booking_number,booking_status,booking_type from booking_master where delete_flag = 0 and booking_status = 0 and booking_id =?");
      $check_booking_id_all->bind_param('i', $booking_id);
      $check_booking_id_all->execute();
      $check_booking_id_all->store_result();
      $check_check_booking_id_all = $check_booking_id_all->num_rows;  //0 1
      if ($check_check_booking_id_all > 0) {
  
          $check_booking_id_all->bind_result($user_id_get, $booking_number,$booking_status,$booking_type);
          $check_booking_id_all->fetch();
      }else{
          $record = array('success' => 'false', 'msg' => $booking_already_accept);
          jsonSendEncode($record);
      }
  }

$helper_id=0;
$car_number_id=0;
$check_availability_all = $mysqli->prepare("SELECT availability_id ,helper_id,car_number_id from availability_master where delete_flag =0 and driver_id =? ");
    $check_availability_all->bind_param("i", $user_id );
    $check_availability_all->execute();
    $check_availability_all->store_result();
    $check_availability = $check_availability_all->num_rows;  //0 1
    if($check_availability >  0){
        $check_availability_all->bind_result( $availability_id,$helper_id,$car_number_id);
        $check_availability_all->fetch();
    }






 $current_status = 1;
 $update_all = $mysqli->prepare("UPDATE  booking_master set helper_id=?, car_number_id =?,accept_date_time=?, driver_user_id =?, booking_status =?,current_status=?, updatetime =?, team_id =? where booking_id =?");
 $update_all->bind_param("iisiiisii",$helper_id,$car_number_id,$updatetime,$user_id, $status,$current_status, $updatetime, $team_id,$booking_id);
 $update_all->execute();
 $update = $mysqli->affected_rows;
 if ($update <= 0) {
     $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
     jsonSendEncode($record);
 }
 $status_accept = 1;
$update_job_bid_all=$mysqli->prepare("UPDATE  `booking_request_master` SET  helper_id=?,car_number_id=?,status = ?,updatetime = ? where booking_id = ? and user_id = ? and delete_flag = 0 and booking_request_id = ?  ");
$update_job_bid_all->bind_param("iiisiii",$helper_id,$car_number_id, $status_accept,$updatetime,$booking_id,$user_id,$booking_request_id);
$update_job_bid_all->execute();
$update_job_bid=$mysqli->affected_rows;
if($update_job_bid<=0){ 
    $record=array('success'=>'false','msg' =>$msg_booking_accept_unsuccess); 
    jsonSendEncode($record); 
}
$update_job_bid_all=$mysqli->prepare("UPDATE  `booking_request_master` SET  status = 3,updatetime = ? where booking_id = ? and delete_flag = 0 and status=0 and booking_request_id != ?   ");
$update_job_bid_all->bind_param("sii",$updatetime,$booking_id,$booking_request_id);
$update_job_bid_all->execute();
$update_job_bid=$mysqli->affected_rows;

$update_book_status_all=$mysqli->prepare("UPDATE  `user_master` SET  book_status = 1,updatetime = ? where delete_flag = 0  and user_id = ?   ");
$update_book_status_all->bind_param("si",$updatetime,$user_id);
$update_book_status_all->execute();
$update_book_status=$mysqli->affected_rows;


// ------------------ Notification array start ------------------ //
$notification_arr = array();
$delete_status = getDeleteUserStatus($user_id_get);

if($delete_status == 0 ){
$user_id_notification = $user_id;
$other_user_id_notification = $user_id_get;
$action = 'booking_accepted';
$action_id = $booking_id;
$title = array('Booking Accepted','Booking Accepted','Booking Accepted','Booking Accepted');

$msg1=$name.' have accepted your booking, Booking ID: '.$booking_number;
$msg2=$name.'لقد قبلت حجزك، معرف الحجز:'.$booking_number;
$message = array($msg1,$msg2,$msg1,$msg1);
$action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id,$title,$message, $action_data); 
if ($notification_arr_check != 'NA') {
	$notification_arr[] = $notification_arr_check;
}
//notification send code
if (!empty($notification_arr)) {
	oneSignalNotificationSendCall($notification_arr);
}
}
 //----------------------------- Function Call ----------------------//
 $mysqli->close();
 $record=array ('success'=>'true', 'msg'=>$msg_booking_accept_success); 
 jsonSendEncode($record);
 ?>

?>