<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'jwt_function.php';



if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['booking_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'booking_id');
    jsonSendEncode($record);
}
if (empty($_POST['current_status'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'current_status');
    jsonSendEncode($record);
}
$no_of_minutes  =0;
if ($_POST['current_status'] == 2 ) {
    
    if (empty($_POST['no_of_minutes'])) {
        $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'no_of_minutes');
        jsonSendEncode($record);
    }else{
        $no_of_minutes           =   $_POST['no_of_minutes'];
    }
    
}
if (empty($_POST['booking_extra_time'])) {
    $booking_extra_time = 0;
}else{
    $booking_extra_time        =   $_POST['booking_extra_time'];
}
if (empty($_POST['driver_payment_status'])) {
    $driver_payment_status = 0;
}else{
    $driver_payment_status        =   $_POST['driver_payment_status'];
}


// -------------- POST value from field --------------- //
$user_id           =   $_POST['user_id'];
$booking_id        =   $_POST['booking_id'];
$current_status    =   $_POST['current_status'];
$createtime        =   date('Y-m-d H:i:s');
$updatetime        =   date('Y-m-d H:i:s');


//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id,name,team_id,mobile from user_master where user_id =? and user_type =2");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}

$check_user_id->bind_result($user_id_gets,$name,$team_id,$mobile);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------- check account activate or not end ----------------------

$check_booking_id_all = $mysqli->prepare("SELECT user_id,booking_number,booking_status,booking_type,current_status,gift_id,service_points,`driver_car_number`,`car_number_id`,helper_id from booking_master where delete_flag = 0  and booking_id =? and driver_user_id = ? ");
$check_booking_id_all->bind_param('ii', $booking_id,$user_id);
$check_booking_id_all->execute();
$check_booking_id_all->store_result();
$check_check_booking_id_all = $check_booking_id_all->num_rows;  //0 1
if ($check_check_booking_id_all > 0) {

    $check_booking_id_all->bind_result($user_id_get, $booking_no,$booking_status,$booking_type,$current_status_get,$gift_id,$service_points,$driver_car_number,$car_number_id,$helper_id);
    $check_booking_id_all->fetch();
}else{
    $record = array('success' => 'false', 'msg' => $booking_not_found);
    jsonSendEncode($record);
}
$title ='';
$msg ='';
$msg2 ='';
 if($current_status == 2 ){

    $update_all = $mysqli->prepare("UPDATE  booking_master set   `onway_date_time`=?,current_status=?, no_of_minutes  =?, updatetime =? where booking_id =? ");
    $update_all->bind_param("siisi",$updatetime,$current_status, $no_of_minutes, $updatetime,$booking_id);
    $update_all->execute();
    $update = $mysqli->affected_rows;
    if ($update <= 0) {
        $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
        jsonSendEncode($record);
    }
    $title = array('Booking On The Way','الهيلبر بالطريق اليك','Booking On The Way','Booking On The Way');
    $msg=$name.' is on the way, will reach in '.$no_of_minutes.' minutes. Booking ID: '.$booking_no;
    $msg2=$name.' الهيلبر في الطريق اليك ، سيصل خلال'.$no_of_minutes.' دقيقة. رقم الطلب :'.$booking_no;
 }
 
 elseif($current_status == 3 ){
    $update_all = $mysqli->prepare("UPDATE  booking_master set   `arrived_date_time`=?, current_status=?,updatetime =? where booking_id =? ");
    $update_all->bind_param("sisi",$updatetime,$current_status, $updatetime,$booking_id);
    $update_all->execute();
    $update = $mysqli->affected_rows;
    if ($update <= 0) {
        $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
        jsonSendEncode($record);
    }
    $title = array('Booking Arrived','الهيلبر في الموقع','Booking Arrived','Booking Arrived');
    $msg=$name.' has arrived at your address, Booking ID: '.$booking_no;
    $msg2=$name.'لقد وصل الهيلبر الى موقعك ، رقم الطلب : '.$booking_no;
 }
 elseif($current_status == 4 ){
    $update_all = $mysqli->prepare("UPDATE  booking_master set  `start_work_date_time`=?,current_status=?, updatetime =? where booking_id =? ");
    $update_all->bind_param("sisi",$updatetime,$current_status, $updatetime,$booking_id);
    $update_all->execute();
    $update = $mysqli->affected_rows;
    if ($update <= 0) {
        $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
        jsonSendEncode($record);
    }

    $title = array('Booking Started','تم بدأ العمل','Booking Started','Booking Started');
    $msg2='حجزك'.$booking_no.'تم البدء.';
    $msg1='جاري العمل على طلبك رقم :'.$booking_no.'.';
 }

 elseif($current_status == 5 ){
    // $status = 2;
    $update_all = $mysqli->prepare("UPDATE  booking_master set booking_extra_time=?, `end_work_date_time`=?, current_status=?, updatetime =? where booking_id =? ");
    $update_all->bind_param("ssisi",$booking_extra_time,$updatetime,$current_status, $updatetime,$booking_id);
    $update_all->execute();
    $update = $mysqli->affected_rows;
    if ($update <= 0) {
        $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
        jsonSendEncode($record);
    }
    $title = array('Booking Completed','انتهى الحجز','Booking Completed','Booking Completed');
    $msg=$name.' has successfully Completed your booking, Booking ID: '.$booking_no;
    $msg2=$name.'أنهى حجزك بنجاح، معرف الحجز:'.$booking_no;
 }
 elseif($current_status == 8 ){
     $status = 2;
    $update_all = $mysqli->prepare("UPDATE  booking_master set  driver_payment_status=?,`confirm_date_time`=?, current_status=?,booking_status=?, updatetime =? where booking_id =? ");
    $update_all->bind_param("isiisi",$driver_payment_status,$updatetime,$current_status,$status, $updatetime,$booking_id);
    $update_all->execute();
    $update = $mysqli->affected_rows;
    if ($update <= 0) {
        $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
        jsonSendEncode($record);
    }
    if($driver_payment_status == 0  ){
        $payment_type_id =4;
    }else{
        $payment_type_id =3;
    }
    $update_booking_payment=$mysqli->prepare("UPDATE  `booking_payment_master` SET payment_type_id=?, payment_mode=?, payment_status = 2 , updatetime = ? where delete_flag = 0  and booking_id = ? and payment_mode IN(0,1)   ");
    $update_booking_payment->bind_param("iisi",$payment_type_id,$driver_payment_status,$updatetime,$booking_id);
    $update_booking_payment->execute();
    $update_booking_payments=$mysqli->affected_rows;
    // }
    $update_book_status_all=$mysqli->prepare("UPDATE  `user_master` SET  book_status = 0,updatetime = ? where delete_flag = 0  and user_id = ?   ");
    $update_book_status_all->bind_param("si",$updatetime,$user_id);
    $update_book_status_all->execute();
    $update_book_status=$mysqli->affected_rows;
    if($booking_type == 1){
        if(!empty($gift_id)){
            
                
        
            $update_booking_payment_new=$mysqli->prepare("UPDATE  `gift_master` SET  status = 2 , updatetime = ? where delete_flag = 0  and gift_id = ?  ");
            $update_booking_payment_new->bind_param("si",$updatetime,$gift_id);
            $update_booking_payment->execute();
            $update_booking_payments_new=$mysqli->affected_rows;
        }
        }
        $check_referal_code_all = $mysqli->prepare("SELECT referal_code_user_id,othert_referal_code from user_master where delete_flag=0 and  referal_code_verify=1 and  user_id=?");
$check_referal_code_all->bind_param("i",  $user_id_get);
$check_referal_code_all->execute();
$check_referal_code_all->store_result();
$check_referal_code = $check_referal_code_all->num_rows;  //0 1 
if ($check_referal_code > 0) {
    $check_referal_code_all->bind_result($referal_code_user_id,$referal_code);
    $check_referal_code_all->fetch();



    $user_status = 1;
    $other_status = 1;
    $other_user_id = $referal_code_user_id;
    $type = 2;
    $delete_flag = 0;
    $insert_user_wallet_all = $mysqli->prepare("INSERT INTO 
    user_points_master(`user_id`, `other_user_id`, `points`, `referal_code`, `status`, `delete_flag`,`createtime`, `updatetime`,type,booking_id) VALUES (?,?,?,?,?,?,?,?,?,?)");
    $insert_user_wallet_all->bind_param("iiisiissii",$other_user_id,$user_id_get,$service_points,$referal_code, $user_status,$delete_flag,$createtime,$updatetime,$type,$booking_id);
    $insert_user_wallet_all->execute();
    $insert_user_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_user_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }
}  


    $title = array('Booking Completed','الطلب مكتمل','Booking Completed','Booking Completed');
    $msg=$name.' has successfully completed your booking, Booking ID: '.$booking_no;
    $msg2=$name.'تمت الخدمة بنجاح للطلب رقم : '.$booking_no;
 }
 elseif($current_status == 9 ){
     
    $update_all = $mysqli->prepare("UPDATE  booking_master set driver_payment_status=?, `confirm_date_time`=?, current_status=?, updatetime =? where booking_id =? ");
    $update_all->bind_param("isisi",$driver_payment_status,$updatetime,$current_status, $updatetime,$booking_id);
    $update_all->execute();
    $update = $mysqli->affected_rows;
    if ($update <= 0) {
        $record = array('success' => 'false', 'msg' => $msg_booking_accept_unsuccess);
        jsonSendEncode($record);
    }
    
    
     $booking_numbers               =   generateRandomOTP(6);
     $issue_time    = date('H:i:s');
$issue_type=1;
if(empty($car_number_id)){
    $car_number_id =0;
}
if(empty($helper_id)){
    $helper_id =0;
}
     $order_number = '#WSO'.$booking_numbers;
     $daily_tool_quan_report_id =0;
     $insert_all=$mysqli->prepare("INSERT INTO `operation_support_master` (issue_type,booking_number,booking_id, `order_number`, `mobile`, `issue_time`,team_id, `driver_id`, `car_number_id`, `helper_id`, `createtime`, `updatetime`,car_number,daily_tool_quan_report_id) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
     $insert_all->bind_param("isisssiiiisssi",$issue_type,$booking_no,$booking_id,$order_number,$mobile,$issue_time,$team_id,$user_id, $car_number_id, $helper_id,$updatetime,$updatetime,$driver_car_number,$daily_tool_quan_report_id); 
     $insert_all->execute();
     $insert=$mysqli->affected_rows;
     // $rate_id_get =$mysqli->insert_id;
     if($insert<=0){ 
         $record=array('success'=>'false','msg' =>$availability_updated_unsuccess); 
         jsonSendEncode($record); 
     } 

    $title = array('Booking Payment Issuess','اكتمل الحجز','Booking Payment Issuess','Booking Payment Issuess');
    $msg=$name.' has generate request payment issuess in your booking, Booking ID: '.$booking_no;
    $msg2=$name.'أكملت حجزك بنجاح، معرف الحجز:'.$booking_no;
 }



 $notification_arr = array();
// ------------------ Notification array start ------------------ //
//echo  $provider_id;
$delete_status = getDeleteUserStatus($user_id_get);
if($title !=''){
if($delete_status == 0 ){
$user_id_notification = $user_id;
$other_user_id_notification = $user_id_get;
$action = 'booking';
$action_id = $booking_id;

$message = array($msg,$msg2,$msg,$msg);
$action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id,$title,$message, $action_data); 
if ($notification_arr_check != 'NA') {
	$notification_arr[] = $notification_arr_check;
}
//notification send code
if (!empty($notification_arr)) {
	oneSignalNotificationSendCall($notification_arr);
}
}
}
 //----------------------------- Function Call ----------------------//
 $mysqli->close();
 $record=array ('success'=>'true', 'msg'=>$msg_booking_update_success); 
 jsonSendEncode($record);
 ?>

?>