<?php
    include 'con1.php';
    include 'function_app_common.php'; 
    include 'function_app.php'; 
    include 'language_message.php';
    include 'jwt_function.php';

    if(!$_POST){
        $record=array('success'=>'false', 'msg'=>$msg_post_method); 
        jsonSendEncode($record);
    }
    if(empty($_POST['user_id'])){
        $record=array('success'=>'false', 'msg'=>$msg_empty_param); 
        jsonSendEncode($record);
    }


     if(empty($_POST['availability_status'])){
        $availability_status=0;
    }else{
        $availability_status        = $_POST['availability_status'];
    }
    
    
    
    
    
    
    

    
    
// ------------------ get all value in variables ------------------ //
     

     $user_id       = $_POST['user_id'];
    //  $car_number_id = $_POST['car_number_id'];
    //  $helper_id     = $_POST['helper_id'];
  
     $status        = 1;
     $delete_flag        = 0;
     $createtime    = date('Y-m-d H:i:s');
     $updatetime    = date('Y-m-d H:i:s');
    
// -------------------------- check user_id --------------------------
    $check_mobile_all = $mysqli->prepare("SELECT user_id,team_id from user_master where  user_id =? ");
    $check_mobile_all->bind_param("i", $user_id);
    $check_mobile_all->execute();
    $check_mobile_all->store_result();
    $check_mobile = $check_mobile_all->num_rows;  //0 1
    if($check_mobile <= 0){
        $record = array('success'=>'false', 'msg'=>$user_not_found); 
        jsonSendEncode($record);
    }
    $check_mobile_all->bind_result( $user_id,$team_id );
    $check_mobile_all->fetch();
    // --------------- check account activate-deactivate start --------------- //
    $active_status  =   checkAccountActivateDeactivate($user_id);
    if($active_status == 0){
        $record     =   array('success'=>'false','msg' =>$account_deactivate, 'active_status'=>$active_status); 
        jsonSendEncode($record);
    }

    $decoded = jwtAuthDecode($token,$user_id);
    if ($decoded['code'] != 100 ) {
        $record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
        jsonSendEncode($record);
    }else{
         $token_user_id = $decoded['user_id'];
    }

  



     $check_availability_all = $mysqli->prepare("SELECT availability_id,team_id,car_number_id,helper_id  from availability_master where delete_flag =0 and driver_id =? ");
    $check_availability_all->bind_param("i", $user_id );
    $check_availability_all->execute();
    $check_availability_all->store_result();
    $check_availability = $check_availability_all->num_rows;  //0 1
    if($check_availability >  0){
        $check_availability_all->bind_result( $availability_id,$team_id,$car_number_id,$helper_id);
        $check_availability_all->fetch();
        $insert_all=$mysqli->prepare("INSERT INTO `attendance_master` ( `team_id`, `driver_id`, `car_number_id`, `helper_id`, `confirm_status`, `delete_flag`, `createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
        $insert_all->bind_param("iiiiiiss",$team_id,$user_id, $car_number_id, $helper_id, $availability_status, $delete_flag,$createtime,$updatetime); 
        $insert_all->execute();
        $insert=$mysqli->affected_rows;
        // $rate_id_get =$mysqli->insert_id;
        if($insert<=0){ 
            $record=array('success'=>'false','msg' =>$availability_updated_unsuccess); 
            jsonSendEncode($record); 
        } 
        
        $update_all = $mysqli->prepare("UPDATE availability_master SET `team_id` = ? , `driver_id`=?, `car_number_id`=?, `helper_id`=?, `confirm_status`=?, `delete_flag`=?, `createtime`=?, `updatetime`=? WHERE availability_id =?");
        $update_all->bind_param("iiiiiissi", $team_id,$user_id, $car_number_id, $helper_id, $availability_status, $delete_flag,$createtime,$updatetime,$availability_id);
        $update_all->execute();
        $update = $mysqli->affected_rows;
        if ($update <= 0) {
            $record = array('success' => 'false', 'msg' => $availability_updated_unsuccess);
            jsonSendEncode($record);
        }
    }




    $user_details = getUserDetails($user_id);

    $mysqli->close();

    $record = array('success'=>'true', 'msg'=>$availability_updated_success,'user_details'=>$user_details); 
    jsonSendEncode($record);
?>

