<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php';
include 'language_message.php'; 
include 'jwt_function.php';


if(!$_POST){
    $record = array('success'=>'false', 'msg'=>$msg_post_method,'error'=>1); 
    jsonSendEncode($record);
}

if(empty($_POST['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['name'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'name'); 
    jsonSendEncode($record);
}
if(empty($_POST['mobile'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'mobile'); 
    jsonSendEncode($record);
}

if(empty($_POST['address'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'address'); 
    jsonSendEncode($record);
}
if(empty($_POST['latitude'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'latitude'); 
    jsonSendEncode($record);
}
if(empty($_POST['longitude'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'longitude'); 
    jsonSendEncode($record);
}
if(empty($_POST['country_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'country_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['phone_code'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'phone_code'); 
    jsonSendEncode($record);
}
// ------------------- get all value in variables start ------------------- //

$user_id           =   $_POST['user_id'];
$name              =   $_POST['name'];
$longitude         =   $_POST['longitude'];
$latitude         =   $_POST['latitude'];
$address         =   $_POST['address'];
$country_id         =   $_POST['country_id'];
$phone_code         =   $_POST['phone_code'];
$mobile            =   $_POST['mobile'];
$updatetime     =   date("Y-m-d H:i:s");

// ------------------ check user ------------------ //
     
$check_login_all    =   $mysqli->prepare("SELECT user_id,profile_complete,otp_verify,image from user_master where user_id=?");      
$check_login_all->bind_param("i",$user_id);
$check_login_all->execute();
$check_login_all->store_result();
$check_login = $check_login_all->num_rows;
if($check_login <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_login_all->bind_result($user_id,$profile_complete,$otp_verify_get,$profile_image);
$check_login_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}

//----------------upload profile image-----------------------//
    
    if(!empty($_FILES['image']['name'])) {
        $file = $_FILES['image']; //--------- actual file
        $folder_name = 'images'; //--------- upload folder direcotry
        $file_type = 'image';  //----------- image or file(doc,pdf, etc)
        $upload_status = uploadFile($file, $folder_name, $file_type); 
        $image = $upload_status;    
        if($upload_status == 'error'){
            $record=array('success'=>'false','msg' =>$file_not_upload,'error'=>'img1'); 
            jsonSendEncode($record);
        }
    }else{
        $image = $profile_image;
    }

//----------------upload Cover image-----------------------//
    

// -----------------------------------update profile----------------------------


// echo "UPDATE user_master set image=?,f_name=?,l_name=?,updatetime=? where user_id=?";
// die
$add_post = $mysqli->prepare("UPDATE user_master set country_id=?,phone_code=?,address=?,latitude=?, longitude=?,  mobile=?,image=?,name=?,updatetime=? where user_id=?");   
$add_post->bind_param("iisssssssi",$country_id,$phone_code,$address,$latitude,$longitude,$mobile,$image,$name,$updatetime,$user_id);
$add_post->execute();
$add_post_num = $add_post->affected_rows;
if($add_post_num <= 0){
    $record = array('success'=>'false','msg'=>$profile_updated_unsuccess,'error'=>9);
    jsonSendEncode($record);
}

$user_details  = getUserDetails($user_id);
$mysqli->close();


$record = array('success'=>'true','msg'=>$profile_updated_success, 'user_details'=>$user_details);
jsonSendEncode($record); 


?>