<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'authorized.php';
// check method here
if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method, 'key' => 'method');
    jsonSendEncode($record);
}
// for user_id
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}
// for password_new
if (empty($_POST['new_password'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, '' => 'new_password');
    jsonSendEncode($record);
}

//-------------------------------- get all value in variables -----------------------
$user_id = $_POST['user_id'];
$new_password = md5($_POST['new_password']);
$updatetime = date('Y-m-d H:i:s');
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id =?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}

// ================= check account activate or not ================= //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate,  'account_active_status' => $active_status);
    jsonSendEncode($record);
}
// echo "SELECT user_id,otp_verified from forgot_password_master where  otp_verified=1 and user_id=$user_id";
// die();
//---------------------- check otp_verified   --------------------
$check_password_all = $mysqli->prepare("SELECT user_id,otp_verified from forgot_password_master where  otp_verified=1 and user_id =?");
$check_password_all->bind_param("i", $user_id);
$check_password_all->execute();
$check_password_all->store_result();
$check_password = $check_password_all->num_rows;  //0 1
if ($check_password > 0) {
    $check_password_all->bind_result($user_id, $otp_verified);
    $check_password_all->fetch();
} else {
    $record = array('success' => 'false', 'msg' => $password_updated_unsuccess);
    jsonSendEncode($record);
}
//--------------------- update new  password -----------------------------

$update_all = $mysqli->prepare("UPDATE user_master set password =?, updatetime =? where user_id =?");
$update_all->bind_param("ssi", $new_password, $updatetime,$user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
    $record = array('success' => 'false', 'msg' => $password_updated_unsuccess);
    jsonSendEncode($record);
}


// get user complete details 

$mysqli->close();

//-------------------------------- Response --------------------------
$record = array('success' => 'true', 'msg' => $reset_success);
jsonSendEncode($record);
