<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method);
    jsonSendEncode($record);
}

if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}

if (empty($_POST['otp'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'otp');
    jsonSendEncode($record);
}

//-------------------------------- get all value in variables -----------------------
$user_id          =    $_POST['user_id'];
$otp              =    $_POST['otp'];
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id , name from user_master where  user_id=?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();    
$check_user = $check_user_all->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result($get_user_id, $name);
$check_user_all->fetch();
$active_status	=	checkAccountActivateDeactivate($user_id);
if($active_status == 'no'){
    $record=array('success'=>'false','msg' =>$msg_account_deactivated, 'account_active_status'=>$active_status); 
    jsonSendEncode($record); 
}

$check_otp_all = $mysqli->prepare("SELECT `forgot_id`, `user_id`, `user_type`, `otp`  FROM `forgot_password_master` WHERE delete_flag =0 AND user_id =? order by forgot_id desc LIMIT 1");
// echo $user_id;
$check_otp_all->bind_param("i", $user_id);
$check_otp_all->execute();
$check_otp_all->store_result();
$check_otp = $check_otp_all->num_rows;

if ($check_otp > 0) {
    $check_otp_all->bind_result($forgot_id, $user_id, $user_type,$otp_get);
    $check_otp_all->fetch();

    if ($otp != $otp_get) {
        $record = array('success' => 'false', 'msg' => $invalid_otp);
        jsonSendEncode($record);
    }
} else {
    $record = array('success' => 'false', 'msg' => $invalid_otp);
    jsonSendEncode($record);
}
//-------------------------- Update Account Details --------------------------

$otp_verify        =    1;
$updatetime        =    date('Y-m-d H:i:s');
//$createtime        =   date('Y-m-d H:i:s');
$update_all = $mysqli->prepare("UPDATE forgot_password_master set otp_verified	=?, updatetime=? WHERE user_id=? and forgot_id=?");
$update_all->bind_param("isii", $otp_verify, $updatetime, $user_id,$forgot_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
    $record = array('success' => 'false', 'msg' => $invalid_otp);
    jsonSendEncode($record);
}
$user_details    =    getUserDetails($user_id);

$mysqli->close();
$record = array('success' => 'true', 'msg' => $otp_verify_success, 'user_details' => $user_details);
jsonSendEncode($record);
?>