<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'mailFunctions.php';
include 'send_sms.php';

// include 'authorized.php';

// check method here
if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
    jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param,'key'=>'user_id');
    jsonSendEncode($record);
}
// Get all value in variables 
$user_id    =    $_POST['user_id'];
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id, otp, otp_verify, name ,email,language_id,mobile from user_master where  user_id =? ");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1

if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result($get_user_id, $otp_get, $otp_verify, $user_name,$email,$language_id,$mobile);
$check_user_all->fetch();
$active_status	=	checkAccountActivateDeactivate($user_id);
if($active_status == 'no'){
    $record=array('success'=>'false','msg' =>$msg_account_deactivated, 'account_active_status'=>$active_status); 
    jsonSendEncode($record); 
}
$otp         =    generateRandomOTP(5);
// $otp    =    '1234';
$updatetime  =    date('Y-m-d H:i:s');

//--------------------- update new otp -----------------------------	
$get_last_forget_id = $mysqli->prepare("SELECT forgot_id  from forgot_password_master where  user_id =?  ORDER BY forgot_id DESC LIMIT 1 ");
$get_last_forget_id->bind_param("i", $user_id);
$get_last_forget_id->execute();
$get_last_forget_id->store_result();
$get_last_forget = $get_last_forget_id->num_rows;  //0 1
if ($get_last_forget <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$get_last_forget_id->bind_result($forgot_id);
$get_last_forget_id->fetch();
    

//echo $get_forget_id=$mysqli->insert_id;

$update_all = $mysqli->prepare("UPDATE forgot_password_master set otp=?, updatetime=?  where user_id=? and forgot_id = ?");
$update_all->bind_param("isii", $otp, $updatetime, $user_id,$forgot_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
    $record = array('success' => 'false', 'msg' => $msg_error_otp_send);
    jsonSendEncode($record);
}
$full_name = $user_name;
if(!empty($email)) {
        $postData['otp_code']       =   $otp;
        $postData['app_name']       =   $app_name;
        $otp_message                =   $otp.' is your '.$app_name.' verification code';
        // Start send mail
        $mail_content               =   '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">'.$otp_message.'</p>';
        $subject                    =   'Resend Reset Password Verification Code';
        $heading                    =   'Resend Reset Password Verification Code';
        $postData['subject']        =   $subject;
        $postData['mail_heading']   =   $heading;
        $postData['mailContent']    =   $mail_content;
        $postData['name']           =   $full_name;
        $postData['email']          =   $email;
        $postData['fromName']       =   $app_name;
        $postData['app_name']       =   $app_name;
        $postData['app_logo']       =   $app_logo;
        $postData['current_year']       =   $current_year;

        $mailBody                   =   mailBodySendData($postData);
        $email_arr[]                =   array('email'=>$postData['email'], 'fromName'=>$postData['fromName'], 'mailsubject'=>$postData['subject'], 'mailcontent'=>$mailBody);
     $mailResponse =	mailSend($postData['email'], $postData['fromName'],  $postData['subject'] , $mailBody);
                
     // echo "postData=";print_r($mailResponse);die();
 if($mailResponse != 'yes'){
    $record=array('success'=>false, 'msg'=>$msgNotSendEmail, 'data'=>array()); 
    jsonSendEncode($record);
 
 } 
}
        
$user_details  = getUserDetails($user_id);
$mysqli->close();
$record	=	array('success'=>'true', 'msg'=>$msg_succ_otp_send_forgot_pass , 'otp'=>$otp, 'user_details'=>$user_details);
jsonSendEncode($record);
?>