<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 
include 'jwt_function.php';


if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'user_id'); 
    jsonSendEncode($record);
}
if(empty($_GET['service_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'service_id'); 
    jsonSendEncode($record);
}
// if(empty($_GET['user_subscription_id'])){
//     $user_subscription_id =0;
// }else{
//     
// }




// ------------------- get all value in variables start ------------------- //


$user_id=$_GET['user_id'];
$service_id=$_GET['service_id'];

 



 // =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
 $user_subscription_id=getServiceSubscription_user_id($service_id,$user_id);
$extra_service_id_arr = array();

$check_get_user_subscription_id=$mysqli->prepare("SELECT subscription_id FROM `user_subscription_master` WHERE user_subscription_id = ?  ");

    $check_get_user_subscription_id->bind_param("i",$user_subscription_id);
    $check_get_user_subscription_id->execute();
    $check_get_user_subscription_id->store_result();
    $check_num_subscription_id=$check_get_user_subscription_id->num_rows;  //0 1
    if($check_num_subscription_id > 0){
        
        $check_get_user_subscription_id->bind_result($subscription_id);
        $check_get_user_subscription_id->fetch();

    $checksubscription_id=$mysqli->prepare("SELECT extra_service_ids FROM `subscription_plan_master` WHERE subscription_id = ?  ");

    $checksubscription_id->bind_param("i",$subscription_id);
    $checksubscription_id->execute();
    $checksubscription_id->store_result();
    $check_num_subscription=$checksubscription_id->num_rows;  //0 1
    if($check_num_subscription > 0){
        
        $checksubscription_id->bind_result($extra_service_ids);
        $checksubscription_id->fetch();
        if(!empty($extra_service_ids)){
            $extra_service_id_arr= explode(',',$extra_service_ids);
        }else{
            $extra_service_id_arr= explode(',','NA');
        }
        
      
    }
    }






$extra_service_arr = array();

$tags_id_arr[] = $service_id;
$tags_id_arr_get = implode(',', $tags_id_arr);



    $check_get_service_all1=$mysqli->prepare("SELECT `extra_service_id`, `title_english`, `title_arabic`, `image1`, `image2`, `price`, `main_service_ids`, `subscription_related_type` FROM `extra_service_master` WHERE delete_flag =0   AND main_service_ids REGEXP '(^|,)($tags_id_arr_get)(,|$)' ");
  
//   $check_get_service_all1->bind_param("i",$service_id);
  $check_get_service_all1->execute();
  $check_get_service_all1->store_result();
  $check_get_service1=$check_get_service_all1->num_rows;  //0 1
if($check_get_service1 > 0){

  $check_get_service_all1->bind_result($extra_service_id, $title_english, $title_arabic, $image1,$image2, $price, $main_service_ids, $subscription_related_type);
        while($check_get_service_all1->fetch()){

            if(!empty($extra_service_id_arr)){
                if(in_array($extra_service_id,$extra_service_id_arr)){
                    $extra_service_arr[]=array('extra_service_id'=>$extra_service_id,'extra_service_name'=>array($title_english,$title_arabic),'image'=>array($image1,$image2),'price'=>$price,'main_service_ids'=>$main_service_ids,'subscription_related_type'=>$subscription_related_type,'status'=>false);
                }
                    
    
                
            }else{
               
              $extra_service_arr[]=array('extra_service_id'=>$extra_service_id,'extra_service_name'=>array($title_english,$title_arabic),'image'=>array($image1,$image2),'price'=>$price,'main_service_ids'=>$main_service_ids,'subscription_related_type'=>$subscription_related_type,'status'=>false);
    
                
            }
            
        }

         

  
    //}
}  








    
   
//-------------------------- get all content --------------------------


if(empty($extra_service_arr)){
    $extra_service_arr='NA';
}

$mysqli->close();

$record=array('success'=>'true','msg' =>$data_found,'extra_service_arr'=>$extra_service_arr); 
jsonSendEncode($record);

?>