<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 
include 'jwt_function.php';


if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}


if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}





// =============== get all value in variables start ===============
$user_id        =   $_GET['user_id'];



// =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id=? and user_type=2 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}

$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}


$booking_arr = array();
$booking_request_arr = array();
//-------------------------- get all booking request details  --------------------------
$check_get_user_all_booking_request=$mysqli->prepare("SELECT `booking_request_id`, `booking_id`, `user_id`, `helper_id`, `team_id`, `car_number_id`, `status`, `cancellation_reason`  FROM `booking_request_master` WHERE delete_flag =0 and status IN(0,1) and user_id = ? order by booking_request_id desc ");
  
  $check_get_user_all_booking_request->bind_param('i',$user_id);
  $check_get_user_all_booking_request->execute();
  $check_get_user_all_booking_request->store_result();
  $check_get_user_booking_request=$check_get_user_all_booking_request->num_rows;  //0 1
if($check_get_user_booking_request > 0){

    $check_get_user_all_booking_request->bind_result($booking_request_ids,$booking_id,$user_id,$helper_id,$team_id,$car_number_id,$status,$cancellation_reason);
    while($check_get_user_all_booking_request->fetch()){
        $booking_request_arr[] = $booking_id ;
    }
    $booking_request_arr_imp = implode(',',$booking_request_arr);

	$get_customer_booking_id = $mysqli->prepare("SELECT `booking_id`, `booking_number`, `booking_type`, `geefted_by`, `zone_id`, `team_id`, `user_id`, `driver_user_id`, `name`, `mobile`, `address_id`, `latitude`, `longitude`, `address`, `address_type`, `booking_date_time`, `booking_date`, `booking_time`, `booking_status`, `current_status`, `discount`, `coupan_code_id`, `coupan_code`, `discount_amount`, `service_total_amount`, `tax_percentage`, `tax_amount`, `admin_commission`, `admin_amount`, `wallet_amount`, `rem_amount`, `grand_total_amount`, `transaction_id`, `txn_number`, `payment_status`, `cancel_reason`, `cancel_reason_type`, `accept_date_time`, `onway_date_time`, `arrived_date_time`, `arrive_time`, `start_work_date_time`, `end_work_date_time`, `delete_flag`, `createtime`, `updatetime`, `mysqltime`, `wallet_amount_used_status`, `driver_earning`, `total_amount`, `item_total_amount`, `payment_type`, `payment_method_id`, `payment_done_time`, `discount_type`, `discount_wallet_amount`, `car_brand_name_eng`, `user_car_id`, `car_brand_name_arb`, `car_model_name_eng`, `car_model_name_arb`, `car_color_name`, `car_matress_name_eng`, `car_matress_name_arb`, `plate_number_eng1`, `plate_number_eng2`, `plate_number_arb1`, `plate_number_arb2`, `reminder_status`, `reminder_datetime`, `reminder_msg`, `team_name`, `driver_car_number`, `car_number_id`, `helper_id`, `service_id`, `extra_service_ids`, `car_matress_id`, `car_color_id`, `car_model_id`, `car_brand_id`, `car_size_id`, `car_size_name_eng`, `car_size_name_arb`, `car_brand_image`, `car_size_type`, `team_title_eng`, `team_title_arb`, `zone_address`, `zone_longitude`, `zone_latitude`, `zone_covered_radius`, `zone_title_eng`, `zone_title_arb`,invoice_pdf FROM `booking_master` WHERE delete_flag=0 and   booking_id IN ($booking_request_arr_imp) and booking_status IN(0,1) order by booking_id desc limit 1  ");
    // $get_customer_booking_id->bind_param('i',$booking_id);
    $get_customer_booking_id->execute();
    $get_customer_booking_id->store_result();
    $get_customer = $get_customer_booking_id->num_rows;  //0 1
    if($get_customer > 0){
                    $get_customer_booking_id->bind_result($booking_id,$booking_number,$booking_type,$geefted_by,$zone_id,$team_id,$user_ids,$driver_user_id,$name,$mobile,$address_id,$latitude,$longitude,$address,$address_type,$booking_date_time,$booking_date,$booking_time,$booking_status,$current_status,$discount,$coupan_code_id,$coupan_code,$discount_amount,$service_total_amount,$tax_percentage,$tax_amount,$admin_commission,$admin_amount,$wallet_amount,$rem_amount,$grand_total_amount,$transaction_id,$txn_number,$payment_status,$cancel_reason,$cancel_reason_type,$accept_date_time,$onway_date_time,$arrived_date_time,$arrive_time,$start_work_date_time,$end_work_date_time,$delete_flag,$createtime,$updatetime,$mysqltime,$wallet_amount_used_status,$driver_earning,$total_amount,$item_total_amount,$payment_type,$payment_method_id,$payment_done_time,$discount_type,$discount_wallet_amount,$car_brand_name_eng,$user_car_id,$car_brand_name_arb,$car_model_name_eng,$car_model_name_arb,$car_color_name,$car_matress_name_eng,$car_matress_name_arb,$plate_number_eng1,$plate_number_eng2,$plate_number_arb1,$plate_number_arb2,$reminder_status,$reminder_datetime,$reminder_msg,$team_name,$driver_car_number,$car_number_id,$helper_id,$service_id,$extra_service_ids,$car_matress_id,$car_color_id,$car_model_id,$car_brand_id,$car_size_id,$car_size_name_eng,$car_size_name_arb,$car_brand_image,$car_size_type,$team_title_eng,$team_title_arb,$zone_address,$zone_longitude,$zone_latitude,$zone_covered_radius,$zone_title_eng,$zone_title_arb,$invoice_pdf);
                    $get_customer_booking_id->fetch();
                            $booking_status_level = '0-pending,1-ongoing,2-complete,3-cancelled';
                            $current_status_level = '0=pending,1=accept ,2=on the way,3= helper arrived,4 - strat work in progress,5=end work complete,6 =cancel by driver,7=cancel by user,8=confirm,9=issuess in payment';
                            
                            if(!empty($booking_date_time)){
                                $booking_date_time = date('d/m/Y, h:i A', strtotime($booking_date_time));
                                }
                        
                                
                                    $service_name_arr =array();
                                    $service_image_arr =array();
                                    
                                    $check_booikng_service_all = $mysqli->prepare("SELECT booking_service_id,title_english,title_arabic,image1,image2 from booking_service_master where delete_flag=0 and booking_id =? and service_id = ? ");
                                    $check_booikng_service_all->bind_param("ii", $booking_id,$service_id);
                                    $check_booikng_service_all->execute();
                                    $check_booikng_service_all->store_result();
                                    $check_booikng_service = $check_booikng_service_all->num_rows;
                                    if ($check_booikng_service > 0) {
                                        $check_booikng_service_all->bind_result($booikng_service_id,$title_english,$title_arabic,$image1,$image2);
                                        $check_booikng_service_all->fetch() ;
                                            
                                            $service_name_arr  = array($title_english,$title_arabic);
                                            $service_image_arr = array($image1,$image2);
                                        
                                    }
                                    if (empty($service_name_arr)) {
                                        $service_name_arr = "NA";
                                    }
                                    if (empty($service_image_arr)) {
                                        $service_image_arr = "NA";
                                    }
                                    $payment_method_arr = getPaymentMethod($booking_id);
                                    $customer_name = 'NA';
                                    $customer_image = 'NA';
                                    $customer_mobile = 'NA';
                                    $customer_details     = getUserDetails($user_ids);
                                    if($customer_details != 'NA'){
                                        $customer_name = $customer_details['name'];
                                        $customer_image = $customer_details['image'];
                                        $customer_mobile = $customer_details['mobile'];
                                    } 
                                    $booking_time = date('h:i A',strtotime($booking_time));
$booking_request_id = 0;
                                    $check_booking_request_id = $mysqli->prepare("SELECT booking_request_id  from booking_request_master where delete_flag = 0 and user_id =?  and booking_id = ?   ");
                                    $check_booking_request_id->bind_param('ii',$user_id,$booking_id);
                                    $check_booking_request_id->execute();
                                    $check_booking_request_id->store_result();
                                    $check_check_booking_request_id = $check_booking_request_id->num_rows;  //0 1
                                    if ($check_check_booking_request_id <= 0) {
                                        $booking_request_id = 0 ;
                                    }else{
                                        $check_booking_request_id->bind_result($booking_request_id);
                                        $check_booking_request_id->fetch();
                                    }

                                $booking_arr = array('booking_request_id'=>$booking_request_id,'user_id'=>$user_ids,'booking_id' => $booking_id, 'booking_number' =>  $booking_number,'booking_status'=>$booking_status,'booking_status_level'=>$booking_status_level, 'booking_date_time' => $booking_date_time,'grand_total_amount'=>$grand_total_amount,'current_status'=>$current_status,'service_id'=>$service_id,'service_name'=>$service_name_arr,'invoice_pdf'=>$invoice_pdf,'service_image_arr'=>$service_image_arr,'booking_time'=>$booking_time,'payment_method_arr'=>$payment_method_arr,'customer_name'=>$customer_name,'customer_image'=>$customer_image,'customer_mobile'=>$customer_mobile,'status'=>false);
                            
                                        
                }
}
// ---------------------- get all  booking details end----------------------

if(empty($booking_arr)){
    $booking_arr='NA';
}




$notification_count = getNotificationMsgCount($user_id);


$mysqli->close();



$record=array('success'=>'true','msg' =>$data_found, 'booking_arr'=>$booking_arr, 'notification_count'=>$notification_count); 
jsonSendEncode($record);

?>