<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 
include 'jwt_function.php';

if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}
if(empty($_GET['product_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'product_id'); 
    jsonSendEncode($record);
}


// ------------------- get all value in variables start ------------------- //



$user_id        =   $_GET['user_id'];
$product_id          =   $_GET['product_id'];

 

$datetime = date('Y-m-d H:i:s');

 //.........................check for plate type-----------------------------------

$check_platetype_all    =   $mysqli->prepare("SELECT user_id from user_master where user_id=? and user_type= 1 ");      
$check_platetype_all->bind_param("i",$user_id);
$check_platetype_all->execute();
$check_platetype_all->store_result();
$check_platetype = $check_platetype_all->num_rows;
if($check_platetype <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_platetype_all->bind_result($user_id_get);
$check_platetype_all->fetch();
// --------------- check account activate-deactivate start --------------- //
$active_status  =   checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record     =   array('success'=>'false','msg' =>$account_deactivate, 'active_status'=>$active_status); 
    jsonSendEncode($record);
}

   //-------------------------- get all banner --------------------------
 
  $avg_rating = getProductAvgRating($product_id);

  $rating_arr =array();

  $check_rating_all = $mysqli->prepare("SELECT rating_id,user_id,rating,review,createtime,product_id,booking_id FROM rating_review_master WHERE delete_flag =0  and product_id=? order by rating_id ");
  $check_rating_all->bind_param('i',$product_id);
  $check_rating_all->execute();
  $check_rating_all->store_result();
  $check_rating = $check_rating_all->num_rows;  //0 1
  if ($check_rating > 0) {
      $check_rating_all->bind_result($rating_id,$user_id_get,$rating,$review,$createtime,$product_id ,$booking_id);
      while($check_rating_all->fetch()){
        if($createtime != ""){
          $createtime=date('d M Y, h:i A',strtotime($createtime));
         }
        else{
          $createtime="NA";
          }
         
          $product_image='NA';
          $product_name="NA";
             $product_image_arr =  getProductAllImage($product_id);
             if($product_image_arr !='NA'){
              $product_image = $product_image_arr[0]['image'];
            }
            $check_data_all_debit = $mysqli->prepare("SELECT product_name FROM product_master WHERE delete_flag=0 and  product_id=?   ");
            $check_data_all_debit->bind_param("i", $product_id);
            $check_data_all_debit->execute();
            $check_data_all_debit->store_result();
            $check_data_debit = $check_data_all_debit->num_rows;  //0 1
            if ($check_data_debit > 0) {
                $check_data_all_debit->bind_result($product_name);
                $check_data_all_debit->fetch();
            }
               if(empty($product_name)){
                $product_name = "NA";
               }
               $user_name = 'NA';
               $user_image = 'NA';
               $user_details     = getUserDetails($user_id_get);
               if($user_details != 'NA'){
                   $user_name = $user_details['name'];
                   $user_image = $user_details['image'];
               } 
          $rating_arr[]=array('product_id'=>$product_id,'rating_id'=>$rating_id,'user_id'=>$user_id_get,'user_image'=>$user_image,'user_name'=>$user_name,'product_name'=>$product_name,'product_image'=>$product_image,'rating'=>$rating,'review'=>$review,'createtime'=>$createtime);
          
      }
  }
  
   if(empty($rating_arr)){
      $rating_arr ='NA';
   }
  
 $mysqli->close();
$record=array('success'=>'true','msg' =>$data_found,'avg_rating'=>$avg_rating,'rating_arr'=>$rating_arr); 
jsonSendEncode($record);

?>