
<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';



if (!$_GET) {
    $record = array('success' => 'false', 'msg' => $msg_get_method, 'key' => 'method');
    jsonSendEncode($record);
}
if (empty($_GET['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}


// -------------- get value from field --------------- //
$user_id              =   $_GET['user_id'];

// ---------------------- check user id start ---------------------- //
$check_user_id = $mysqli->prepare("SELECT user_id from user_master where  user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_id->bind_result($user_id);
$check_user_id->fetch();
// ----------------------- check user id end ----------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
// ----------- check user account active/deactive status end ----------- //


// ------------------ get subscription all start ------------------ //
$subscription_arr     = array();
$android_arr     = array();
$ios_arr     = array();


$get_subscription_all = $mysqli->prepare("SELECT user_subscription_id, number_of_wash,`coupan_code_id`,`coupan_code`,`discount`,`discount_amount`,`total_amount`,
`extra_payment`,`wallet_amount_used_status`,
`wallet_amount`,`tax_amount`,`tax_percentage`,`tax_number`,`payment_mode`,`payment_type_id`,`zone_id`,service_id,`transaction_id`, `subscription_id`, `user_id`,device_type,product_id,amount,subscription_start_date, subscription_end_date ,`transaction_json`,`createtime`, `updatetime`, original_transaction_id, receipt_json,status,plan_type  FROM user_subscription_master WHERE user_id = ? and delete_flag=0 order by user_subscription_id desc  ");
$get_subscription_all->bind_param("i", $user_id);
$get_subscription_all->execute();
$get_subscription_all->store_result();
$get_subscription = $get_subscription_all->num_rows;
if($get_subscription > 0)
{
    $get_subscription_all->bind_result($user_subscription_id,$number_of_wash,$coupan_code_id,$coupan_code,$discount,$discount_amount,$total_amount,$extra_payment,$wallet_amount_used_status,$wallet_amount,$tax_amount,$tax_percentage,$tax_number,$payment_mode,$payment_type_id,$zone_id,$service_id,$transaction_id,$subscription_id,$user_id,$device_type,$product_id,$amount,$subscription_start_date,$subscription_end_date ,$transaction_json,$createtime,$updatetime,$original_transaction_id,$receipt_json,$status,$plan_type);
    while ($get_subscription_all->fetch()){
        $starttime_new  = date('d-M-Y', strtotime($subscription_start_date));
        $enddate_new  = date('d-M-Y' ,strtotime($subscription_end_date));
        $show_date    = $starttime_new.' to '.$enddate_new;
          
       
        $check_get_subscription_all=$mysqli->prepare("SELECT `subscription_id`,  `plan_type`, `price`, `description`, `description_arb`, `number_of_wash`, `size_type`, `name_eng`, `name_arb`,image1,image2,service_id FROM `subscription_plan_master` WHERE delete_flag=0 and subscription_id = ?  ");
  
        $check_get_subscription_all->bind_param("i",$subscription_id);
        $check_get_subscription_all->execute();
        $check_get_subscription_all->store_result();
        $check_get_subscription=$check_get_subscription_all->num_rows;  //0 1
      if($check_get_subscription > 0){
      
          $check_get_subscription_all->bind_result($subscription_id,$plan_type,$price,$description_eng,$description_arb,$number_of_wash,$size_type, $name_eng, $name_arb,$image1,$image2,$service_ids);
          $check_get_subscription_all->fetch();
      
                  $service_arr_sub = array();
                  $check_get_service_all=$mysqli->prepare("SELECT `service_id`, `service_type`, `title_english`, `title_arabic`, `description_english`, `description_arabic`, `image1`, `image2`, `price_big`, `price_medium`, `price_small`, `extra_service_ids`, `payment_method_ids`, `timing_for_helper`, `expiry_date`, `service_related_ids`, `package_price`, `no_of_service`  FROM `service_master` where delete_flag=0 and service_id =?  order by service_id desc ");
        
                    $check_get_service_all->bind_param("i",$service_id);
                    $check_get_service_all->execute();
                    $check_get_service_all->store_result();
                    $check_get_service=$check_get_service_all->num_rows;  //0 1
                  if($check_get_service > 0){
                  
                      $check_get_service_all->bind_result($service_id,$service_type,$title_english,$title_arabic,$description_english,$description_arabic,$image1_service,$image2_service,$price_big,$price_medium,$price_small,$extra_service_ids,$payment_method_ids,$timing_for_helper,$expiry_date,$service_related_ids,$package_price,$no_of_service);
                      $check_get_service_all->fetch();
                      $service_title           =array($title_english,$title_arabic);
                      $service_description     =array($description_english,$description_arabic);
                      $service_image           =array($image1_service,$image2_service);
                       
                         
                      }else{
                        $service_type           = 0;
                        $service_title          ='NA';
                        $service_description    ='NA';
                        $service_image          ='NA';
                      }
                  
                      $service_type_level = '0=normal,1=subscription';
                    $plan_type_level = '0=weekly,1=Monthely';
           
                    $today_date = date('Y-m-d');
                    $today_date_str = strtotime($today_date);
                    $end_date_str = strtotime($subscription_end_date);



                    if ($end_date_str > $today_date_str && $status ==1 ) {
                        $subscription_status = 1;
                        $status_level ='Active';
                    
                    }elseif ($end_date_str < $today_date_str ){
                        $status_level ='Expired';
                            $subscription_status = 2;
                    }elseif($status == 3){
                        $subscription_status = 3;
                        $status_level ='Cancelled';
                    }elseif($status == 2){
                        $status_level ='Expired';
                        $subscription_status = 2;
                    }
                $subscription_arr[]          = array(
                    'user_subscription_id'   =>$user_subscription_id,
                    'subscription_id'        =>$subscription_id,
                    'transaction_id'         =>$transaction_id,
                    'amount'                 =>$amount,
                    'status'                 =>$subscription_status,
                    'status_level'           =>$status_level,
                    'start_datetime'         =>$starttime_new,
                    'end_datetime'           =>$enddate_new,
                    'description'            =>array($description_eng,$description_arb),
                    'name'                   =>array($name_eng,$name_arb),
                    'image'                  =>array($image1,$image2),
                    'number_of_wash'         =>$number_of_wash,
                    'price'                  =>$price,
                    'plan_type'              =>$plan_type,
                    'plan_type_level'        =>$plan_type_level,
                    'size_type'              =>$size_type,
                    'service_id'             =>$service_id,
                    'service_type'           =>$service_type,
                    'service_type_level'     =>$service_type_level,
                    'service_title'          =>$service_title,
                    'service_description'    =>$service_description,
                    'service_image'          =>$service_image,
                    'status'=>false
                );
            }

        }


}



if(empty($subscription_arr))
{
    $subscription_arr = 'NA';
}
// 
$mysqli->close();
// ========================= Response ========================= //
$record = array('success' => 'true', 'msg' => $data_found, 'subscription_arr' => $subscription_arr);
jsonSendEncode($record);
?>