<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 
include 'jwt_function.php';


if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}




// ------------------- get all value in variables start ------------------- //


$user_id=$_GET['user_id'];

 $date = date('Y-m-d');



 // =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id,team_id from user_master where  user_id=? and user_type=2 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id,$team_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}

$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
    
$check_availability_all = $mysqli->prepare("SELECT availability_id,car_number_id,team_id,helper_id  from availability_master where delete_flag =0 and driver_id =? and confirm_status = 1 ");
$check_availability_all->bind_param("i", $user_id );
$check_availability_all->execute();
$check_availability_all->store_result();
$check_availability = $check_availability_all->num_rows;  //0 1
if($check_availability >  0){
    $check_availability_all->bind_result( $availability_id,$car_number_id,$team_id,$helper_id);
    $check_availability_all->fetch();
   
$check_daily_tool_report_all = $mysqli->prepare("SELECT `daily_tool_report_id`, `report_number`, `gas_91`, `gas_95`, `diesel`, `maintainance_type`, `car_maintain`, `steam_eng_maintain`, `stock_pdf`  FROM `daily_tool_report_master` WHERE  delete_flag =0 and car_number_id =? and team_id = ? and chosen_date = ? order by daily_tool_report_id desc  limit 1 ");
$check_daily_tool_report_all->bind_param("iis", $car_number_id,$team_id,$date );
$check_daily_tool_report_all->execute();
$check_daily_tool_report_all->store_result();
$check_daily_tool_report = $check_daily_tool_report_all->num_rows;  //0 1
if($check_daily_tool_report >  0){
    $check_daily_tool_report_all->bind_result( $daily_tool_report_id,$report_number,$gas_91,$gas_95,$diesel,$maintainance_type,$car_maintain,$steam_eng_maintain,$stock_pdf);
    $check_daily_tool_report_all->fetch();

    $check_daily_tool_quan_report_all = $mysqli->prepare("SELECT `daily_tool_quan_report_id`, `tool_id`, `daily_tool_report_id`, `quantity`, `quantity_end` FROM `daily_tool_quantity_report_master` WHERE  delete_flag =0 and daily_tool_report_id =? order by daily_tool_quan_report_id desc  ");
    $check_daily_tool_quan_report_all->bind_param("i", $daily_tool_report_id );
    $check_daily_tool_quan_report_all->execute();
    $check_daily_tool_quan_report_all->store_result();
    $check_daily_tool_quan_report = $check_daily_tool_quan_report_all->num_rows;  //0 1
    if($check_daily_tool_quan_report >  0){
        $check_daily_tool_quan_report_all->bind_result( $daily_tool_quan_report_id,$tool_id,$daily_tool_report_id,$quantity,$quantity_end);
       while($check_daily_tool_quan_report_all->fetch()){
        
        $check_package_all = $mysqli->prepare("SELECT tools_id,package_name,description,image  from tools_master where delete_flag =0 and tools_id =? ");
        $check_package_all->bind_param("i", $tool_id );
        $check_package_all->execute();
        $check_package_all->store_result();
        $check_package = $check_package_all->num_rows;  //0 1
        if($check_package >  0){
            $check_package_all->bind_result( $tools_id,$package_name,$description,$image);
            $check_package_all->fetch();

            $product_arr[] = array('daily_tool_quan_report_id'=>$daily_tool_quan_report_id,'daily_tool_report_id'=>$daily_tool_report_id,'quantity'=>$quantity,'package_name'=>$package_name,'description'=>$description,'image'=>$image,'status'=>false);
        }

            
       }
    }
     
    if(empty($product_arr)){
        $product_arr='NA';
      }



        $car_number = getDriverCarDetails($car_number_id);
        $stock_arr =array('daily_tool_report_id'=>$daily_tool_report_id,'report_number'=>$report_number,'car_number_id'=>$car_number_id,'helper_id'=>$helper_id,'car_number'=>$car_number,'gas_91'=>$gas_91,'gas_95'=>$gas_95,'diesel'=>$diesel,'maintainance_type'=>$maintainance_type,'date'=>date('D d-m-Y',strtotime($date)),'car_maintain'=>$car_maintain,'steam_eng_maintain'=>$steam_eng_maintain,'stock_pdf'=>$stock_pdf,'product_arr'=>$product_arr);
      }

    
}

 




if(empty($stock_arr)){
  $stock_arr='NA';
}
$mysqli->close();

$record=array('success'=>'true','msg' =>$data_found,'stock_arr'=>$stock_arr); 
jsonSendEncode($record);

?>