<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php';
include 'language_message.php'; 
include 'jwt_function.php';

if(!$_GET){
    $record = array('success'=>'false', 'msg'=>$msg_post_method,'error'=>1); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'user_id'); 
    jsonSendEncode($record);
}
if(empty($_GET['latitude'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'latitude'); 
    jsonSendEncode($record);
}
if(empty($_GET['longitude'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'longitude'); 
    jsonSendEncode($record);
}
if(empty($_GET['service_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'service_id'); 
    jsonSendEncode($record);
}
if(empty($_GET['extra_service_id'])){
    $extra_service_id = 0;
}else{
    $extra_service_id        =   $_GET['extra_service_id'];
}


if(empty($_GET['booking_date'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>'booking_date'); 
    jsonSendEncode($record);
  
    }else{
    $booking_date        =   $_GET['booking_date'];
}


// =============== get all value in variables start ===============
$user_id        =   $_GET['user_id'];
$latitude        =   $_GET['latitude'];
$longitude        =   $_GET['longitude'];
$service_id        =   $_GET['service_id'];


$booking_date = date('Y-m-d', strtotime($booking_date));

$updatetime     =   date("Y-m-d H:i:s");

// =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}
function getdistance($latitude,$longitude,$des_latitude,$des_longitude){
    $origin = "".$latitude.",".$longitude.""; // Replace with the latitude and longitude of the origin
    $destination = "".$des_latitude.",".$des_longitude.""; // Replace with the latitude and longitude of the destination
    // $key = "AIzaSyDS1YZ00TD8ft5H03SKfgvhmbrJa7nCKys"; // Replace with your Google Maps API key
    
    // Construct the API request URL
    $url = "https://maps.googleapis.com/maps/api/directions/json?origin=$origin&destination=$destination&key=$key";
    // $url = "https://maps.googleapis.com/maps/api/directions/json?origin=22.83645,75.94565&destination=22.43645,75.64565&key=AIzaSyDJLhjqnAd0Q4RmlR9sXtTxfq2bwhbaYlA";
    
    // Make the API request
    $response = file_get_contents($url);
    
    if ($response === false) {
        return $distance ='Error';
    } else {
        $data = json_decode($response, true);
    
        
        if ($data['status'] == "OK") {
            $distance = $data['routes'][0]['legs'][0]['distance']['value']; 
            $distanceInKilometers = $distance / 1000; // km 
            return round($distanceInKilometers);
        } else {
          return  $distance ='Error';
        }
    }
}


$end_date_times = $booking_date;

$sql_diatance ="(3956 * 2 * ASIN(SQRT( POWER(SIN(( $latitude - latitude) *  pi()/180 / 2), 2) +COS( $latitude * pi()/180) * COS(latitude * pi()/180) * POWER(SIN(( $longitude - longitude) * pi()/180 / 2), 2) ))) as distance  
                                 ";
$tags_id_arr = array();
$tags_id_arr[] = $service_id;
$tags_id_arr_get = implode(',', $tags_id_arr);
 
    $zone_arr = array();  
    $daily_start_date_time = '';                           
    $daily_end_date_time = '';   
    $zones_arr = array();                        
$check_post_all = $mysqli->prepare("SELECT `zone_id`, `zone_address`, `latitude`, `longitude`, `covered_radius`, `title`, `start_date_time`, `end_date_time`, `daily_start_date_time`, `daily_end_date_time`, `ext_wash_time`, `int_steam_wash_time`, `int_polish_time`, `int_and_ext_polish_time`, `car_ids`, `team_ids`, `payment_method_ids`, `zone_service_type` , $sql_diatance FROM `zone_master` WHERE delete_flag='0' and latitude !='' and longitude != ''  AND zone_service_type REGEXP '(^|,)($tags_id_arr_get)(,|$)' and end_date_time >= ?   order by distance asc  ");
$check_post_all->bind_param("s", $end_date_times);
$check_post_all->execute();
$check_post_all->store_result();
$check_post = $check_post_all->num_rows;  //0 1
if ($check_post > 0) {
    $check_post_all->bind_result($zone_id,$zone_address,$des_latitude,$des_longitude,$covered_radius,$title,$start_date_time,$end_date_time,$daily_start_date_times,$daily_end_date_times,$ext_wash_time,$int_steam_wash_time,$int_polish_time,$int_and_ext_polish_time,$car_ids,$team_ids,$payment_method_ids,$zone_service_type,$distance);
    while($check_post_all->fetch()){

    $distance_get = $distance;
    // $distance_get = getdistance($latitude,$longitude,$des_latitude,$des_longitude);
   
    if($covered_radius >= $distance_get){
        $zones_arr[] = array('zone_id' => $zone_id,'distance'=>$distance_get);
        $zone_arr = array('zone_id' => $zone_id, 'zone_address' => $zone_address,'latitude'=>$des_latitude,'longitude'=>$des_longitude,'covered_radius'=>$covered_radius,'title'=>$title,'start_date_time'=>$start_date_time,'end_date_time'=>$end_date_time,'daily_start_date_time'=>$daily_start_date_times,'daily_end_date_time'=>$daily_end_date_times,'ext_wash_time'=>$ext_wash_time,'int_steam_wash_time'=>$int_steam_wash_time,'int_polish_time'=>$int_polish_time,'int_and_ext_polish_time'=>$int_and_ext_polish_time,'car_ids'=>$car_ids,'team_ids'=>$team_ids,'payment_method_ids'=>$payment_method_ids,'zone_service_type'=>$zone_service_type,'distance'=>$distance);
    }
}
}else{
    $record = array('success' => "false", 'msg' => $msg_area_not_found);
    jsonSendEncode($record);
}
if(empty($zones_arr)){
    $record = array('success' => "false", 'msg' => $msg_area_not_found,'distance'=>$distance);
    jsonSendEncode($record);  
}else{
    usort($zones_arr, function($a, $b) {
        return $a['distance'] - $b['distance'];
    });
    
    // Remove duplicates based on zone_id
    $unique_zones_arr = [];
    foreach ($zones_arr as $zone) {
        $zone_id = $zone['zone_id'];
        if (!isset($unique_zones_arr[$zone_id])) {
            $unique_zones_arr[$zone_id] = $zone;
        }
    }
    
    // Reset array keys to start from 0
    $unique_zones_arr = array_values($unique_zones_arr);
    $zone_id = $unique_zones_arr[0]['zone_id'];
}

 $daily_start_date_time = $booking_date.' '.$daily_start_date_times;
$daily_end_date_time = $booking_date.' '.$daily_end_date_times;
// $daily_end_date_time   = '2023-12-22 12:30:00 AM';
$booking_time_arr =array();
$driver_id_arr=array();
$driver_id_booking_arr=array();
$driver_id_not_booking_arr=array();
// echo $team_ids;
if(!empty($team_ids)){
    $team_ids_exp = explode(',',$team_ids);
        for($i=0;$i<count($team_ids_exp);$i++){
            $team_idss = $team_ids_exp[$i];
        // $check_team_id_id = $mysqli->prepare("SELECT `availability_id`, `team_id`, `driver_id`, `car_number_id`, `helper_id`, `confirm_status`  FROM `availability_master` WHERE delete_flag =0 and team_id =? ");
        // $check_team_id_id->bind_param('i', $team_idss);
        // $check_team_id_id->execute();
        // $check_team_id_id->store_result();
        // $check_team_id = $check_team_id_id->num_rows;  //0 1
        // if ($check_team_id > 0) {
        //    $check_team_id_id->bind_result( $attendance_id,$team_id,$driver_id,$car_number_id,$helper_id,$confirm_status);
        //    while($check_team_id_id->fetch()){
           


          
            $check_agent_id = $mysqli->prepare("SELECT user_id from user_master where delete_flag =0  and user_type=2 and active_flag = 1  and profile_complete = 1 and team_id = ?  ");
            $check_agent_id->bind_param('i', $team_idss);
            $check_agent_id->execute();
            $check_agent_id->store_result();
             $check_agent = $check_agent_id->num_rows;  //0 1
            if ($check_agent > 0) {
                $check_agent_id->bind_result($driver_id);
                while($check_agent_id->fetch()){
                  
                
                    $driver_id_arr[]=$driver_id;
               
                    $get_all_booking_request=$mysqli->prepare("SELECT booking_id	 FROM `booking_request_master` WHERE  delete_flag =0 and zone_id = ? and booking_date = ? and status IN(0,1) and user_id = ?  ");
                    $get_all_booking_request->bind_param("isi",$zone_id,$booking_date,$driver_id);
                    $get_all_booking_request->execute();
                    $get_all_booking_request->store_result();
                    $check_get_all_booking_request = $get_all_booking_request->num_rows;  //0 1
                    if($check_get_all_booking_request > 0){

                        $get_all_booking_request->bind_result($booking_id);
                        while($get_all_booking_request->fetch()){
                    




                $get_all_booking=$mysqli->prepare("SELECT booking_date,booking_time,driver_user_id,booking_id,service_id,extra_service_ids	 FROM `booking_master` WHERE  delete_flag =0 and zone_id = ? and booking_date = ? and booking_id = ? and booking_status IN(0,1) ");
                $get_all_booking->bind_param("isi",$zone_id,$booking_date,$booking_id);
                $get_all_booking->execute();
                $get_all_booking->store_result();
                $check_get_all_booking = $get_all_booking->num_rows;  //0 1
                if($check_get_all_booking > 0){
                
                   $get_all_booking->bind_result($booking_date_get,$booking_start_time_get,$driver_user_id,$booking_id,$service_id_get,$extra_service_ids_get);
                   $get_all_booking->fetch();


                        


                       $get_time=getBookingTime($service_id_get,$extra_service_ids_get,$booking_id);
                    //   echo 'kkkkk'. $booking_start_time_get;
                        $start_time_book = $booking_date_get.' '.$booking_start_time_get;
                        if(empty($get_time)){
                            $end_times= $booking_start_time_get;
                            $end_time_book =$booking_date_get.' '.$end_times;
                        }else{
                            $booking_start_time_get = new DateTime($booking_start_time_get);
                            $end_times= $booking_start_time_get->add(new DateInterval('PT'.$get_time.'M'));
                            $end_time_book =$booking_date_get.' '.$end_times->format('H:i:s');
                        }
                        $driver_id_booking_arr[]=$driver_id;
                       
                        $booking_time_arr[] =array('start_time_book'=>$start_time_book,'end_time_book'=>$end_time_book,'driver_user_id'=>$driver_id,'get_time'=>$get_time);
                        
                         
                }
            }
        }
                       
                
            
                
           }
          }
         }
        }

if(empty($driver_id_arr)){
    $record = array('success' => "false", 'msg' => $msg_area_not_found);
    jsonSendEncode($record);
}


//print_r($booking_time_arr);
// die;
$timing_for_helper=0;
$check_get_service_all=$mysqli->prepare("SELECT  `timing_for_helper` FROM `service_master` WHERE  delete_flag =0 and  service_id =?  ");
    $check_get_service_all->bind_param("i",$service_id);
    $check_get_service_all->execute();
    $check_get_service_all->store_result();
   $check_get_service = $check_get_service_all->num_rows;  //0 1
    if($check_get_service > 0){
    
        $check_get_service_all->bind_result($timing_for_helper);
        $check_get_service_all->fetch();
        
       
           
    }


    $exp_timing_for_helper =0;
    //==========================select extra service data=================================
    $check_get_extra_service_all=$mysqli->prepare("SELECT timing_for_helper FROM `extra_service_master` WHERE  delete_flag =0 and extra_service_id IN($extra_service_id)  ");
    // $check_get_extra_service_all->bind_param("i",$booking_id);
    $check_get_extra_service_all->execute();
    $check_get_extra_service_all->store_result();
    $check_get_extra_service = $check_get_extra_service_all->num_rows;  //0 1
    if($check_get_extra_service > 0){
    
       $check_get_extra_service_all->bind_result($timing_for_helper_exp);
        while($check_get_extra_service_all->fetch()){
             $exp_timing_for_helper = $exp_timing_for_helper +$timing_for_helper_exp;
            
             
    }
           
    }

$slot_time = $timing_for_helper+$exp_timing_for_helper;
//-------------------------- get all banner --------------------------
// $start_time = new DateTime($daily_start_date_time);
// $end_time = new DateTime($daily_end_date_time);
// $driver_id_booking_arr=[];
$driver_count = count($driver_id_arr);
$booking_count = count($driver_id_booking_arr);
$total_count = $driver_count - $booking_count;
// echo $driver_count;
$time_slots = [];
// $updatetime='2023-12-22 15:29:00';
// $skip_minute='115';
// $booking_date_time_arr=['booking_date_time'=>$booking_date_time,'skip_minute'=>$skip_minute];
$array_driver_new=array();
function generateTimeSlots($startTimeStr, $endTimeStr,$booking_date,$updatetime,$slot_time,$driver_count,$booking_count,$booking_time_arr,$total_count) {
    $startTime = new DateTime($startTimeStr);
    $endTime = new DateTime($endTimeStr);
    if ($startTime >= $endTime) {

        // $endtimes= $booking_date .' '. $endTimeStr;
        $endTime->modify('+1 day'); // Add one day to make it the next day
    } // Add one day to make it the next day

    $currentTime = clone $startTime;
    $time_slots = [];

    while ($currentTime <= $endTime) {

        

        
        
// print_r($booking_time_arr);
// die;

    $datetime = $currentTime->format('Y-m-d H:i:s');
    $currentTimefirst =   $currentTime->format('Y-m-d H:i:s');
    $slot_time_last = $slot_time-1;
 $currentTimeLast =   $currentTime->add(new DateInterval('PT'.$slot_time_last.'M'));
    if(strtotime($datetime) < strtotime($updatetime) ){
        $status = false ;
    }else{
        $status = true  ;
$array_driver_new=array();
        if($total_count <= 0 ){
            
            for ($i=0; $i <count($booking_time_arr) ; $i++) { 
        
                 $driver_id_booking_start =$booking_time_arr[$i]['start_time_book'];
                 $driver_id_booking_end =$booking_time_arr[$i]['end_time_book'];
                 $driver_user_id =$booking_time_arr[$i]['driver_user_id'];
                //  echo $driver_id_booking_start.'--';
                //  echo $currentTime->format('Y-m-d H:i:s').'--';
                //  echo $driver_id_booking_end.'--';
                 
           
                if((strtotime($driver_id_booking_start) <= strtotime($currentTimefirst) &&  strtotime($currentTimefirst) <= strtotime($driver_id_booking_end)) || (strtotime($driver_id_booking_start) <= strtotime($currentTimeLast->format('Y-m-d H:i:s')) &&  strtotime($currentTimeLast->format('Y-m-d H:i:s')) <= strtotime($driver_id_booking_end)) ){
                     $status = false ;
                    // echo'false';
                    $array_driver_new[] =$driver_user_id;
                    
                }else{
                    if(in_array($driver_user_id,$array_driver_new)){
                        $status = false ;
                    }else{
                        $status = true ;
                    }
                     
                  //  echo'true';
                   
                }
            }
        }
    }
    // echo $updatetime;
    // die;
    
    
    
    $time_slots[] = array ('time_slots'=>date('h:i A',strtotime($currentTimefirst)),'time_slots_new'=>date('H:i:s',strtotime($currentTimefirst)),'status'=>$status,'date_time_slots'=>date('Y-m-d H:i:s',strtotime($currentTimefirst)));
    $currentTime->add(new DateInterval('PT1M'));
        
    }

    return $time_slots;
}

// Example usage

// $slotDuration = 30;

$timeSlots = generateTimeSlots($daily_start_date_time, $daily_end_date_time, $booking_date,$updatetime,$slot_time,$driver_count,$booking_count,$booking_time_arr,$total_count);



if(empty($timeSlots)){
    $timeSlots='NA';
}
if($driver_count <= 0 ){
    $timeSlots='NA';
}
if(empty($zone_arr)){
    $zone_arr='NA';
}

if(!empty($driver_id_arr)){
    $driver_id_imp_arr = implode(',',$driver_id_arr);
}else{
    $driver_id_imp_arr=0;
}



    $mysqli->close();
    $record=array('success'=>'true', 'msg' =>$data_found,'zone_arr'=>$zone_arr,'slot_time'=>$slot_time,'daily_start_date_time'=>$daily_start_date_time,'daily_end_date_time'=>$daily_end_date_time,'time_slots'=>$timeSlots,'booking_time_arr'=>$booking_time_arr,'driver_count'=>$driver_count,'total_count'=>$total_count,'driver_id_imp_arr'=>$driver_id_imp_arr); 
    jsonSendEncode($record);
?>