<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 
include 'jwt_function.php';


if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}
if(empty($_GET['booking_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}



// ------------------- get all value in variables start ------------------- //


$user_id=$_GET['user_id'];
$booking_id=$_GET['booking_id'];





// =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}


$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}



$booking_arr = array();
$service_arr = array();
$extra_service_arr = array();
$service_id = 0;
$zone_id = 0;
$extra_id = array();
//-------------------------- get all content --------------------------
$check_get_booking_all=$mysqli->prepare("SELECT `booking_id`, `booking_number`, `booking_type`, `geefted_by`, `zone_id`, `team_id`, `user_id`, `driver_user_id`, `name`, `mobile`, `address_id`, `latitude`, `longitude`, `address`, `address_type`, `booking_date_time`, `booking_date`, `booking_time`, `booking_status`, `current_status`, `discount`, `coupan_code_id`, `coupan_code`, `discount_amount`, `service_total_amount`, `tax_percentage`, `tax_amount`, `admin_commission`, `admin_amount`, `wallet_amount`, `rem_amount`, `grand_total_amount`, `transaction_id`, `txn_number`, `payment_status`, `cancel_reason`, `cancel_reason_type`, `accept_date_time`, `onway_date_time`, `arrived_date_time`, `arrive_time`, `start_work_date_time`, `end_work_date_time`, `delete_flag`, `createtime`, `updatetime`, `mysqltime`, `wallet_amount_used_status`, `driver_earning`, `total_amount`, `item_total_amount`, `payment_type`, `payment_method_id`, `payment_done_time`, `discount_type`, `discount_wallet_amount`, `car_brand_name_eng`, `user_car_id`, `car_brand_name_arb`, `car_model_name_eng`, `car_model_name_arb`, `car_color_name`, `car_matress_name_eng`, `car_matress_name_arb`, `plate_number_eng1`, `plate_number_eng2`, `plate_number_arb1`, `plate_number_arb2`, `reminder_status`, `reminder_datetime`, `reminder_msg`, `team_name`, `driver_car_number`, `car_number_id`, `helper_id`, `service_id`, `extra_service_ids`, `car_matress_id`, `car_color_id`, `car_model_id`, `car_brand_id`, `car_size_id`, `car_size_name_eng`, `car_size_name_arb`, `car_brand_image`, `car_size_type`, `team_title_eng`, `team_title_arb`, `zone_address`, `zone_longitude`, `zone_latitude`, `zone_covered_radius`, `zone_title_eng`, `zone_title_arb`,invoice_pdf,tax_number FROM `booking_master` WHERE  delete_flag =0 and booking_type=1 and booking_id =?  ");

$check_get_booking_all->bind_param("i",$booking_id);
$check_get_booking_all->execute();
$check_get_booking_all->store_result();
$check_get_booking=$check_get_booking_all->num_rows;  //0 1
if($check_get_booking > 0){

    $check_get_booking_all->bind_result($booking_id,$booking_number,$booking_type,$geefted_by,$zone_id,$team_id,$user_id,$driver_user_id,$name,$mobile,$address_id,$latitude,$longitude,$address,$address_type,$booking_date_time,$booking_date,$booking_time,$booking_status,$current_status,$discount,$coupan_code_id,$coupan_code,$discount_amount,$service_total_amount,$tax_percentage,$tax_amount,$admin_commission,$admin_amount,$wallet_amount,$rem_amount,$grand_total_amount,$transaction_id,$txn_number,$payment_status,$cancel_reason,$cancel_reason_type,$accept_date_time,$onway_date_time,$arrived_date_time,$arrive_time,$start_work_date_time,$end_work_date_time,$delete_flag,$createtime,$updatetime,$mysqltime,$wallet_amount_used_status,$driver_earning,$total_amount,$item_total_amount,$payment_type,$payment_method_id,$payment_done_time,$discount_type,$discount_wallet_amount,$car_brand_name_eng,$user_car_id,$car_brand_name_arb,$car_model_name_eng,$car_model_name_arb,$car_color_name,$car_matress_name_eng,$car_matress_name_arb,$plate_number_eng1,$plate_number_eng2,$plate_number_arb1,$plate_number_arb2,$reminder_status,$reminder_datetime,$reminder_msg,$team_name,$driver_car_number,$car_number_id,$helper_id,$service_id,$extra_service_ids,$car_matress_id,$car_color_id,$car_model_id,$car_brand_id,$car_size_id,$car_size_name_eng,$car_size_name_arb,$car_brand_image,$car_size_type,$team_title_eng,$team_title_arb,$zone_address,$zone_longitude,$zone_latitude,$zone_covered_radius,$zone_title_eng,$zone_title_arb,$invoice_pdf,$tax_number);
    $check_get_booking_all->fetch();
    
    $booking_status_level = '0-pending,1-ongoing,2-complete,3-cancelled';
    $booking_status_gift_level = '0-sent the gift,1-service request,2-done,3-cancelled';
    $current_status_level = '0=pending,1=accept ,2=on the way,3= helper arrived,4 - strat work in progress,5=end work complete,6 =cancel by driver,7=cancel by user,8=confirm';
    $booking_type_text='0=normal,1=gift';
    $address_text ='0=home, 1=office, 2=other';
    if(!empty($booking_date_time)){
     $booking_date_time = date('d/m/Y, h:i A', strtotime($booking_date_time));
     }
    $booking_date =date('d/m/Y',strtotime($booking_date));
    $booking_time =date('h:i A',strtotime($booking_time));
    
    //==========================select service data=================================
    $check_get_service_all=$mysqli->prepare("SELECT `booking_service_id`, `booking_id`, `service_id`, `service_type`, `title_english`, `title_arabic`, `description_english`, `description_arabic`, `image1`, `image2`, `total_price`, `price_big`, `price_medium`, `price_small`, `extra_service_ids`, `payment_method_ids`, `timing_for_helper`, `expiry_date`, `service_related_ids`, `package_price`, `no_of_service` FROM `booking_service_master` WHERE  delete_flag =0 and  booking_id =?  ");
    $check_get_service_all->bind_param("i",$booking_id);
    $check_get_service_all->execute();
    $check_get_service_all->store_result();
    $check_get_service = $check_get_service_all->num_rows;  //0 1
    if($check_get_service > 0){
    
        $check_get_service_all->bind_result($booking_service_id,$booking_id,$service_id,$service_type,$title_english,$title_arabic,$description_english,$description_arabic,$image1,$image2,$total_price,$price_big,$price_medium,$price_small,$extra_service_ids,$payment_method_ids,$timing_for_helper,$expiry_date,$service_related_ids,$package_price,$no_of_service);
        $check_get_service_all->fetch();
        $service_type_level = '0=Services,1=with subscription';
        $service_arr = array('booking_service_id'=>$booking_service_id,'booking_id'=>$booking_id,'service_id'=>$service_id,'service_type'=>$service_type,'title'=>array($title_english,$title_arabic),'description'=>array($description_english,$description_arabic),'image'=>array($image1,$image2),'total_price'=>$total_price,'service_type_level'=>$service_type_level,'status'=>false);
           
    }
    $booking_extra_service_arr = array();
 
    //==========================select extra service data=================================
    $check_get_extra_service_all=$mysqli->prepare("SELECT `booking_extra_service_id`, `booking_id`, `extra_service_id`, `title_english`, `title_arabic`, `image1`, `image2`, `price`, `main_service_id`, `subscription_related_type` FROM `booking_extra_service_master` WHERE  delete_flag =0 and booking_id =?  ");
    $check_get_extra_service_all->bind_param("i",$booking_id);
    $check_get_extra_service_all->execute();
    $check_get_extra_service_all->store_result();
    $check_get_extra_service = $check_get_extra_service_all->num_rows;  //0 1
    if($check_get_extra_service > 0){
    
       $check_get_extra_service_all->bind_result($booking_extra_service_id,$booking_id,$extra_service_id,$extra_service_title_english,$extra_service_title_arabic,$extra_service_image1,$extra_service_image2,$extra_service_price,$main_service_id,$subscription_related_type);
        while($check_get_extra_service_all->fetch()){

      $extra_id[] = $extra_service_id;
        $booking_extra_service_arr[] = array('booking_extra_service_id'=>$booking_extra_service_id,'booking_id'=>$booking_id,'extra_service_id'=>$extra_service_id,'title'=>array($extra_service_title_english,$extra_service_title_arabic),'image'=>array($extra_service_image1,$extra_service_image2),'extra_service_price'=>$extra_service_price,'status'=>false);
    }
           
    }

    









        
        
        //  $booking_traking_arr = getOrderTraking($booking_id);
         $driver_details      = getUserDetails($driver_user_id);
            
            $driver_details_arr = array();
            
        $driver_name = 'NA';
        $driver_image = 'NA';
        $driver_mobile = 'NA';
         if($driver_details != 'NA'){
             $driver_name = $driver_details['name'];
             $driver_image = $driver_details['image'];
             $driver_mobile = $driver_details['mobile'];
             
             $driver_details_arr = array(
                 'driver_id'=>$driver_user_id, 
                 'driver_name'=>$driver_name, 
                 'driver_image'=>$driver_image, 
                 'driver_mobile'=>$driver_mobile, 
                
                 );
         }
    
    if(empty($driver_details_arr)){
    $driver_details_arr='NA';
}

if(empty($service_arr)){
    $service_arr='NA';
}
if(empty($booking_extra_service_arr)){
    $booking_extra_service_arr='NA';
}

$payment_method_arr = getPaymentMethod($booking_id);
$cancel_charge =0;
$check_driver_commission_all = $mysqli->prepare("SELECT `cancel_charge`  FROM `commision_master`  WHERE delete_flag = 0 ");
       $check_driver_commission_all->execute();
       $check_driver_commission_all->store_result();
       $check_driver_commission = $check_driver_commission_all->num_rows;  //0 1
       if ($check_driver_commission > 0) {
           $check_driver_commission_all->bind_result($cancel_charge);
        $check_driver_commission_all->fetch();
        
       }
$booking_arr = array('user_id'=>$user_id,'booking_id' => $booking_id, 'booking_number' =>  $booking_number,'booking_status'=>$booking_status,'booking_status_level'=>$booking_status_level,'booking_type'=>$booking_type, 'booking_type_text'=>$booking_type_text,'booking_date_time' => $booking_date_time,'grand_total_amount'=>$grand_total_amount,'current_status'=>$current_status,'current_status_level'=>$current_status_level,'service_id'=>$service_id,'service_arr'=>$service_arr,'booking_extra_service_arr'=>$booking_extra_service_arr,'cancel_reason_type'=>$cancel_reason_type,'driver_details_arr'=>$driver_details_arr,'discount'=>$discount,'coupan_code_id'=>$coupan_code_id,'coupan_code'=>$coupan_code,'discount_amount'=>$discount_amount,'service_total_amount'=>$service_total_amount,'tax_percentage'=>$tax_percentage,'tax_amount'=>$tax_amount,'transaction_id'=>$transaction_id,'txn_number'=>$txn_number,'payment_method_arr'=>$payment_method_arr,'invoice_pdf'=>$invoice_pdf,'cancel_reason_type_level' => '0=car issuess ,1= steam machine issuess,2=team issuess','cancel_charge'=>$cancel_charge,'booking_status_gift_level'=>$booking_status_gift_level,'booking_status_gift'=>$booking_status,'tax_number'=>$tax_number,'status'=>false);
			  
}

if(empty($booking_arr)){
    $booking_arr='NA';
}



    
   
//-------------------------- get all content --------------------------



$mysqli->close();
$record=array('success'=>'true','msg' =>$data_found,'booking_arr'=>$booking_arr); 
jsonSendEncode($record);

?>