<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php';
include 'language_message.php'; 
include 'jwt_function.php';

if(!$_GET){
    $record = array('success'=>'false', 'msg'=>$msg_post_method,'error'=>1); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}


// =============== get all value in variables start ===============
$user_id        =   $_GET['user_id'];

$updatetime     =   date("Y-m-d H:i:s");

// =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
//-------------------------- get all banner --------------------------
$recharge_balance_arr = array();
  $check_get_recharge_balanceall=$mysqli->prepare("SELECT `recharge_balance_id`, `balance`  from  recharge_balance_master where delete_flag =0 ");
  
  // $check_get_recharge_balanceall->bind_param("i",$user_id);
  $check_get_recharge_balanceall->execute();
  $check_get_recharge_balanceall->store_result();
  $check_get_wallet=$check_get_recharge_balanceall->num_rows;  //0 1
if($check_get_wallet > 0){

    $check_get_recharge_balanceall->bind_result($recharge_balance_id, $balance );
    while($check_get_recharge_balanceall->fetch()){

      

    $recharge_balance_arr[]=array('recharge_balance_id'=>$recharge_balance_id,'balance'=>$balance, 'status'=>false);  

    }

     
}

if(empty($recharge_balance_arr)){
    $recharge_balance_arr='NA';
}
//-------------------------- get all banner --------------------------
$subscription_balance = 0;
$total_amount = 0;

$get_remaing_wash = 0;
$remaing_wash_arr = array();
$service_title =array();
$current_date = date('Y-m-d H:i:s');
$get_subscription_all = $mysqli->prepare("SELECT user_subscription_id, number_of_wash,subscription_start_date, subscription_end_date ,status,plan_type,service_id ,total_amount FROM user_subscription_master WHERE user_id = ?  and delete_flag=0 and  status IN (1,3) and subscription_end_date > ? order by  user_subscription_id asc ");
$get_subscription_all->bind_param("is", $user_id,$current_date);
$get_subscription_all->execute();
$get_subscription_all->store_result();
$get_subscription = $get_subscription_all->num_rows;
if($get_subscription > 0)
{

$get_subscription_all->bind_result($user_subscription_id,$number_of_wash,$subscription_start_date,$subscription_end_date,$status,$plan_type,$service_id,$total_amount);
 while( $get_subscription_all->fetch()){
  
    $check_get_service_all=$mysqli->prepare("SELECT `service_id`, `service_type`, `title_english`, `title_arabic`, `description_english`, `description_arabic`, `image1`, `image2`, `price_big`, `price_medium`, `price_small`, `extra_service_ids`, `payment_method_ids`, `timing_for_helper`, `expiry_date`, `service_related_ids`, `package_price`, `no_of_service`  FROM `service_master` where delete_flag=0 and service_id =?  order by service_id desc ");
        
                    $check_get_service_all->bind_param("i",$service_id);
                    $check_get_service_all->execute();
                    $check_get_service_all->store_result();
                    $check_get_service=$check_get_service_all->num_rows;  //0 1
                  if($check_get_service > 0){
                  
                      $check_get_service_all->bind_result($service_id,$service_type,$title_english,$title_arabic,$description_english,$description_arabic,$image1_service,$image2_service,$price_big,$price_medium,$price_small,$extra_service_ids,$payment_method_ids,$timing_for_helper,$expiry_date,$service_related_ids,$package_price,$no_of_service);
                      $check_get_service_all->fetch();
                      $service_title           = array($title_english,$title_arabic);

                  }
                  if(empty($service_title)){
                    $service_title ='NA';
                  }
                    $get_remaing_wash =  $number_of_wash - usedWash($user_subscription_id,$user_id);
                    $onewash = $total_amount/$number_of_wash;
                    if($get_remaing_wash > 0){
                    $subscription_service_arr[]=array('user_subscription_id'   =>$user_subscription_id,
                    'service_title'                        =>$service_title,
                    'rem_washing'                          =>$get_remaing_wash,
                    'subscription_balance'                 =>$get_remaing_wash*$onewash);
                    }
}

}
if(empty($subscription_service_arr)){
    $subscription_service_arr='NA';
}
$point = getUserPoint($user_id);
$check_point_all = $mysqli->prepare("SELECT point_id,point,point_in_sr from points_master where delete_flag=0 ");
// $check_point_all->bind_param("s",  $point);
$check_point_all->execute();
$check_point_all->store_result();
$check_point = $check_point_all->num_rows;  //0 1	
if ($check_point <= 0) {
	$record = array('success' => 'false', 'msg' => $invalid_point);
	jsonSendEncode($record);
}
$check_point_all->bind_result($point_id, $base_point,$point_in_sr);
$check_point_all->fetch();
$total_wallet_amount =getWalletAmount($user_id);
if(empty($service_title)){
    $service_title ='NA';
  }
  $tax_percentage = 0;
$cash_extra_fee = '0.00';
$tax_number = 'NA';
$check_driver_commission_all = $mysqli->prepare("SELECT `commission_id`, `commission_percentage`, `tax_percentage`,cash_extra_fee,tax_number  FROM `commision_master`  WHERE delete_flag = 0 ");
       $check_driver_commission_all->execute();
       $check_driver_commission_all->store_result();
       $check_driver_commission = $check_driver_commission_all->num_rows;  //0 1
       if ($check_driver_commission > 0) {
           $check_driver_commission_all->bind_result($commission_id, $commission_percentage,$tax_percentage,$cash_extra_fee,$tax_number);
        $check_driver_commission_all->fetch();
        
       }
       $payment_method_ids = 0 ;
      
  $payment_type_arr = getPaymentTypeForOnline($user_id);
  if($get_remaing_wash == 0 ){
    $total_amount='0 SR';

  }else{
  }
    $mysqli->close();
    $record=array('success'=>'true', 'msg' =>$data_found,'total_wallet_amount'=>number_format($total_wallet_amount,2),'points'=>$point,'point_in_sr'=>$point_in_sr,'base_point'=>$base_point,'subscription_balance'=>$total_amount,'rem_washing'=>$get_remaing_wash,'service_title'=>$service_title,'recharge_balance_arr'=>$recharge_balance_arr,'subscription_service_arr'=>$subscription_service_arr, 'tax_percentage' => $tax_percentage,'tax_number'=>$tax_number,'payment_type_arr'=>$payment_type_arr); 
    jsonSendEncode($record);

    ?>