<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'mailFunctions.php';
include 'language_message.php';
include 'jwt_function.php';

// require "jwt_php/vendor/autoload.php";
// use \Firebase\JWT\JWT;

if (!$_POST) {
	$record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
	jsonSendEncode($record);
}
if (empty($_POST['email'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'email');
	jsonSendEncode($record);
}
if (empty($_POST['password'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'password');
	jsonSendEncode($record);
}

if (empty($_POST['device_type'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'device_type');
	jsonSendEncode($record);
}
if (empty($_POST['player_id'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'player_id');
	jsonSendEncode($record);
}
if (empty($_POST['login_type'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'login_type');
	jsonSendEncode($record);
}
if (empty($_POST['user_type'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_type');
	jsonSendEncode($record);
}

if(empty($_POST['language_id'])){
    $language_id=0;
}
else{

    $language_id=$_POST['language_id'];

}

// ------------------- get all value in variables start ------------------- //
$email       = $_POST['email'];
$password     = md5($_POST['password']);
$device_type  = $_POST['device_type'];
$player_id    = $_POST['player_id'];
$login_type   = $_POST['login_type'];
$user_type    = $_POST['user_type'];
$updatetime  = date("Y-m-d H:i:s");
$otp          = generateRandomOTP(5);




// -------------------- get all value in variables end -------------------- //

// ------------------------ check user email start ------------------------ //
$check_email_all = $mysqli->prepare("SELECT user_id,login_type from user_master where delete_flag = 0   and email =? and user_type=? ");
$check_email_all->bind_param("si", $email,$user_type);
$check_email_all->execute();
$check_email_all->store_result();
$check_email = $check_email_all->num_rows;  
//echo $check_email;//0 1
if ($check_email <= 0) {
	$record = array('success' => 'false', 'msg' => $msg_email_not_exist,'key'=>1);
	jsonSendEncode($record);
}
$check_email_all->bind_result($user_id_sss, $login_type_gets);
$check_email_all->fetch();




	

// ------------------------- check user email end ------------------------- //


$check_login_all = $mysqli->prepare("SELECT user_id, user_type, profile_complete,otp_verify from user_master where delete_flag =0 and   email =? and BINARY password =? and user_type=? ");
$check_login_all->bind_param("ssi",$email, $password,$user_type);
$check_login_all->execute();
$check_login_all->store_result();
$check_login = $check_login_all->num_rows;  //0 1
if ($check_login <= 0) {
	$record = array('success' => 'false', 'msg' =>  $msg_invalid_email_pass);
	jsonSendEncode($record);
}
$check_login_all->bind_result($user_id, $user_type, $profile_complete, $otp_verify);
$check_login_all->fetch();
$user_details = getUserDetails($user_id);



// if($profile_complete == 0){
// 	$record = array('success' => 'false', 'msg' => $first_complete_profile, 'user_details' => $user_details);
// 	jsonSendEncode($record);
// }


// ------------------- check user email and password end ------------------- //
//echo $approve_flag;
// if($user_type == 2 && $approve_flag == 0 && $profile_complete == 1){
// 	$record = array('success' => 'false', 'msg' =>  $msg_approve_flag);
// 	jsonSendEncode($record);
	
// }
// --------------- check account activate-deactivate start --------------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
	$record = array('success' => 'false', 'msg' => $account_deactivate,  'active_status' => $active_status);
	jsonSendEncode($record);
}





// ---------------- check account activate-deactivate end ---------------- //

// --------- update user player_id for push notifications start --------- //
$result =  DeviceTokenStore_1_Signal($user_id, $device_type, $player_id);
if ($result == 'no') {
	$result =  DeviceTokenStore_1_Signal($user_id, $device_type, $player_id);
}
// ---------- update user player_id for push notifications end ---------- //
$jwttoken= JWTTokenGenerate($user_id);
$user_details = getUserDetails($user_id);

$mysqli->close();
$record = array('success' => 'true', 'msg' => $login_successfully,'token' =>$jwttoken,'user_details' => $user_details);
jsonSendEncode($record);


?>