<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'mailFunctions.php';
include 'language_message.php';
include 'authorized.php';
include 'jwt_function.php';

if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
    jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param,'key' => 'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['name'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param,'key' => 'name');
    jsonSendEncode($record);
}
// if(empty($_POST['mobile'])){
//     $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'mobile'); 
//     jsonSendEncode($record);
// }
if (empty($_POST['email'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param,'key' => 'email');
    jsonSendEncode($record);
}
if (empty($_POST['message'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param,'key' => 'message');
    jsonSendEncode($record);
}
// ------------------- get all value in variables start ------------------- //
$user_id        =   $_POST['user_id'];
$name           =   $_POST['name'];
$mobile          =  '';
$email          =   $_POST['email'];
$message        =   $_POST['message'];
$updatetime     =   date("Y-m-d H:i:s");
$createtime     =   date("Y-m-d H:i:s");
// -------------------- get all value in variables end -------------------- //


// -------------------------- check user id --------------------------
$check_email_all = $mysqli->prepare("SELECT user_id from user_master where  user_id =? and delete_flag =0");
$check_email_all->bind_param("i", $user_id);
$check_email_all->execute();
$check_email_all->store_result();
$check_email = $check_email_all->num_rows;  //0 1
if ($check_email <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_email_all->bind_result($user_id);
$check_email_all->fetch();

// ---------------------- check account activate or not ----------------------
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'account_active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ------------------------ insert contact us master ------------------------
$delete_flag = 0;

$contact_add = $mysqli->prepare("INSERT INTO contact_us_master(mobile,user_id, name,email, message,delete_flag, createtime, updatetime) VALUES (?, ?, ?, ?, ?, ?,?,?)");
$contact_add->bind_param("iisssiss",$mobile, $user_id, $name, $email, $message, $delete_flag, $createtime, $updatetime);
$contact_add->execute();
$contact_count = $mysqli->affected_rows;
if ($contact_count <= 0) {
    $record = array('success' => 'false', 'msg' => $message_contact_unsent);
    jsonSendEncode($record);
}
// ------------------------ update email ------------------------


$email_arr  = array();
$postData = "";
$user_name  = $name;
$fromName   = $name;
$user_type  = 'Admin';
$app_name   = $app_name;
$app_logo   = $app_logo;
$app_url    = '';
$subject    = 'Contact Us';
$message    = $message;
$current_year    = $current_year;

$admin_details_arr = getAdminDetail();
$admin_email = '';
$nameAdmin = '';
if ($admin_details_arr != 'NA') {
    $admin_email = $admin_details_arr['admin_email'];
    $nameAdmin = $admin_details_arr['admin_name'];
}

$mailContent = '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Hello ' . ucfirst($nameAdmin) . '</p>
                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">' . $name . ' has contact with you with following details.</p>
                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Name :' . $name . '</p>
                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Email :' . $email . '</p>
                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Message :' . $message . '</p>';

$mailBody = userContactUs($app_name, $user_type, $name, $subject, $email, $mailContent, $app_url, $app_logo,$current_year);
// $mailResponse  =  mailSend($email, $fromName, $subject, $mailBody);
$email_arr[] = array('email' => $admin_email, 'fromName' => $fromName, 'mailsubject' => $subject, 'mailcontent' => $mailBody);
//------------------mail send code --------------
$mail_email = $admin_email;
$mail_subject = 'Contact Us';
$mail_formname = 'Contact Us';
$mail_mailbody = $mailBody;
mailSend($mail_email, $mail_formname, $mail_subject, $mail_mailbody);
//------------------mail send code end --------------
if (empty($email_arr)) {
    $email_arr = 'NA';
}

$mysqli->close();
$record = array('success' => 'true', 'msg' => $message_contact_sent);
jsonSendEncode($record);
?>
