<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'authorized.php';
include 'jwt_function.php';




if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method);
    jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['availablity'])) {
    $availablity = 0;
} else {
    $availablity = 1;
}


// -------------- POST value from field --------------- //
$user_id    =   $_POST['user_id'];
$updatetime =   date('Y-m-d H:i:s');
// -------------- POST value from field end --------------- //   

// ---------------------- check user id start ---------------------- //
$check_user_id = $mysqli->prepare("SELECT user_id from user_master where delete_flag =0 and user_id =? and user_type=2");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
// ----------------------- check user id end ----------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false4', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ----------- check user account active/deactive status end ----------- //

// echo "UPDATE user_master SET notification_status=$notification_status, updatetime=$updatetime WHERE user_id =$user_id";
// die;
$update_all = $mysqli->prepare("UPDATE user_master SET availablity_flag=?, updatetime=? WHERE user_id =?");
$update_all->bind_param("isi", $availablity, $updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
    $record = array('success' => 'false5', 'msg' => $updated_unsuccess);
    jsonSendEncode($record);
}

//----------------------------- Function Call ----------------------
$user_details = getUserDetails($user_id);

// ========================= Response ========================= //
$mysqli->close();
$record = array('success' => 'true', 'msg' => $updated_success, 'user_details' => $user_details);
jsonSendEncode($record);
?>