<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'authorized.php';
include 'jwt_function.php';




if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}

if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if(empty($_POST['order_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'order_id');
    jsonSendEncode($record);
}
if(empty($_POST['cancel_reason'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'cancel_reason');
    jsonSendEncode($record);
}

//-------------------------------- get all value in variables -----------------------
$user_id         = $_POST['user_id'];
$order_id          = $_POST['order_id'];
$cancel_reason          = $_POST['cancel_reason'];
$status          = 3;


//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id,name from user_master where  user_id =? and user_type =1");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}
$check_user_id->bind_result($user_id_get,$name);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------
 $active_status = checkAccountActivateDeactivate($user_id);
 if($active_status == 0){
	 $record = array('success'=>'false', 'msg'=>$account_deactivate, 'account_active_status'=>$active_status); 
	 jsonSendEncode($record); 
 }
 $decoded = jwtAuthDecode($token,$user_id);
 if ($decoded['code'] != 100 ) {
	 $record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	 jsonSendEncode($record);
 }else{
	  $token_user_id = $decoded['user_id'];
 }
//-------------------------- check job start ------------------
$check_order_id = $mysqli->prepare("SELECT order_id,order_no from order_master where order_status = 0 and order_id =? and user_id =? ");
$check_order_id->bind_param('ii', $order_id, $user_id);
$check_order_id->execute();
$check_order_id->store_result();
$check_order = $check_order_id->num_rows;  //0 1
if($check_order <= 0){
	$record = array('success'=>'false', 'msg'=>$order_not_found); 
	jsonSendEncode($record);
}
$check_order_id->bind_result($order_id_get,$order_no);
$check_order_id->fetch();
//echo"SELECT job_id from job_master where job_id =$job_id and user_id=$user_id and status = 4 ";
//die;
$check_order_id_rejected_id = $mysqli->prepare("SELECT `order_id` FROM `order_master` WHERE order_status = 3  and order_id =?");
$check_order_id_rejected_id->bind_param('i', $order_id);
$check_order_id_rejected_id->execute();
$check_order_id_rejected_id->store_result();
$check_order_id_rejected = $check_order_id_rejected_id->num_rows;  //0 1
if($check_order_id_rejected > 0){
	$record = array('success'=>'false', 'msg'=>$order_already_reject); 
	jsonSendEncode($record);
}

$updatetime =   date('Y-m-d H:i:s');

//-------------------------- update job ------------------
$update_order_all=$mysqli->prepare("UPDATE  `order_master` SET  order_status = ?, updatetime = ?, cancel_reason = ? where user_id = ? and order_id = ? ");
$update_order_all->bind_param("issii", $status,$updatetime,$cancel_reason,$user_id,$order_id);
$update_order_all->execute();
$update=$mysqli->affected_rows;
if($update<=0){ 
    $record=array('success'=>'false','msg' =>$msg_order_reject_unsuccess); 
    jsonSendEncode($record); 
}
//-------------------------- update job end ------------------
// ------------------ Notification array start ------------------ //
// $delete_status = getDeleteUserStatus($trainner_user_id);

// if($delete_status == 0 ){
// $notification_arr = array();
// $user_id_notification = $user_id;
// $other_user_id_notification = $trainner_user_id;
// $action = 'order_reject';
// $action_id = $order_id;
// $title = array('order Cancelled','order Cancelled','order Cancelled','order Cancelled');
// $messages=$name.' has cancelled your order ID: '.$order_no;
// $message = array($messages,$messages,$messages,$messages);
// $action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
// $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
// if ($notification_arr_check != 'NA') {
//     $notification_arr[] = $notification_arr_check;
// }

// if (!empty($notification_arr)) {
// oneSignalNotificationSendCall($notification_arr);
// }
// }
// ------------------ Notification array end ------------------ //
//-------------------------- send responce ------------------
$mysqli->close();
$record = array('success'=>'true', 'msg'=>$msg_order_reject_success); 
jsonSendEncode($record); 


?>