<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 



if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}
if(empty($_GET['booking_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}



// ------------------- get all value in variables start ------------------- //


$user_id=$_GET['user_id'];
$booking_id=$_GET['booking_id'];





// =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}






$booking_arr = array();
$service_arr = array();
$vehicle_arr = array();
//-------------------------- get all content --------------------------
$check_get_booking_all=$mysqli->prepare("SELECT booking_id, driver_id, booking_number, accept_date_time, onway_date_time, arrived_date_time, start_work_date_time, end_work_date_time, latitude, longitude  FROM `booking_master` where delete_flag =0 and booking_id =?  ");

$check_get_booking_all->bind_param("i",$booking_id);
$check_get_booking_all->execute();
$check_get_booking_all->store_result();
$check_get_booking=$check_get_booking_all->num_rows;  //0 1
if($check_get_booking > 0){

    $check_get_booking_all->bind_result($booking_id, $driver_id, $booking_number, $accept_date_time, $onway_date_time, $arrived_date_time, $start_work_date_time, $end_work_date_time, $latitude_job, $longitude_job);
    $check_get_booking_all->fetch();
    
    $current_status_count = 0;
    $current_status = 'accept';
    if(!empty($onway_date_time)){
        $current_status = 'ontheway';
    }
    
    if(!empty($arrived_date_time)){
        $current_status = 'arrived';
    }
    
    if(!empty($start_work_date_time)){
        $current_status = 'startjob';
    }
    
    
    if(!empty($end_work_date_time)){
        $current_status = 'complete';
    }
    
    
    
    $accept_date_time =date('M-d-Y h:i A',strtotime($accept_date_time));
    $accept_time =date('h:i A',strtotime($accept_date_time));
    
    $onway_date_time =date('M-d-Y h:i A',strtotime($onway_date_time));
    $onway_time =date('h:i A',strtotime($onway_date_time));
    
    $arrived_date_time =date('M-d-Y h:i A',strtotime($arrived_date_time));
    $arrived_time =date('h:i A',strtotime($arrived_date_time));
    
    $start_work_date_time =date('M-d-Y h:i A',strtotime($start_work_date_time));
    $start_work_time =date('h:i A',strtotime($start_work_date_time));
    
    $end_work_date_time =date('M-d-Y h:i A',strtotime($end_work_date_time));
    $end_work_time =date('h:i A',strtotime($end_work_date_time));
    
    
    
    
    $current_status_lable = 'accept,ontheway,arrived,startjob,complete';
    
    
    
    $check_user_driver_all = $mysqli->prepare("SELECT latitude, longitude from user_master where delete_flag=0 and user_id=? ");
    $check_user_driver_all->bind_param("i",$driver_id);
    $check_user_driver_all->execute();
    $check_user_driver_all->store_result();
    $check_user_driver = $check_user_driver_all->num_rows;
    if($check_user_driver <= 0){
        $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
        jsonSendEncode($record);    
    }
    $check_user_driver_all->bind_result($latitude, $longitude);
    $check_user_driver_all->fetch();
    
    
    if(empty($latitude)){
        $latitude = $latitude_job;
    }
    
    if(empty($longitude)){
        $longitude = $longitude_job;
    }
    
    
    $booking_arr=array(
        'booking_id'=>$booking_id,
        'driver_id'=>$driver_id,
        'booking_number'=>$booking_number,
        'accept_date_time'=>$accept_date_time,
        'accept_time'=>$accept_time,
        'onway_date_time'=>$onway_date_time,
        'onway_time'=>$onway_time,
        'arrived_date_time'=>$arrived_date_time,
        'arrived_time'=>$arrived_time,
        'start_work_date_time'=>$start_work_date_time,
        'start_work_time'=>$start_work_time,
        'end_work_date_time'=> $end_work_date_time,
        'end_work_time'=>$end_work_time,
        'current_status'=>$current_status,
        'current_status_lable'=>$current_status_lable,
        'latitude'=> $latitude,
        'longitude'=>$longitude,
        );
   


}





if(empty($booking_arr)){
    $booking_arr='NA';
}

$mysqli->close();
$record=array('success'=>'true','msg' =>$activity_found,'booking_arr'=>$booking_arr); 
jsonSendEncode($record);

?>