<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'jwt_function.php';
if (!$_POST) {
	$record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
	jsonSendEncode($record);
}

if (empty($_POST['user_id'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
	jsonSendEncode($record);
}

if (empty($_POST['otp'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'otp');
	jsonSendEncode($record);
}

//echo "<pre>";print_r($_POST);die;

//-------------------------------- get all value in variables -----------------------
$user_id     	=	$_POST['user_id'];
$otp 	     	=	$_POST['otp'];
$delete_flag    =	0;
$mail_arr 		=	array();
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id, email,user_type,signup_steps from user_master where delete_flag=0 and user_id=?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
// echo $check_user;   //0 1
if ($check_user <= 0) {
	$record = array('success' => 'false', 'msg' => $user_not_found);
	jsonSendEncode($record);
}
$check_user_all->bind_result($user_id, $email,$user_type_get,$signup_steps);
$check_user_all->fetch();

//-------------------------- check otp --------------------------
$check_otp_all = $mysqli->prepare("SELECT otp from user_master where delete_flag=0 and user_id=? and otp=?");
$check_otp_all->bind_param("ii", $user_id, $otp);
$check_otp_all->execute();
$check_otp_all->store_result();
$check_otp = $check_otp_all->num_rows;  //0 1	
if ($check_otp <= 0) {
	$record = array('success' => 'false', 'msg' => $invalid_otp);
	jsonSendEncode($record);
}

// Update Account Details

if($user_type_get==1){
	$profile_complete=1;
	$signup_step   = 2;
}else{
    $profile_complete=1;
	$signup_step   = 2;
}
$otp_verify		=	1;
$updatetime		=	date('Y-m-d H:i:s');
$createtime     =   date('Y-m-d H:i:s');

// if($user_type_get==1){
// 	$signup_steps=2;
// }else{
// 	$signup_steps=0;
// }

$update_all = $mysqli->prepare("UPDATE user_master set profile_complete=?,signup_steps=?,  otp_verify=?, updatetime=? WHERE  user_id=?");
$update_all->bind_param("iiisi",$profile_complete,$signup_step, $otp_verify,  $updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
	$record = array('success' => 'false', 'msg' => $otp_not_verify);
	jsonSendEncode($record);
}
if($user_type_get == 1 ){
	$user_id_notification = $user_id;
    $other_user_id_notification = $user_id;
    $action = 'signup';
    $action_id = '0';
    $title = array($app_name, 'تطبيق ووش سكواد ', $app_name,$app_name);
    $msg1 = 'You’re in! Welcome to ' . $app_name . '.';
    $msg2 = 'حياك الله  في تطبيق ووش سكواد';
    $msg3 = 'Vous y êtes! Bienvenue à ' . $app_name . '.';
    $message = array($msg1, $msg2, $msg3,$msg1);
    $action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
    $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
    if ($notification_arr_check != 'NA') {
        $notification_arr[] = $notification_arr_check;
    }

    //notification send code
	if (empty($notification_arr)) {
		$notification_arr='NA';
	}
if($user_type_get==2){
if (!empty($notification_arr)) {
    oneSignalNotificationSendCallDriver($notification_arr);
}
}else{
	if (!empty($notification_arr)) {
		oneSignalNotificationSendCall($notification_arr);
	}
}
$user_details	=	getUserDetails($user_id);

$record = array('success' => 'true', 'msg' => $msg_signup_successfully, 'user_details' => $user_details);
jsonSendEncode($record);

}
else{
$user_details	=	getUserDetails($user_id);
$record = array('success' => 'true', 'msg' => $otp_verify_success, 'user_details' => $user_details);
jsonSendEncode($record);
}


// ----------------- Notification array start ----------------- //




?>
