<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';

include 'jwt_function.php';


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['repair_request_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'repair_request_id'); 
    jsonSendEncode($record);
}


$user_id                                     =   $_POST['user_id'];
$repair_request_id                       =   $_POST['repair_request_id'];

$delete_flag              =   0;
$updatetime                       =   date('Y-m-d H:i:s');
$createtime                       =   date('Y-m-d H:i:s');

//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile,sales_manager_id,phone_code,country_id,user_type from user_master where user_id = ? and user_type = 1 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile,$sales_manager_id,$phone_code,$country_id,$user_type);
$check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
$check_repair_request_all=$mysqli->prepare("SELECT  collection_delivery_type,repair_request_id,`repair_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `status`, `sales_manager_id`, `sales_manager_id_assign_by`, `designer_id`, `designer_id_assign_by`, `production_manager_id`, `production_manager_id_assign_by`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time FROM repair_request_master WHERE  delete_flag = 0 and user_id = ? and repair_request_id = ? and status=3 ");
    
$check_repair_request_all->bind_param("ii",$user_id,$repair_request_id);
  $check_repair_request_all->execute();
  $check_repair_request_all->store_result();
  $check_repair_request=$check_repair_request_all->num_rows;  //0 1
if($check_repair_request <= 0){
    $record = array('success' => 'false', 'msg' => $repair_request_not_found);
    jsonSendEncode($record);
}
    $check_repair_request_all->bind_result($collection_delivery_type,$repair_request_id,$repair_number,$user_id,$name,$mobile,$phone_code,$country_id,$repair_status,$sales_manager_id,$sales_manager_id_assign_by,$designer_id,$designer_id_assign_by,$production_manager_id,$production_manager_id_assign_by,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime,$expected_date_time);
    $check_repair_request_all->fetch();
    


      $update_all_repair_request = $mysqli->prepare("UPDATE repair_request_master SET status=2,expected_date_time=?, updatetime=? WHERE repair_request_id =?");
      $update_all_repair_request->bind_param("ssi", $updatetime,$updatetime, $repair_request_id);
      $update_all_repair_request->execute();
      $update_repair = $mysqli->affected_rows;
      if($update_repair <= 0){	
          $record = array('success'=>'false', 'msg'=>$updated_unsuccess); 
          jsonSendEncode($record); 
      }

   
if(!empty($sales_manager_id)){
$sales_manager_id=$sales_manager_id;
}else{
    $sales_manager_id=1;
}
$notification_arr = array();
$user_id_notification = $user_id;
$other_user_id_notification = $sales_manager_id;
$action    = 'repair_complete';
$action_id = $repair_request_id;
if($collection_delivery_type == 1){
    $title = array('Delivery Collected', 'Delivery Collected', 'Delivery Collected', 'Delivery Collected');
    $msg = 'Delivery collected successfully, Repair Request ID : '.$repair_number;
}else{
    $title = array('Delivery Accepted', 'Delivery Accepted', 'Delivery Accepted', 'Delivery Accepted');
    $msg = 'Delivery accepted successfully, Repair Request ID : '.$repair_number;
}

$message = array($msg, $msg, $msg, $msg);
$action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
if ($notification_arr_check != 'NA') {
    $notification_arr[] = $notification_arr_check;
}

if (!empty($notification_arr)) {
    oneSignalNotificationSendCallDriver($notification_arr);
}

$mysqli->close();
if($collection_delivery_type == 1 ){
    $record=array('success'=>'true', 'msg' =>$msg_collected_success,'repair_request_id'=>$repair_request_id);  
    jsonSendEncode($record);
}else{
    $record=array('success'=>'true', 'msg' =>$msg_deleivery_collected_success,'repair_request_id'=>$repair_request_id);  
    jsonSendEncode($record);
}
   


