<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'mailFunctions.php';
include 'jwt_function.php';


// check method here
if (!$_POST) {
	$record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
	jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param,'key'=>'user_id');
	jsonSendEncode($record);
}
// Get all value in variables 
$user_id    =    $_POST['user_id'];
$otp    =    generateRandomOTP(5);
// $otp    =    '1234';

$updatetime            =    date('Y-m-d H:i:s');
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id, otp, otp_verify, name, email,user_type,language_id from user_master where delete_flag=0 and user_id = ? ");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1

if ($check_user <= 0) {
	$record = array('success' => 'false', 'msg' => $user_not_found);
	jsonSendEncode($record);
}

$check_user_all->bind_result($user_id,$otp_get, $otp_verify, $user_name, $user_email,$user_type,$language_id);
$check_user_all->fetch();


//--------------------- update new otp -----------------------------

$update_all = $mysqli->prepare("UPDATE user_master set otp=?, updatetime=?  where user_id=?");
$update_all->bind_param("isi", $otp, $updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
	$record = array('success' => 'false', 'msg' => $msg_error_otp_send);
	jsonSendEncode($record);
}

$email_arr= array();
    if(!empty($user_email)) {

        $postData['otp_code']       =   $otp;
        $postData['app_name']       =   $app_name;
        $otp_message                =   $otp.' is your '.$app_name.' verification code';
        // Start send mail
        $mail_content               =   '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">'.$otp_message.'</p>';
        $subject                    =   'Resend OTP Verification Code';
        $heading                    =   'Resend OTP Verification Code';
        $postData['subject']        =   $subject;
        $postData['mail_heading']   =   $heading;
        $postData['mailContent']    =   $mail_content;
        $postData['name']           =   $user_name;
        $postData['email']          =   $user_email;
        $postData['fromName']       =   $app_name;
        $postData['app_name']       =   $app_name;
        $postData['app_logo']       =   $app_logo;
        $postData['current_year']       =   $current_year;

        $mailBody                   =   mailBodySendData($postData);
        $email_arr[]                =   array('email'=>$postData['email'], 'fromName'=>$postData['fromName'], 'mailsubject'=>$postData['subject'], 'mailcontent'=>$mailBody);
		$mailResponse =	mailSend($postData['email'], $postData['fromName'],  $postData['subject'] , $mailBody);
	
		if($mailResponse != 'yes'){
			$record=array('success'=>false, 'msg'=>$msgNotSendEmail, 'data'=>array()); 
			jsonSendEncode($record);
		 
		 } 
	
	}
    
                
     

   

if(empty($email_arr)){
	$email_arr='NA';
}
$user_details  = getUserDetails($user_id);
$record        =    array('success' => 'true','otp' => $otp, 'msg' => $msg_success_otp_send,  'user_details' => $user_details);
jsonSendEncode($record);
?>