<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'mailFunctions.php';
include 'language_message.php';
include 'jwt_function.php';
// include 'authorized.php';


if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method);
    jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {

    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);

}
if (empty($_POST['product_id'])) {

    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'product_id');
    jsonSendEncode($record);

}

 



$user_id           =  $_POST['user_id'];
$product_id        =  $_POST['product_id'];
$createtime        =   date('Y-m-d H:i:s');
$updatetime        =   date('Y-m-d H:i:s');



// --------------------- check user account start --------------------- //
$check_user_id = $mysqli->prepare("SELECT user_id,name from user_master where  user_id =? and delete_flag =0 and user_type = 1");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_id->bind_result($user_id_get,$name);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'account_active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
    $record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
    jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}



        $check_wishlist_product = $mysqli->prepare("SELECT `wishlist_id` FROM `wishlist_master` WHERE delete_flag =0 and user_id =? and  product_id=? ");
        $check_wishlist_product->bind_param('ii',$user_id,$product_id);
        $check_wishlist_product->execute();
        $check_wishlist_product->store_result();
        $check_wishlist_product_num = $check_wishlist_product->num_rows;  //0 1
        if ($check_wishlist_product_num > 0) {

        $check_wishlist_product->bind_result($wishlist_id);

        $check_wishlist_product->fetch();

            $delete_wishlist = $mysqli->prepare("DELETE FROM wishlist_master WHERE wishlist_id=?");
            $delete_wishlist->bind_param("i",$wishlist_id);
            $delete_wishlist->execute();
            $delete_id = $mysqli->affected_rows;
            if ($delete_id <= 0) {
                $record = array('success' => "false", 'msg' => $remove_wishlist_unsuccess);
                jsonSendEncode($record);
            }
            $mysqli->close();
            $record = array('success' => 'true', 'msg' => $remove_wishlist_success);
            jsonSendEncode($record);
        }else{

        
        $insert_all = $mysqli->prepare("INSERT INTO wishlist_master(user_id,product_id,createtime,updatetime) VALUES (?,?,?,?)");
        $insert_all->bind_param("iiss", $user_id,$product_id,$createtime, $updatetime);
        $insert_all->execute();
        $insert = $mysqli->affected_rows;
        if ($insert <= 0) {
            $record = array('success' => "false", 'msg' => $add_wishlist_unsuccess);
            jsonSendEncode($record);
        }

       
        $record = array('success' => 'true', 'msg' => $add_wishlist_success);
        jsonSendEncode($record);
        }


