<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'jwt_function.php';




if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method, 'key' => 'method');
    jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['reason'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'reason');
    jsonSendEncode($record);
}

// -------------- get value from field --------------- //
$user_id    =  $_POST['user_id'];
$reason     =  $_POST['reason'];
$updatetime =  date('Y-m-d H:i:s');

// -------------- get value from field end --------------- //   

// ---------------------- check user id start ---------------------- //
$check_user_id = $mysqli->prepare("SELECT user_id,image from user_master where delete_flag =0 and user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_id->bind_result($user_id, $image_get);
$check_user_id->fetch();
// ----------------------- check user id end ----------------------- //

// ---------- check user account active/deactive status start ---------- //

$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ----------- check user account active/deactive status end ----------- //        
$delete_flag = 1;
$update_all = $mysqli->prepare("UPDATE user_master SET active_flag=0,delete_flag=?,delete_reason=?,updatetime=? WHERE user_id=?");
$update_all->bind_param("issi", $delete_flag, $reason, $updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
    $record = array('success' => 'false', 'msg' => $delete_unsuccess);
    jsonSendEncode($record);
}

//----------------------------- Function Call ----------------------
$user_details = getUserDetails($user_id);
$mysqli->close();
// ========================= Response ========================= //
$record = array('success' => 'true', 'msg' => $delete_success, 'user_details' => $user_details);
jsonSendEncode($record);
?>