<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';
include 'jwt_function.php';



// error_reporting(E_ALL);
// ini_set('display_errors', '1');


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['booking_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_id'); 
    jsonSendEncode($record);
}


if(empty($_POST['delivery_price'])){
    $delivery_price=0;
}else{
    $delivery_price                  =   $_POST['delivery_price'];
}
if(empty($_POST['storage_price'])){
    $storage_price='';
}else{
    $storage_price                           =   $_POST['storage_price'];
}

$user_id                                     =   $_POST['user_id'];
$booking_id                                  =   $_POST['booking_id'];

$status	                          =   0;
$delete_flag                      =   0;
$updatetime                       =   date('Y-m-d H:i:s');
$createtime                       =   date('Y-m-d H:i:s');

//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile,sales_manager_id,phone_code,country_id,user_type from user_master where user_id = ? and user_type = 2 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile,$sales_manager_id,$phone_code,$country_id,$user_type);
$check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}$collection_id = $user_id;
//-------------------------- get all coustomized  start -------------------------- 

 
	$check_booking_all=$mysqli->prepare("SELECT  booking_id,storage_period,booking_type,`booking_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `booking_status`, `note`, `collection_id`, `collection_address`, `collection_latitude`, `collection_longitude`, `booking_date_time`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time,booking_tracking_status,cancel_reason,total_item_quantity,total_item,storage_price,delivery_price,total_item_amount,total_amount,grand_total_amount FROM booking_master WHERE  delete_flag = 0 and collection_id = ? and booking_id = ? and booking_status =8  ");
	$check_booking_all->bind_param("ii",$collection_id,$booking_id);
   
  $check_booking_all->execute();
  $check_booking_all->store_result();
  $check_booking=$check_booking_all->num_rows;  //0 1
  if($check_booking <= 0){
    $record = array('success' => 'false', 'msg' => $booking_not_found);
    jsonSendEncode($record);
}

    $check_booking_all->bind_result($booking_id,$storage_period,$booking_type,$booking_number,$user_id,$name,$mobile,$phone_code,$country_id,$booking_status_get,$note,$collection_id,$collection_address,$collection_latitude,$collection_longitude,$booking_date_time,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime_get,$expected_date_time,$booking_tracking_status,$cancel_reason,$total_item_quantity,$total_item,$storage_price_get,$delivery_price_get,$total_item_amount,$total_amount_get,$grand_total_amount_get);
    $check_booking_all->fetch();  //0 1
    $booking_status =7;

    $delivery_price = $delivery_price + $delivery_price_get;
    $storage_price = $storage_price + $storage_price_get;
    $total_amount=$total_item_amount+$delivery_price+$storage_price;
    $grand_total_amount = $total_amount;
    $update_all = $mysqli->prepare("UPDATE  booking_master set booking_status = ?,delivery_price=?, storage_price  =?,total_item_amount=?, total_amount  =?, grand_total_amount=?,  updatetime =? where booking_id =? ");
                $update_all->bind_param("iiissssi",$booking_status,$delivery_price, $storage_price,$total_item_amount, $total_amount,$grand_total_amount, $updatetime,$booking_id);
                $update_all->execute();
                $update = $mysqli->affected_rows;
                if ($update <= 0) {
                    $record = array('success' => 'false', 'msg' => $msg_quotation_added_unsuccessfully);
                    jsonSendEncode($record);
                }
  
$notification_arr = array();
$user_id_notification = $collection_id;
$other_user_id_notification = $user_id;
$action    = 'quotation_request';
$action_id = $booking_id;
$title = array('New Quotation Request', 'New Quotation Request', 'New Quotation Request', 'New Quotation Request');
$msg = 'You got a new quotation request at your quote request ID : '.$booking_number;

$message = array($msg, $msg, $msg, $msg);
$action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
if ($notification_arr_check != 'NA') {
    $notification_arr[] = $notification_arr_check;
}

if (!empty($notification_arr)) {
    oneSignalNotificationSendCall($notification_arr);
}

$mysqli->close();
$record=array('success'=>'true', 'msg' =>$msg_quotation_added_successfully,'booking_id'=>$booking_id);  
jsonSendEncode($record);