<?php

    include 'con1.php';
    include 'function_app_common.php'; 
    include 'function_app.php'; 
    include 'mailFunctions.php'; 
    include 'language_message.php';
    include 'jwt_function.php';
    if(!$_POST){
        $record=array('success'=>'false', 'msg' =>$msg_post_method); 
        jsonSendEncode($record);
    }

    if(empty($_POST['user_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }
    if(empty($_POST['booking_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }

    if(empty($_POST['rating'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }

    if(empty($_POST['review'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }else{
        $review         = $_POST['review'];
    }

    if(empty($_POST['product_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }

  
    
    //-------------------------------- get all value in variables -----------------------

    $user_id         = $_POST['user_id'];
    $product_id   = $_POST['product_id'];
    $booking_id      = $_POST['booking_id']; 
   
    $rating          = $_POST['rating'];
   
 
    $delete_flag     = 0;
    $createtime      = date('Y-m-d H:i:s');
    $updatetime      = date('Y-m-d H:i:s');

    //-------------------------- check user_id --------------------------

   

    $check_user_all=$mysqli->prepare("SELECT user_id From user_master Where  user_id=? and user_type = 1 ");
    $check_user_all->bind_param("i",$user_id);
    $check_user_all->execute();
    $check_user_all->store_result();
    $check_user=$check_user_all->num_rows;  //0 1
    if($check_user <= 0){
        $record=array('success'=>'false','msg' =>$user_not_found); 
        jsonSendEncode($record);
    }

   // ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------- check account activate or not end ----------------------  
    $check_job_id_all=$mysqli->prepare("SELECT user_id, collection_id, booking_number, booking_id from booking_master where delete_flag=0 and booking_id=? and booking_status = 2 ");
    $check_job_id_all->bind_param("i",$booking_id);
    $check_job_id_all->execute();
    $check_job_id_all->store_result();
    $check_job_id=$check_job_id_all->num_rows;  //0 1
    if($check_job_id <= 0){
        $record = array('success'=>'false', 'msg'=>$booking_not_found); 
    	jsonSendEncode($record);
    }
    
    $check_job_id_all->bind_result($user_id, $collection_id, $booking_number, $booking_id_get);
    $check_job_id_all->fetch();

    $check_user_already_liked_all=$mysqli->prepare("SELECT rating_id From rating_review_master Where  delete_flag=0 AND user_id=? AND product_id=? AND booking_id=?");
    $check_user_already_liked_all->bind_param("iii",$user_id,$product_id,$booking_id);
    $check_user_already_liked_all->execute(); 
    $check_user_already_liked_all->store_result();
    $check_fav=$check_user_already_liked_all->num_rows;  //0 1
    //---------------- check favrate alreade---------------------// 
    if($check_fav > 0){
        $record = array('success'=>'false', 'msg'=>$rating_send_already, 'error'=>7); 
        jsonSendEncode($record);    
    }

    $insert_all=$mysqli->prepare("INSERT INTO `rating_review_master`(`user_id`, `product_id`, `booking_id`, `rating`, `review`,`createtime`,`updatetime`)VALUES (?,?,?,?,?,?,?)");
    $insert_all->bind_param("iiiisss",$user_id,$product_id,$booking_id,$rating,$review,$createtime,$updatetime); 
    $insert_all->execute();
    $insert=$mysqli->affected_rows;
    // $rate_id_get =$mysqli->insert_id;
    if($insert<=0){ 
        $record=array('success'=>'false','msg' =>$rating_send_unsuccess); 
        jsonSendEncode($record); 
    }      
    $last_id =$mysqli->insert_id;
    
    
    $notification_arr = array();
    $notification_name = 'NA';
	$notification_details     = getUserDetails($user_id);
	if($notification_details != 'NA'){
	    $notification_name = $notification_details['name'];
	} 
	
    
    $user_id_notification = $user_id;
    $other_user_id_notification = $collection_id;
    $action = 'booking_rating';
    $action_id =$booking_id;
    $title = array('Rating ','تقييم ','Rating ','Rating');
    $messages = $notification_name.' has given '.$rating.'-star rating';
    $messages1 = $notification_name.' لقد اعطي '.$rating.'-تصنيف النجوم';
    
    $message = array($messages,$messages1,$messages,$messages);
    $action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
    
    $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data); 
    if($notification_arr_check != 'NA'){
        //print_r($notification_arr_check);
        $notification_arr[] = $notification_arr_check;
    }
    
     if (!empty($notification_arr)) {
        oneSignalNotificationSendCallDriver($notification_arr);
    }
    
    
    
    $mysqli->close();
    //------------------ response here -----------------------
    $record=array('success'=>'true','msg' =>$rating_send_success);
    jsonSendEncode($record);
    
?>

