<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'jwt_function.php';




if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method);
    jsonSendEncode($record);
}
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['coupan_code'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'coupan_code');
    jsonSendEncode($record);
}
if (empty($_POST['amount'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'amount');
    jsonSendEncode($record);
}
if (empty($_POST['payment_type_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'payment_type_id');
    jsonSendEncode($record);
}
if (empty($_POST['zone_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'zone_id');
    jsonSendEncode($record);
}
if (empty($_POST['service_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'service_id');
    jsonSendEncode($record);
}

//-------------------------------- get all value in variables -----------------------
$user_id = $_POST['user_id'];
$coupan_code = $_POST['coupan_code'];
$payment_type_id = $_POST['payment_type_id'];
$zone_id = $_POST['zone_id'];
$service_id = $_POST['service_id'];
$amount = $_POST['amount'];

//-------------------------- check userservice_id_id --------------------------

// echo "SELECT user_id from user_master where delete_flag =0 and user_id =$user_id";
// die;
$check_user_id = $mysqli->prepare("SELECT user_id,createtime from user_master where delete_flag =0 and user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_id->bind_result($user_id,$user_createtime);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
//-------------------------- get coupon --------------------------

$payment_type_arr = array();
$payment_type_arr[] = $payment_type_id;
$payment_type_arr_get = implode(',', $payment_type_arr);

$zone_id_arr = array();
$zone_id_arr[] = $zone_id;
$zone_id_arr_get = implode(',', $zone_id_arr);

$service_id_arr = array();
$service_id_arr[] = $service_id;
$service_id_arr_get = implode(',', $service_id_arr);





    $no_of_users=0;
    $coupon_code_id =0;
    $discount =0;
    $discount_type =0;
    $number_of_times_used =0;
    $number_of_uses_for_all =0;

    // SELECT `promocode_id`, `promocode`, `start_date_time`, `end_date_time`, `discount_type`, `discount`, `payment_method_ids`, `excluded_service_ids`, `amount`, `marketer_percentage`, `number_of_times_used`, `number_of_uses_for_all`, `excluded_customers`, `zone_ids`, `delete_flag`, `createtime`, `updatetime`, `mysqltime` FROM `promocode_master` WHERE
    // AND zone_ids REGEXP '(^|,)($zone_id_arr_get)(,|$)'
    $check_coupon_id = $mysqli->prepare("SELECT promocode_id,amount,promocode,discount_type,discount,start_date_time,end_date_time,number_of_uses_for_all,number_of_times_used,excluded_customers, `marketer_percentage`,zone_ids,excluded_service_ids,payment_method_ids from promocode_master where delete_flag =0  and binary promocode =?  AND payment_method_ids REGEXP '(^|,)($payment_type_arr_get)(,|$)' AND excluded_service_ids NOT REGEXP '(^|,)($service_id_arr_get)(,|$)'  and discount_type NOT IN(2) ");
    $check_coupon_id->bind_param('s', $coupan_code);
    $check_coupon_id->execute();
    $check_coupon_id->store_result();
    $check_coupon = $check_coupon_id->num_rows;  //0 1
    if ($check_coupon <= 0) {
        $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>1);
        jsonSendEncode($record);
    } else {
        $check_coupon_id->bind_result($coupon_code_id,$order_min_amount,$coupon_code,$discount_type, $discount,$start_date,$end_date, $no_of_users,$number_of_times_used,$excluded_customers, $marketer_percentage,$zone_ids,$excluded_service_ids,$payment_method_ids);
        $check_coupon_id->fetch();

        if (empty($zone_ids)) {
            // Handle the case when $zone_ids is empty
            $record = array('success' => "false", 'msg' => $msg_area_not_found_for_code, 'key' => 2);
            jsonSendEncode($record);
        } else {
            if (!(in_array($zone_id, explode(',', $zone_ids)))) {
                $record = array('success' => "false", 'msg' => $msg_area_not_found_for_code, 'key' => 2);
                jsonSendEncode($record);
            }
        }
        $end_date = date('Y-m-d H:i:s', strtotime($end_date));
        $todaydate = date('Y-m-d H:i:s');

        if (strtotime($start_date) > strtotime($todaydate)) {
            $record = array('success' => "false", 'msg' =>$coupon_invalid,'key'=>2);
            jsonSendEncode($record);
        }
        if (strtotime($end_date) < strtotime($todaydate)) {
            $record = array('success' => "false", 'msg' =>$coupon_invalid,'key'=>3);
            jsonSendEncode($record);
        }
      
        if ($amount <= $order_min_amount) { 
            $record = array('success' => "false", 'msg' =>$order_ammount_less,'key'=>4);
            jsonSendEncode($record);
        }
    }

//----------------------check number of users---------------------------

    $check_user_number = $mysqli->prepare("SELECT count(coupan_code_id) from booking_master where delete_flag =0  and coupan_code_id =?");
    $check_user_number->bind_param('i', $coupon_code_id);
    $check_user_number->execute();
    $check_user_number->store_result();
    $check_number = $check_user_number->num_rows;  //0 1
    if ($check_number > 0) {
        $check_user_number->bind_result($get_coupon_code_id);
        $check_user_number->fetch();
        if ($no_of_users <= $get_coupon_code_id) {
            $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>5);
            jsonSendEncode($record);
        }
    }
    //echo $excluded_customers;
    
    if($excluded_customers != ''){

   
    $excluded_customers_exp =explode(',',$excluded_customers);
    }else{
        $excluded_customers_exp =array();
    }
    if (!empty($coupon_code_id)) {
        $check_user_number_all = $mysqli->prepare("SELECT count(coupan_code_id) from booking_master where delete_flag =0  and coupan_code_id	=? and user_id = ?");
        $check_user_number_all->bind_param('ii', $coupon_code_id,$user_id);
        $check_user_number_all->execute();
        $check_user_number_all->store_result();
        $check_user_number_num = $check_user_number_all->num_rows;  //0 1
        if ($check_user_number_num > 0) {
            $check_user_number_all->bind_result($get_coupon_code_id_used_count);
            $check_user_number_all->fetch();

            // if(in_array(2,$excluded_customers_exp)){
            //     $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>6);
            //     jsonSendEncode($record);
            // }
            if($number_of_times_used <= $get_coupon_code_id_used_count){
                $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>7);
                jsonSendEncode($record);
            }
           
            
        }
    }
    if(in_array(1,$excluded_customers_exp)){
    if (!empty($coupon_code_id)) {
        $check_user_number_all = $mysqli->prepare("SELECT booking_id from booking_master where delete_flag =0  and user_id = ? and booking_status =  3 ");
        $check_user_number_all->bind_param('i',$user_id);
        $check_user_number_all->execute();
        $check_user_number_all->store_result();
        $check_user_number_num = $check_user_number_all->num_rows;  //0 1
        if ($check_user_number_num > 0) {
            $check_user_number_all->bind_result($booking_id);
           $check_user_number_all->fetch();
       
                $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>8);
                jsonSendEncode($record);
            
           
            
        }
    }
}
    if(in_array(0,$excluded_customers_exp)){
    if (!empty($coupon_code_id)) {

        $check_user_number_all_new = $mysqli->prepare("SELECT booking_id from booking_master where delete_flag =0   and user_id = ?");
        $check_user_number_all_new->bind_param('i', $user_id);
        $check_user_number_all_new->execute();
        $check_user_number_all_new->store_result();
        $check_user_number_num_new = $check_user_number_all_new->num_rows;  //0 1
        if ($check_user_number_num_new > 0) {
            $check_user_number_all_new->bind_result($booking_id);
            $check_user_number_all_new->fetch();
        }else{
            $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>9);
            jsonSendEncode($record);
        }
           
           
    }
}
    if(in_array(2,$excluded_customers_exp)){
    if (!empty($coupon_code_id)) {

        $check_user_number_all_new_served = $mysqli->prepare("SELECT booking_id from booking_master where delete_flag =0   and user_id = ?");
        $check_user_number_all_new_served->bind_param('i', $user_id);
        $check_user_number_all_new_served->execute();
        $check_user_number_all_new_served->store_result();
        $check_user_number_num_new_served = $check_user_number_all_new_served->num_rows;  //0 1
        if ($check_user_number_num_new_served > 0) {
            $check_user_number_all_new_served->bind_result($booking_id);
            $check_user_number_all_new_served->fetch();
            $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>10);
            jsonSendEncode($record);
        }else{
            
        }
           
           
    }
}
// if($discount_type == 0 ){
//     if (!empty($coupon_code_id)) {

//         $total_wallet_amount = getWalletAmount($user_id);
//         if($total_wallet_amount < $amount ){
//             $record = array('success' => "false", 'msg' => $coupon_invalid,'key'=>10);
//             jsonSendEncode($record);
//         }

           
           
//     }
// }

$mysqli->close();
$record = array('success' => 'true', 'msg' => $data_found, 'coupan_code' => $coupon_code, 'coupan_code_id' => $coupon_code_id,'discount'=>$discount,'discount_type'=>$discount_type,'discount_type_level'=>'0=for cashback in wallet,1= for total order wallet cashback');
jsonSendEncode($record);

// DROP `session_start_time`,
// DROP `session_end_time`;