<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';
include 'jwt_function.php';


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}

if(empty($_POST['booking_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['booking_tracking_status'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_tracking_status'); 
    jsonSendEncode($record);
}else{
    $booking_tracking_status                              =   $_POST['booking_tracking_status'];
}





$user_id                                     =   $_POST['user_id'];
$booking_id                                  =   $_POST['booking_id'];

$delete_flag                      =   0;
$updatetime                       =   date('Y-m-d H:i:s');
$createtime                       =   date('Y-m-d H:i:s');

//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile,sales_manager_id,phone_code,country_id,user_type from user_master where user_id = ? and user_type = 1 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile,$sales_manager_id,$phone_code,$country_id,$user_type);
$check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}


if( $booking_tracking_status == 1 ){
    $check_booking_all=$mysqli->prepare("SELECT  booking_id,storage_period,booking_type,`booking_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `booking_status`, `note`, `collection_id`, `collection_address`, `collection_latitude`, `collection_longitude`, `booking_date_time`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time,booking_tracking_status,cancel_reason,total_item_quantity,total_item,storage_price,delivery_price,total_item_amount,total_amount,grand_total_amount FROM booking_master WHERE  delete_flag = 0 and user_id = ? and booking_id = ? and booking_status = 3 and booking_tracking_status=3 and booking_delivery_status=1  ");
}
// and booking_tracking_status=3
elseif($booking_tracking_status == 2){
    $check_booking_all=$mysqli->prepare("SELECT  booking_id,storage_period,booking_type,`booking_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `booking_status`, `note`, `collection_id`, `collection_address`, `collection_latitude`, `collection_longitude`, `booking_date_time`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time,booking_tracking_status,cancel_reason,total_item_quantity,total_item,storage_price,delivery_price,total_item_amount,total_amount,grand_total_amount FROM booking_master WHERE  delete_flag = 0 and user_id = ? and booking_id = ? and booking_status = 3 and booking_tracking_status=3 and booking_collection_status=1  ");
}
elseif($booking_tracking_status == 3 ){
    $check_booking_all=$mysqli->prepare("SELECT  booking_id,storage_period,booking_type,`booking_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `booking_status`, `note`, `collection_id`, `collection_address`, `collection_latitude`, `collection_longitude`, `booking_date_time`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time,booking_tracking_status,cancel_reason,total_item_quantity,total_item,storage_price,delivery_price,total_item_amount,total_amount,grand_total_amount FROM booking_master WHERE  delete_flag = 0 and user_id = ? and booking_id = ? and booking_status = 3 and booking_tracking_status=3 and booking_storage_status=1  ");
}
// and booking_tracking_status =4
$check_booking_all->bind_param("ii",$user_id,$booking_id);

$check_booking_all->execute();
$check_booking_all->store_result();
$check_booking=$check_booking_all->num_rows;  //0 1
if($check_booking <= 0){
$record = array('success' => 'false', 'msg' => $booking_not_found);
jsonSendEncode($record);
}

$check_booking_all->bind_result($booking_id,$storage_period,$booking_type,$booking_number,$user_id,$name,$mobile,$phone_code,$country_id,$booking_status_get,$note,$collection_id,$collection_address,$collection_latitude,$collection_longitude,$booking_date_time,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime_get,$expected_date_time,$booking_tracking_status_get,$cancel_reason,$total_item_quantity,$total_item,$storage_price_get,$delivery_price_get,$total_item_amount,$total_amount_get,$grand_total_amount_get);
$check_booking_all->fetch();  //0 1

    $booking_status=3;
    $status_new=2;
    if($booking_tracking_status == 1){
        $update_all = $mysqli->prepare("UPDATE  booking_master set booking_delivery_status=?, booking_status = ?,  updatetime =? where booking_id =? ");
        $update_all->bind_param("iisi",$status_new,$booking_status, $updatetime,$booking_id);

    }elseif($booking_tracking_status == 2){
        $update_all = $mysqli->prepare("UPDATE  booking_master set booking_collection_status=?, booking_status = ?,  updatetime =? where booking_id =? ");
        $update_all->bind_param("iisi",$status_new,$booking_status, $updatetime,$booking_id);

    }elseif($booking_tracking_status == 3){
        $storage_expiry_date_time = date('Y-m-d H:i:s',strtotime('+ '.$storage_period.' months'));
        $update_all = $mysqli->prepare("UPDATE  booking_master set storage_expiry_date_time=?,booking_storage_status=?, booking_status = ?,  updatetime =? where booking_id =? ");
        $update_all->bind_param("siisi",$storage_expiry_date_time,$status_new,$booking_status, $updatetime,$booking_id);

    }
    


            $update_all->execute();
            $update = $mysqli->affected_rows;
            if ($update <= 0) {
                $record = array('success' => 'false', 'msg' => $msg_quotation_added_unsuccessfully);
                jsonSendEncode($record);
            }

$notification_arr = array();
$user_id_notification = $collection_id;
$other_user_id_notification = $user_id;
$action_id = $booking_id;

if($booking_tracking_status == 2){
    $action    = 'collected';
    $action_id = $booking_id;
    $title = array('Collected', 'Collected', 'Collected', 'Collected');
    $msg = 'Booking collected successfully, Booking ID : '.$booking_number;
}elseif($booking_tracking_status == 1){
    $action    = 'delivered';
    $action_id = $booking_id;
    $title = array('Delivered', 'Delivered', 'Delivered', 'Delivered');
    $msg = 'Booking delivered successfully, Booking ID : '.$booking_number;
}elseif($booking_tracking_status == 3){
    $action    = 'stored';
    $action_id = $booking_id;
    $title = array('Stored', 'Stored', 'Stored', 'Stored');
    $msg = 'Booking stored successfully, Booking ID : '.$booking_number;
}


$message = array($msg, $msg, $msg, $msg);
$action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
if ($notification_arr_check != 'NA') {
    $notification_arr[] = $notification_arr_check;
}

if (!empty($notification_arr)) {
    oneSignalNotificationSendCallDriver($notification_arr);
}

$mysqli->close();
$record=array('success'=>'true', 'msg' =>$msg_booking_status_update_successfully,'booking_number'=>$booking_number,'booking_id'=>$booking_id); 
 jsonSendEncode($record);


