<?php

    include 'con1.php';
    include 'function_app_common.php'; 
    include 'function_app.php';
    include('language_message.php');
    include('mailFunctions.php');

    if(!$_POST){
        $record=array('success'=>'false','msg' =>$msg_post_method); 
        jsonSendEncode($record); 
    }

    if(empty($_POST['customer_id'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'customer_id'); 
        jsonSendEncode($record); 
    }

   

    if(empty($_POST['booking_id'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_id'); 
        jsonSendEncode($record); 
    }
    
    if(empty($_POST['reason'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'reason'); 
        jsonSendEncode($record); 
    }



    //-------------------------------- get all value in variables -----------------------
    $customer_id       =   $_POST['customer_id'];
    
     if(empty($_POST['driver_id'])){
         $driver_id          =   0;
    }else{
         $driver_id          =   $_POST['driver_id'];
    }
    
    
   
   
    $booking_id        =   $_POST['booking_id'];
    $reason       =   $_POST['reason'];
    $updatetime     =   date("Y-m-d H:i:s");
    $createtime     =   date("Y-m-d H:i:s");
    
    //-------------------------- check user user id --------------------------
    $check_user_id_all=$mysqli->prepare("SELECT user_id FROM user_master WHERE user_id=?");
    $check_user_id_all->bind_param("i",$customer_id);
    $check_user_id_all->execute();
    $check_user_id_all->store_result();
    $check_user_id=$check_user_id_all->num_rows;  //0 1
    if($check_user_id <= 0){
        $record=array('success'=>'false', 'msg' =>$user_not_found); 
        jsonSendEncode($record); 
    }
    
    
   if($driver_id>0) {
    $check_driver_id_all=$mysqli->prepare("SELECT user_id FROM user_master WHERE delete_flag=0 and user_id=?");
    $check_driver_id_all->bind_param("i",$driver_id);
    $check_driver_id_all->execute();
    $check_driver_id_all->store_result();
    $check_driver_id=$check_driver_id_all->num_rows;  //0 1
    if($check_driver_id <= 0){
        $record=array('success'=>'false', 'msg' =>$user_not_found); 
        jsonSendEncode($record); 
    }
   }

    $check_user_id_all->bind_result($user_id_get);
    $check_user_id_all->fetch();

    //--------------- check account activate or not ----------------------
    $active_status = checkAccountActivateDeactivate($user_id_get);
    if($active_status == 0){
        $record=array('success'=>'false','msg' =>$account_deactivate, 'active_status'=>$active_status); 
        jsonSendEncode($record); 
    }

   //---------------------insert contact---------------------------------

      
    $contact_add = $mysqli->prepare("INSERT INTO `booking_report_master`(`booking_id`, `user_id`, `other_user_id`, `reason`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?)");
    $contact_add->bind_param("iiisss", $booking_id,$customer_id,$driver_id, $reason,$createtime, $updatetime);
    $contact_add->execute();
    $contact_count=$mysqli->affected_rows;
    if($contact_count<=0){
        $record=array('success'=>'false','msg'=>$report_booking_unsuccess); 
        jsonSendEncode($record);
    }
    
    $email_arr          =   array();
    $admin_details      =   getUserDetails(1);
    // Send mail to admin for contact us        
    if($admin_details != 'NA'){
        $admin_email    =   $admin_details['email'];
        $admin_name     =   $admin_details['name'];
        // Start send mail
        $mail_content   =   '';
        $mail_content   .=  '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Contact name: '.$name.'</p>';
        $mail_content   .=  '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Contact Email: '.$email.'</p>';
        $mail_content   .=  '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Contact Message: '.$message.'</p>';   

        $subject    =   'Booking Report';
        $heading    =   'Booking Report';
        $postData['subject']        =   $subject;
        $postData['mail_heading']   =   $heading;
        $postData['mailContent']    =   $mail_content;
        $postData['name']           =   $admin_name;
        $postData['email']          =   $admin_email;
        $postData['fromName']       =   $app_name;
        $postData['app_name']       =   $app_name;
        $postData['app_logo']       =   $app_logo;
        $mailBody                   =   mailBodySendData($postData);

        // echo $mailBody;
        // die;
        $email_arr[]                =   array('email'=>$postData['email'], 'fromName'=>$postData['fromName'], 'mailsubject'=>$postData['subject'], 'mailcontent'=>$mailBody, 'file'=>$contact_image);       
        // End send mail    
    }
    
    if(empty($email_arr)){
        $email_arr  =   'NA';
    }
    $mysqli->close();

    //-------------------------------- get user complete details --------------------------
    $record=array('success'=>'true','msg'=>$report_booking_success, 'email_arr'=>$email_arr); 
    jsonSendEncode($record);
?>
