<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'authorized.php';
include 'jwt_function.php';





if (!$_POST) {
	$record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
	jsonSendEncode($record);
}

if (empty($_POST['user_id'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
	jsonSendEncode($record);
}

if (empty($_POST['password_old'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'password_old');
	jsonSendEncode($record);
}
// for password_new
if (empty($_POST['password_new'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'password_new');
	jsonSendEncode($record);
}

//-------------------------------- get all value in variables -----------------------
$user_id = $_POST['user_id'];

$password_old = md5($_POST['password_old']);
$password_new = md5($_POST['password_new']);
$updatetime = date('Y-m-d H:i:s');

//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id from user_master where   user_id =?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1
if ($check_user <= 0) {
	$record = array('success' => 'false', 'msg' => $user_not_found);
	jsonSendEncode($record);
}

// ================= check account activate or not ================= //

$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
	$record = array('success' => 'false', 'msg' => $account_deactivate,  'account_active_status' => $active_status);
	jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}

//---------------------- check old password --------------------
$check_password_all = $mysqli->prepare("SELECT user_id from user_master where  user_id =? and BINARY password =?");
$check_password_all->bind_param("is", $user_id, $password_old);
$check_password_all->execute();
$check_password_all->store_result();
$check_password = $check_password_all->num_rows;  //0 1
if ($check_password <= 0) {
	$record = array('success' => 'false', 'msg' => $old_password_wrong);
	jsonSendEncode($record);
}

//--------------------- update new  password -----------------------------
$update_all = $mysqli->prepare("UPDATE user_master set password =?, updatetime =? where user_id =?");
$update_all->bind_param("ssi", $password_new, $updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
	$record = array('success' => 'false', 'msg' => $password_updated_unsuccess);
	jsonSendEncode($record);
}

// get user complete details 
$user_details = getUserDetails($user_id);

$mysqli->close();

//-------------------------------- Response --------------------------
$record = array('success' => 'true', 'msg' => $password_updated_success, 'user_details' => $user_details);
jsonSendEncode($record);
