<?php

    include 'con1.php';
    include 'function_app_common.php'; 
    include 'function_app.php'; 
    include 'mailFunctions.php'; 
    include 'language_message.php';
    include 'jwt_function.php';
    if(!$_POST){
        $record=array('success'=>'false', 'msg' =>$msg_post_method); 
        jsonSendEncode($record);
    }

    if(empty($_POST['user_id'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param); 
        jsonSendEncode($record);
    }

    

    if(empty($_POST['mobile'])){
        $record=array('success'=>'false', 'msg' =>$msg_empty_param,'key'=>'mobile'); 
        jsonSendEncode($record);
    }
    

  
    
    //-------------------------------- get all value in variables -----------------------

    $user_id         = $_POST['user_id'];
    $mobile          = $_POST['mobile'];
    
 
    $delete_flag     = 0;
    $createtime      = date('Y-m-d H:i:s');
    $updatetime      = date('Y-m-d H:i:s');

    //-------------------------- check user_id --------------------------

   

    $check_user_all=$mysqli->prepare("SELECT user_id From user_master Where delete_flag=0 and  user_id=? and user_type=1 ");
    $check_user_all->bind_param("i",$user_id);
    $check_user_all->execute();
    $check_user_all->store_result();
    $check_user=$check_user_all->num_rows;  //0 1
    if($check_user <= 0){
        $record=array('success'=>'false','msg' =>$user_not_found); 
        jsonSendEncode($record);
    }

   // ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------- check account activate or not end ----------------------  
    $check_job_id_all=$mysqli->prepare("SELECT user_id, name, image, mobile from user_master where delete_flag=0 and mobile=? and active_flag = 1 and user_type=1 and user_id != ? order by user_id desc limit 1 ");
    $check_job_id_all->bind_param("si",$mobile,$user_id);
    $check_job_id_all->execute();
    $check_job_id_all->store_result();
    $check_job_id=$check_job_id_all->num_rows;  //0 1
    if($check_job_id <= 0){
        $record = array('success'=>'false', 'msg'=>$user_not_found); 
    	jsonSendEncode($record);
    }
    
    $check_job_id_all->bind_result($other_user_id, $name, $image, $mobile);
    $check_job_id_all->fetch();



    
    $mysqli->close();
    //------------------ response here -----------------------
    $record=array('success'=>'true','msg' =>$data_found,'mobile'=>$mobile,'name'=>$name,'image'=>$image,'other_user_id'=>$other_user_id);
    jsonSendEncode($record);
    
?>

