<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';
include 'jwt_function.php';

require 'dompdf/vendor/autoload.php';

use Dompdf\Dompdf;
use Dompdf\Options;

$user_id = 1;
$options = new Options();
$options->set('isHtml5ParserEnabled', true);
$options->setIsFontSubsettingEnabled(true);
$options->setIsRemoteEnabled(true);

$dompdf = new Dompdf($options);

$pdf_html = '<!DOCTYPE html><html lang="ar">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<style type="text/css">
@font-face {
    font-family: "Amiri";
    src: url("dompdf/Amiri-Regular.ttf") format("truetype");
}

html {
    direction: rtl;
}

body {
    font-family: "Amiri", "Arial", sans-serif;
    direction: rtl;
    text-align: right;
    unicode-bidi: embed;
}

.arabic-text {
    font-family: "Amiri", "Arial", sans-serif; /* Set font-family explicitly for the Arabic text */
    white-space: nowrap;
    line-spacing:-2.0px;
}

</style>
</head>
<body><p class="arabic-text">اليوم انا سعيد</p></body>
</html>';

$options->set('defaultFont', 'Amiri');

$dompdf->loadHtml($pdf_html);
$dompdf->setPaper('A4', 'portrait');
$dompdf->render();

$pdf_name = date('YmdHis');
$file_path = 'pdf_file/filearb' . $pdf_name . $user_id . '.pdf';
file_put_contents($file_path, $dompdf->output());

echo $pdf_file_arb = basename($file_path);
?>
