<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'mailFunctions.php'; 
include 'language_message.php';

include 'jwt_function.php';

require 'dompdf/vendor/autoload.php';

use Dompdf\Dompdf;
use Dompdf\Options;
use ArPHP\I18N\Arabic;

// error_reporting(E_ALL);
// ini_set('display_errors', '1');


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
    jsonSendEncode($record);
}
 
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'user_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['booking_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_id'); 
    jsonSendEncode($record);
}
if(empty($_POST['booking_item_ids'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'booking_item_ids'); 
    jsonSendEncode($record);
}

if(empty($_POST['description'])){
    $description='';
}else{
    $description                  =   $_POST['description'];

}
if(empty($_POST['title'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'title'); 
    jsonSendEncode($record);
}
if(empty($_FILES['file'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'file'); 
    jsonSendEncode($record);
}
if(empty($_POST['quantitys'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'quantitys'); 
    jsonSendEncode($record);
}
if(empty($_POST['date_time'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param,'key'=>'date_time'); 
    jsonSendEncode($record);
}


// if(empty($_POST['product_ids'])){
//     $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'product_ids'); 
//     jsonSendEncode($record);
// }
// if(empty($_POST['color_ids'])){
//     $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'color_ids'); 
//     jsonSendEncode($record);
// }
// if(empty($_POST['finish_ids'])){
//     $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'finish_ids'); 
//     jsonSendEncode($record);
// }
// if(empty($_POST['material_ids'])){
//     $record=array('success'=>'false', 'msg'=>$msg_empty_param,'key'=>'material_ids'); 
//     jsonSendEncode($record);
// }


if(empty($_POST['collection_delivery_type'])){
    $collection_delivery_type=0;
}else{
    $collection_delivery_type                  =   $_POST['collection_delivery_type'];

}
if(empty($_POST['collection_id'])){
    $collection_id=0;
}else{
    $collection_id                  =   $_POST['collection_id'];

}
if(empty($_POST['collection_address'])){
    $collection_address='';
}else{
    $collection_address                  =   $_POST['collection_address'];

}
if(empty($_POST['collection_latitude'])){
    $collection_latitude='';
}else{
    $collection_latitude                  =   $_POST['collection_latitude'];

}
if(empty($_POST['collection_longitude'])){
    $collection_longitude='';
}else{
    $collection_longitude                  =   $_POST['collection_longitude'];

}



if(empty($_POST['user_address_id'])){
    $user_address_id=0;
}else{
    $user_address_id                  =   $_POST['user_address_id'];
}
if(empty($_POST['address'])){
    $address = '';
}else{
    $address                     =   $_POST['address'];
}
if(empty($_POST['latitude'])){
    $latitude = '';
}else{
    $latitude                     =   $_POST['latitude'];
}
if(empty($_POST['longitude'])){
    $longitude = '';
}else{
    $longitude                     =   $_POST['longitude'];
}
if(empty($_POST['flat_no'])){
    $flat_no = '';
}else{
    $flat_no                     =   $_POST['flat_no'];
}


if(empty($_POST['address_type'])){
    $address_type=0;
}else{
    $address_type                  =   $_POST['address_type'];
}
$landmark = '';
     if(!empty($_POST['landmark'])){
        $landmark     =$_POST['landmark'];
     }



    
$user_id                               =   $_POST['user_id'];
$booking_id                            =   $_POST['booking_id'];
$quantitys                             =   $_POST['quantitys'];
$booking_item_ids                      =   $_POST['booking_item_ids'];
$date_time                             =   $_POST['date_time'];
// $product_ids                      =   $_POST['product_ids'];
$title                            =   $_POST['title'];
// $color_ids                        =   $_POST['color_ids'];
// $finish_ids                       =   $_POST['finish_ids'];
// $material_ids                     =   $_POST['material_ids'];
 
$repair_numbers               =   generateRandomOTP(6);
$repair_number                =   '#WHC'.$repair_numbers;
$updatetime                       =   date('Y-m-d H:i:s');
$createtime                       =   date('Y-m-d H:i:s');
$expected_date_time                       =   $date_time;
$repair_status	              =   0;
$status	          =   0;
$delete_flag              =   0;
//-------------------------- check user account --------------------------
$check_user_all=$mysqli->prepare("SELECT user_id,name,mobile,sales_manager_id,phone_code,country_id,user_type from user_master where user_id = ? and user_type = 1 ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user=$check_user_all->num_rows; 
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result( $user_id,$name,$mobile,$sales_manager_id,$phone_code,$country_id,$user_type);
$check_user_all->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}


$sales_manager_id_assign_by=0;
if(!empty($sales_manager_id)){
    $sales_manager_id_assign_by= $user_id;
}
if(!empty($phone_code)){
    $phone_code= $phone_code;
}else{
    $phone_code=0;
}
// ,storage_period,booking_type,`booking_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `booking_status`, `note`, `collection_id`, `collection_address`, `collection_latitude`, `collection_longitude`, `booking_date_time`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time,booking_tracking_status,cancel_reason,total_item_quantity,total_item,storage_price,delivery_price,total_item_amount,total_amount,grand_total_amount
// ,$storage_period,$booking_type,$booking_number,$user_id,$name,$mobile,$phone_code,$country_id,$booking_status,$note,$collection_id,$collection_address,$collection_latitude,$collection_longitude,$booking_date_time,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime,$expected_date_time,$booking_tracking_status,$cancel_reason,$total_item_quantity,$total_item,$storage_price,$delivery_price,$total_item_amount,$total_amount,$grand_total_amount
$check_booking_all=$mysqli->prepare("SELECT  booking_number,booking_id  FROM booking_master WHERE  delete_flag = 0 and  booking_id =?  ");
	$check_booking_all->bind_param("i",$booking_id);
   
    
  $check_booking_all->execute();
  $check_booking_all->store_result();
  $check_order=$check_booking_all->num_rows;  //0 1
if($check_order > 0){

    $check_booking_all->bind_result($booking_number,$booking_id);
    $check_booking_all->fetch();
}else{
    $record=array('success'=>'false','msg' =>$booking_not_found,'key'=>1); 
    jsonSendEncode($record); 
}
$designer_id=0;
$designer_id_assign_by=0;
$production_manager_id=0;
$production_manager_id_assign_by=0;
$status=8;

$insert_all=$mysqli->prepare("INSERT INTO`repair_request_master`( `booking_id`, `booking_number`, `description`, `title`, `collection_address`, `collection_latitude`, `collection_longitude`, `collection_delivery_type`, `collection_id`,`repair_number`, `user_id`, `name`, `mobile`,phone_code,country_id, `status`, `sales_manager_id`, `sales_manager_id_assign_by`, `designer_id`, `designer_id_assign_by`, `production_manager_id`, `production_manager_id_assign_by`, `user_address_id`, `landmark`, `address`, `address_type`, `latitude`, `longitude`, `flat_no`, `delete_flag`, `createtime`, `updatetime`,expected_date_time ) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
$insert_all->bind_param("issssssiisissiiiiiiiiiississsisss",$booking_id,$booking_number,$description,$title,$collection_address,$collection_latitude,$collection_longitude,$collection_delivery_type,$collection_id,$repair_number,$user_id,$name,$mobile,$phone_code,$country_id,$status,$sales_manager_id,$sales_manager_id_assign_by,$designer_id,$designer_id_assign_by,$production_manager_id,$production_manager_id_assign_by,$user_address_id,$landmark,$address,$address_type,$latitude,$longitude,$flat_no,$delete_flag,$createtime,$updatetime,$expected_date_time);
$insert_all->execute();
$insert=$mysqli->affected_rows;
if($insert<=0){
    $record=array('success'=>'false','msg' =>$msg_repair_request_created_unsuccessfully,'key'=>1); 
    jsonSendEncode($record); 
}

 $repair_request_id = $mysqli->insert_id;
// $product_ids_exp=explode(',',$product_ids);
$booking_item_ids_exp=explode(',',$booking_item_ids);
// $color_ids_exp=explode(',',$color_ids);
// $material_ids_exp=explode(',',$material_ids);
// $finish_ids_exp=explode(',',$finish_ids);
$quantitys_exp=explode(',',$quantitys);
 for($i=0;$i<count($booking_item_ids_exp);$i++){
    // $product_id = $product_ids_exp[$i];
    $booking_item_id = $booking_item_ids_exp[$i];
    // $color_id = $color_ids_exp[$i];
    // $material_id = $material_ids_exp[$i];
    // $finish_id = $finish_ids_exp[$i];
    $quantity = $quantitys_exp[$i];
 $check_product_id = $mysqli->prepare("SELECT `booking_item_id`, `booking_id`, `product_id`, `product_name`, `product_code`, `booking_type`, `delivery_quantity`, `collection_quantity`, `storage_quantity`, `quantity`, `price`, `total_price`, `color_id`, `finish_id`, `material_id`, `size`, `product_type`, `category_id`, `subcategory_id`, `short_description`, `warranty`, `pack_content`, `length`, `width`, `height` FROM `booking_item_master` WHERE delete_flag =0 and booking_item_id =? ");
$check_product_id->bind_param('i', $booking_item_id);
$check_product_id->execute();
$check_product_id->store_result();
$check_product = $check_product_id->num_rows;  //0 1
if ($check_product > 0) {

            $check_product_id->bind_result($booking_item_id,$booking_id,$product_id,$product_name,$product_code,$booking_type,$delivery_quantity,$collection_quantity,$storage_quantity,$quantity_get,$price,$total_price,$color_id,$finish_id,$material_id,$size,$product_type,$category_id,$subcategory_id,$short_description,$warranty,$pack_content,$length,$width,$height);
            $check_product_id->fetch();

$size = '';
 $product_image_arr = getProductAllImage($product_id);
$total_price=$price*$quantity;
                            $insert_order_item_all = $mysqli->prepare("INSERT INTO 
                            repair_item_master( `repair_request_id`, `product_id`, `product_name`, `product_code`, `quantity`, `price`, `total_price`, `color_id`, `finish_id`, `material_id`, `size`, `product_type`, `category_id`, `subcategory_id`, `short_description`, `warranty`, `pack_content`, `length`, `width`, `height`, `delete_flag`, `createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
                            $insert_order_item_all->bind_param("iississiiisiiisisiiiiss",$repair_request_id,$product_id,$product_name,$product_code,$quantity,$price,$total_price,$color_id,$finish_id,$material_id,$size,$product_type,$category_id,$subcategory_id,$short_description,$warranty,$pack_content,$length,$width,$height,$delete_flag,$createtime,$updatetime);
                            $insert_order_item_all->execute();
                            $insert_order_item = $mysqli->affected_rows;
                            // echo $insert;
                            if ($insert_order_item <= 0) {
                                $record = array('success' => "false", 'msg' => $msg_repair_request_created_unsuccessfully);
                                jsonSendEncode($record);
                            }
                            $repair_item_id = $mysqli->insert_id;
                           
                    }
                }
                $file=array();
                if(!empty($_FILES['file']['name'][0])) {
                    $file = $_FILES['file']; //--------- actual file
                    $folder_name = 'images'; //--------- upload folder direcotry
                    $file_type = 'image';  //----------- image or file(doc,pdf, etc)
                    $upload_status = uploadFileMultiple($file, $folder_name, $file_type); 
                    $file = $upload_status;    
                    if($upload_status == 'error'){
                        $record=array('success'=>'false','msg' =>$img_post_error,'error'=>'img1'); 
                        jsonSendEncode($record);
                    }
                }
                for($j=0;$j<count($file);$j++){
                    $image = $file[$j];
                    $insert_item_image_all = $mysqli->prepare("INSERT INTO 
                    repair_image_master( `repair_request_id`, `image`, `delete_flag`, `createtime`, `updatetime`) VALUES (?,?,?,?,?)");
                    $insert_item_image_all->bind_param("isiss",$repair_request_id, $image,$delete_flag,$createtime,$updatetime);
                    $insert_item_image_all->execute();
                    $insert_item_image = $mysqli->affected_rows;
                    // echo $insert;
                    if ($insert_item_image <= 0) {
                        $record = array('success' => "false", 'msg' => $msg_repair_request_created_unsuccessfully);
                        jsonSendEncode($record);
                    }

                }
                // $amount=0;
                // $status=0;
                // $insert_repair_quotation_all = $mysqli->prepare("INSERT INTO 
                // repair_quotation_master( `repair_request_id`, `user_type`,user_id,pdf,description,amount, `delete_flag`, `createtime`, `updatetime`,status) VALUES (?,?,?,?,?,?,?,?,?,?)");
                // $insert_repair_quotation_all->bind_param("iiisssissi",$repair_request_id, $user_type,$user_id,$document_file,$description,$amount,$delete_flag,$createtime,$updatetime,$status);
                // $insert_repair_quotation_all->execute();
                // $insert_repair_quotation = $mysqli->affected_rows;
                // // echo $insert;
                // if ($insert_repair_quotation <= 0) {
                //     $record = array('success' => "false", 'msg' => $msg_repair_request_created_unsuccessfully);
                //     jsonSendEncode($record);
                // }
                // if(!empty($sales_manager_id)){
                // $sales_manager_id=$sales_manager_id;
                // }else{
                //     $sales_manager_id=1;
                // }
                $notification_arr = array();
                $user_id_notification = $user_id;
                $other_user_id_notification = $sales_manager_id;
                $action    = 'repair_request';
                $action_id = $repair_request_id;
                $title = array('New Repair Request', 'New Repair Request', 'New Repair Request', 'New Repair Request');
                $msg = 'You got a new repair request, Repair ID : '.$repair_number;
               
                $message = array($msg, $msg, $msg, $msg);
                $action_data = array('user_id' => $user_id_notification, 'other_user_id' => $other_user_id_notification, 'action_id' => $action_id, 'action' => $action);
                $notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
                if ($notification_arr_check != 'NA') {
                    $notification_arr[] = $notification_arr_check;
                }
        
                if (!empty($notification_arr)) {
                    oneSignalNotificationSendCallDriver($notification_arr);
                }

$mysqli->close();
$record=array('success'=>'true', 'msg' =>$msg_repair_request_created_successfully,'repair_request_number'=>$repair_number,'repair_request_id'=>$repair_request_id);  
jsonSendEncode($record);
