<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'authorized.php';
include 'jwt_function.php';



// check method here
if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method);
    jsonSendEncode($record);
}
// for user id
if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}


//---------------------- get all value in variables -----------------------
$user_id           =   $_POST['user_id'];
//------------------------------------ check user exist or not -------------------------
$check_user_all = $mysqli->prepare("SELECT user_id from user_master where delete_flag =0 and user_id=?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
//------------------------------------ check user exist or not end ---------------------------//
// ----------------------------------- check account activate or not--------------------------//
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 'deactivate') {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------------- check account activate or not end--------------------------//
//------------------------------check message --------------------------//
$check_notification_detail = $mysqli->prepare("SELECT notification_message_id FROM user_notification_message  WHERE other_user_id=? AND delete_flag=0 ");
$check_notification_detail->bind_param("i", $user_id);
$check_notification_detail->execute();
$check_notification_detail->store_result();
$check_notification_num = $check_notification_detail->num_rows;  //0 1
if ($check_notification_num > 0) {
    $updatetime    =  date('Y-m-d H:i:s');
    $delete_flag   =  1;
    $update_notification = $mysqli->prepare("UPDATE user_notification_message SET delete_flag=?,updatetime=? WHERE other_user_id=?");
    $update_notification->bind_param("isi", $delete_flag, $updatetime, $user_id);
    $update_notification->execute();
    $insert_affected_rows = $mysqli->affected_rows;
    if ($insert_affected_rows <= 0) {
        $record = array('success' => 'false', 'msg' => $delete_notification_unsuccess);
        jsonSendEncode($record);
    }
} else {
    $record = array('success' => 'false', 'msg' => $data_not_found);
    jsonSendEncode($record);
}
//-------------------------------response-----------------------//
$notification_arr = 'NA';
$mysqli->close();
$record = array('success' => 'true', 'msg' => $delete_notification_success, 'notification_arr' => $notification_arr);
jsonSendEncode($record);
