<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';

if (!$_POST) {
    $record = array('success' => 'false', 'msg' => $msg_post_method);
    jsonSendEncode($record);
}

if (empty($_POST['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param);
    jsonSendEncode($record);
}

if (empty($_POST['otp'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param);
    jsonSendEncode($record);
}

//echo "<pre>";print_r($_POST);die;

//-------------------------------- get all value in variables -----------------------
$user_id     =    $_POST['user_id'];
$otp         =    $_POST['otp'];
$delete_flag    =    0;
$mail_arr         =    array();
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id name from user_master where delete_flag=0 and user_id=?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
// $check_user_all->bind_result($user_id, $name);
// $check_user_all->fetch();

//-------------------------- check otp --------------------------
$check_otp_all = $mysqli->prepare("SELECT otp from forgot_password_master where delete_flag=0 and user_id=? and otp=?");
$check_otp_all->bind_param("ii", $user_id, $otp);
$check_otp_all->execute();
$check_otp_all->store_result();
$check_otp = $check_otp_all->num_rows;  //0 1	
if ($check_otp <= 0) {
    $record = array('success' => 'false', 'msg' => $invalid_otp);
    jsonSendEncode($record);
}
// Update Account Details

$otp_verify        =    1;

$updatetime        =    date('Y-m-d H:i:s');
$createtime     =   date('Y-m-d H:i:s');
// echo "UPDATE forgot_password_master set otp_verify=$otp_verify, updatetime=$updatetime WHERE user_id=$user_id";
// die;
$update_all = $mysqli->prepare("UPDATE forgot_password_master set otp_verified=?, updatetime=? WHERE user_id=?");
$update_all->bind_param("isi", $otp_verify, $updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
    $record = array('success' => 'false', 'msg' => $otp_not_verify);
    jsonSendEncode($record);
}
$user_details    =    getUserDetails($user_id);

$mysqli->close();


$record = array('success' => 'true', 'msg' => $msg_otp_verify, 'user_details' => $user_details);
jsonSendEncode($record);
