<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php';
include 'language_message.php'; 

if(!$_POST){
    $record = array('success'=>'false', 'msg'=>$msg_post_method,'error'=>1); 
    jsonSendEncode($record);
}

if(empty($_POST['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}
if(empty($_POST['name'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}


// ------------------- get all value in variables start ------------------- //

$user_id        =   $_POST['user_id'];
$name        =   $_POST['name'];

$updatetime     =   date("Y-m-d H:i:s");

// ------------------ check user ------------------ //
     
$check_login_all    =   $mysqli->prepare("SELECT user_id,profile_complete,otp_verify,image from user_master where user_id=?");      
$check_login_all->bind_param("i",$user_id);
$check_login_all->execute();
$check_login_all->store_result();
$check_login = $check_login_all->num_rows;
if($check_login <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_login_all->bind_result($user_id,$profile_complete,$otp_verify_get,$profile_image);
$check_login_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}

//----------------upload profile image-----------------------//
    
    if(!empty($_FILES['image']['name'])) {
        $file = $_FILES['image']; //--------- actual file
        $folder_name = 'images'; //--------- upload folder direcotry
        $file_type = 'image';  //----------- image or file(doc,pdf, etc)
        $upload_status = uploadFile($file, $folder_name, $file_type); 
        $profile_image = $upload_status;    
        if($upload_status == 'error'){
            $record=array('success'=>'false','msg' =>$img_post_error,'error'=>'img1'); 
            jsonSendEncode($record);
        }
    }

//----------------upload Cover image-----------------------//
    

// -----------------------------------update profile----------------------------


// echo "UPDATE user_master set image=?,f_name=?,l_name=?,updatetime=? where user_id=?";
// die
$add_post = $mysqli->prepare("UPDATE user_master set name=?, image=?,updatetime=? where user_id=?");   
$add_post->bind_param("sssi",$name,$profile_image,$updatetime,$user_id);
$add_post->execute();
$add_post_num = $add_post->affected_rows;
if($add_post_num <= 0){
    $record = array('success'=>'false','msg'=>$msg_profile_update_unsuccessful,'error'=>9);
    jsonSendEncode($record);
}

$user_details  = getUserDetails($user_id);
$mysqli->close();


$record = array('success'=>'true','msg'=>$msg_profile_update_successful, 'user_details'=>$user_details);
jsonSendEncode($record); 


?>