<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'mailFunctions.php';
include 'language_message.php';
include 'send_sms.php';

// include 'authorized.php';

if (!$_POST) {
	$record     =    array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
	jsonSendEncode($record);
}

if (empty($_POST['email'])) {
	$record     =    array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'email');
	jsonSendEncode($record);
}

if (empty($_POST['user_type'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_type');
	jsonSendEncode($record);
}


//------------------------get all value in variables------------------
$email = $_POST['email'];
$user_type    = $_POST['user_type'];

// ----------------------- check user email start ----------------------- //

$check_email = $mysqli->prepare("SELECT user_id,user_type,email,name, profile_complete,language_id FROM user_master WHERE  email = ? and delete_flag=0 and otp_verify =1 and user_type=?");
$check_email->bind_param('si', $email,$user_type);
$check_email->execute();
$check_email->store_result();
$check_count_id = $check_email->num_rows;
if ($check_count_id <= 0) {
	$record     =    array('success' => 'false', 'msg' => $msg_email_not_exist);
	jsonSendEncode($record);
}
$check_email->bind_result($get_user_id, $user_type,$email, $full_name, $profile_complete,$language_id);
$check_email->fetch();
// ------------------------ check user email end ------------------------ //

// --------------- check account activate-deactivate start --------------- //
$active_status 	=	checkAccountActivateDeactivate($get_user_id);
if($active_status == 0 ){
	$record 	=	array('success'=>'false','msg' =>$account_deactivate, 'account_active_status'=>$active_status); 
	jsonSendEncode($record);
}
$otp	                =	generateRandomOTP(5);	
// $otp	                =	'1234';	
$active_flag			=	0;
$delete_flag			=	0;
$createtime				=	date('Y-m-d H:i:s');
$updatetime				=	date('Y-m-d H:i:s');
// -------------- Now Insert Data Into Request Table -------------- //
$forgot_insert = $mysqli->prepare("INSERT INTO forgot_password_master (user_id, otp,email, user_type, active_flag, delete_flag, createtime, updatetime) VALUES (?,?,?, ?, ?, ?, ?, ?)");
$forgot_insert->bind_param("iisiiiss", $get_user_id,$otp,$email, $user_type,  $active_flag, $delete_flag, $createtime, $updatetime);
$forgot_insert->execute();
$insert_id = $forgot_insert->affected_rows;
if($insert_id <= 0) {	
	$record = array('success'=>'false', 'msg'=>$msg_err_forgot); 
	jsonSendEncode($record); 
}




    
    if(!empty($email)) {
        $postData['otp_code']       =   $otp;
        $postData['app_name']       =   $app_name;
        $otp_message                =   $otp.' is your '.$app_name.' verification code';
        // Start send mail
        $mail_content               =   '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">'.$otp_message.'</p>';
        $subject                    =   'Reset Password Verification Code';
        $heading                    =   'Reset Password Verification Code';
        $postData['subject']        =   $subject;
        $postData['mail_heading']   =   $heading;
        $postData['mailContent']    =   $mail_content;
        $postData['name']           =   $full_name;
        $postData['email']          =   $email;
        $postData['fromName']       =   $app_name;
        $postData['app_name']       =   $app_name;
        $postData['app_logo']       =   $app_logo;
        $postData['current_year']       =   $current_year;

        $mailBody                   =   mailBodySendData($postData);
        $email_arr[]                =   array('email'=>$postData['email'], 'fromName'=>$postData['fromName'], 'mailsubject'=>$postData['subject'], 'mailcontent'=>$mailBody);
     $mailResponse =	mailSend($postData['email'], $postData['fromName'],  $postData['subject'] , $mailBody);
                
     // echo "postData=";print_r($mailResponse);die();
 if($mailResponse != 'yes'){
    $record=array('success'=>false, 'msg'=>$msgNotSendEmail, 'data'=>array()); 
    jsonSendEncode($record);
 
 } 
}



// get user details 
$user_details  = getUserDetails($get_user_id);
$mysqli->close();
$record	=	array('success'=>'true', 'msg'=>$msg_succ_otp_send_forgot_pass , 'otp'=>$otp, 'user_details'=>$user_details);
jsonSendEncode($record);

	?>