<?php 
	ini_set('display_errors', 1);
	/*************************Static functions don't any change*****************************/
	//header('Access-Control-Allow-Origin: *');
	
	// function for check app version
	
	
	function checkCurrentlyAppVersion($app_version, $device_type='') {
		include('con1.php');
		
		$app_version_status	=	'true';
		
		$query_result=$mysqli->prepare("SELECT android_version, ios_version, browser_version FROM app_version_master WHERE version_status='on' AND delete_flag='no' ");
		$query_result->execute();
		$query_result->store_result();
		$query_num_rows=$query_result->num_rows;
		if($query_num_rows > 0){
			$query_result->bind_result($android_version, $ios_version, $browser_version);
			$query_result->fetch();
			
			if($device_type=="android" && $app_version == $android_version){
				$app_version_status	=	'true';
			}
			else if($device_type=="ios" && $app_version == $ios_version){
				$app_version_status	=	'true';
			}
			else if($device_type=="browser" && $app_version == $browser_version){
				$app_version_status	=	'true';
			}
			else{
				$app_version_status	=	'false';
			}
		}
		$mysqli->close();
		return $app_version_status;
	}
	
	//get distance b/w 2 lat long

function distanceCalculation($point1_lat, $point1_long, $point2_lat, $point2_long, $unit = 'km') {
  // echo '<br>h'.$point1_lat;
  // echo '<br>i'.$point1_long;
  // echo '<br>m'.$point2_lat;
  // echo '<br>a'.$point2_long;
  // Calculate the distance in degrees
  $degrees = rad2deg(acos((sin(deg2rad($point1_lat))*sin(deg2rad($point2_lat))) + (cos(deg2rad($point1_lat))*cos(deg2rad($point2_lat))*cos(deg2rad($point1_long-$point2_long)))));
  if (is_nan($degrees)) {
    return $distance = 0;
  }
  // Convert the distance in degrees to the chosen unit (kilometres, miles or nautical miles)
  switch($unit) {
  case 'km':
  $distance = $degrees * 111.13384; // 1 degree = 111.13384 km, based on the average diameter of the Earth (12,735 km)
  break;
  case 'mi':
  $distance = $degrees * 69.05482; // 1 degree = 69.05482 miles, based on the average diameter of the Earth (7,913.1 miles)
  break;
  case 'nmi':
  $distance =  $degrees * 59.97662; // 1 degree = 59.97662 nautic miles, based on the average diameter of the Earth (6,876.3 nautical miles)
  }
  return round($distance);
}

function distanceCalculationNearest($point1_lat, $point1_long, $point2_lat, $point2_long, $unit = 'km', $decimals = 2) {
 // Calculate the distance in degrees
 $degrees = rad2deg(acos((sin(deg2rad($point1_lat))*sin(deg2rad($point2_lat))) + (cos(deg2rad($point1_lat))*cos(deg2rad($point2_lat))*cos(deg2rad($point1_long-$point2_long)))));
 if (is_nan($degrees)) {
   return $distance = 0;
 }
 // Convert the distance in degrees to the chosen unit (kilometres, miles or nautical miles)
 switch($unit) {
 case 'km':
 $distance = $degrees * 111.13384; // 1 degree = 111.13384 km, based on the average diameter of the Earth (12,735 km)
 break;
 case 'mi':
 $distance = $degrees * 69.05482; // 1 degree = 69.05482 miles, based on the average diameter of the Earth (7,913.1 miles)
 break;
 case 'nmi':
 $distance =  $degrees * 59.97662; // 1 degree = 59.97662 nautic miles, based on the average diameter of the Earth (6,876.3 nautical miles)
 }
 return round($distance, $decimals);
}
	//---------------------------- generate random number string  ----------
	function generateRandomOTP($length = 6) {
		PHP_VERSION < '4.2.0' && mt_srand((double)microtime() * 1000000);
		$hash = '';
		$chars = '123456789';
		$max = strlen($chars) - 1;
		For($i = 0; $i < $length; $i++) {
			$hash .= $chars[mt_rand(0, $max)];
		}
		return $hash;
	}

	//echo $mobile_code = generateRandomOTP(4);

	function generateRandomString($length =6) {
		$characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, strlen($characters) - 1)];
		}
		return $randomString;
	}
	//echo $mobile_code = generateRandomString(4);
	
	function referralCodeCreate($length =6) {
		$characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, strlen($characters) - 1)];
		}
		return 'GOGOKar'.$randomString;
	}
	//echo $referral_code = referralCodeCreate(6);
	
	function promotCodeCreate($length =10) {
		$characters = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, strlen($characters) - 1)];
		}
		return 'GOGOKar'.$randomString;
	}
	//echo $promocode = promotCodeCreate(6);
	


	//------------------------- check user activate or not ---------------------
	function checkAccountActivateDeactivate($user_id) {
		include('con1.php');
		
		$active_status	=	'activate';
		
		$check_active_all=$mysqli->prepare("SELECT active_flag FROM user_master WHERE user_id=? ");
		$check_active_all->bind_param("i", $user_id);
		$check_active_all->execute();
		$check_active_all->store_result();
		$check_active=$check_active_all->num_rows;
		if($check_active>0){
			$check_active_all->bind_result($active_flag_get);
			$check_active_all->fetch();
			if($active_flag_get == 0){
				$active_status	=	0;
			}else{
			    $active_status	=	1;
			}
		}
		return $active_flag_get;
	}

	// $user_id=1;
	// echo $active_status = checkAccountActivateDeactivate($user_id);

	//------------------------------Notification all functios here -----------------------
	function DeviceTokenStore_1_Signal($user_id, $device_type, $player_id)
	{
	include('con1.php');

	$inserttime=date("Y-m-d H:i:s");
	//---------------------------------- check device token -----------------------
	$check_player_id_all=$mysqli->prepare("SELECT `player_id` FROM `user_notification` WHERE player_id=?");
	$check_player_id_all->bind_param('s', $player_id);
	$check_player_id_all->execute();
	$check_player_id_all->store_result();
	$check_player_id=$check_player_id_all->num_rows;
	if($check_player_id>0)
	{
		
		//-------------- delete all record of this player_id -----------------------
		$delete_device_details=$mysqli->prepare("delete from user_notification where player_id=? or user_id=?");
		$delete_device_details->bind_param('si', $player_id, $user_id);
		$delete_device_details->execute();
		$delete_device=$mysqli->affected_rows;
		if($delete_device<=0)
		{

			//--------------- 2nd attemp to deleet -------------------
			$delete_device_details1=$mysqli->prepare("delete from user_notification where player_id=? or user_id=?");
			$delete_device_details1->bind_param('si', $player_id, $user_id);
			$delete_device_details1->execute();
			$delete_device1=$mysqli->affected_rows;
			if($delete_device1<=0)
			{
				$result = "no";
			}
			else
			{
				$insert_device_details=$mysqli->prepare("insert into user_notification (user_id, device_type, player_id, inserttime) values(?,?,?,?)");
				$insert_device_details->bind_param('isss', $user_id, $device_type, $player_id, $inserttime);
				$insert_device_details->execute();
				$insert_check = $mysqli->affected_rows;
				if($insert_check>0)
				{
					$result = "yes";
				}else
				{
					$result  = "no";
				}//insert else closed
			  }//insert else closed
		   }//insert else closed
		else
		{
			$insert_device_details=$mysqli->prepare("insert into user_notification (user_id, device_type, player_id, inserttime) values(?,?,?,?)");
			$insert_device_details->bind_param('isss', $user_id, $device_type, $player_id, $inserttime);
			$insert_device_details->execute();
			$insert_check=$mysqli->affected_rows;
			if($insert_check>0)
			{
				$result = "yes";
			}else
			{
				$result  = "no";
			}//insert else closed
		}
	}
	else
	{
		//----------------------- check user_id ------------------------
		$check_player_id_all=$mysqli->prepare("SELECT `user_id` FROM `user_notification` WHERE user_id=?");
		$check_player_id_all->bind_param('i', $user_id);
		$check_player_id_all->execute();
		$check_player_id_all->store_result();
		$check_player_id=$check_player_id_all->num_rows;
		if($check_player_id>0){
			//---------------------- delete all record of this player_id -----------------------

			$delete_device_details=$mysqli->prepare("delete from user_notification where user_id=?");
			$delete_device_details->bind_param('i', $user_id);
			$delete_device_details->execute();
			$delete_device=$mysqli->affected_rows;
			if($delete_device<=0){
				//--------------- 2nd attemp to deleet -------------------
				$delete_device_details1=$mysqli->prepare("delete from user_notification where user_id=?");
				$delete_device_details1->bind_param('i',  $user_id);
				$delete_device_details1->execute();
				$delete_device1=$mysqli->affected_rows;
				if($delete_device1<=0){
					$result = "no";
				}else{
					$insert_device_details=$mysqli->prepare("insert into user_notification(user_id, device_type, player_id, inserttime) values(?,?,?,?)");
					$insert_device_details->bind_param('isss', $user_id, $device_type, $player_id, $inserttime);
					$insert_device_details->execute();
					$insert_check=$mysqli->affected_rows;
					if($insert_check>0){
						$result = "yes";
					}else{
						$result  = "no";
					}//insert else closed
				}//insert else closed
			}//insert else closed
			else{
				$insert_device_details=$mysqli->prepare("insert into user_notification (user_id, device_type, player_id, inserttime) values(?,?,?,?)");
				$insert_device_details->bind_param('isss', $user_id, $device_type, $player_id, $inserttime);
				$insert_device_details->execute();
				$insert_check=$mysqli->affected_rows;
				if($insert_check>0){
					$result = "yes";
				}else{
					$result  = "no";
				}//insert else closed
			}
		}else{
			//------------------------------ insert new record -------------------
			$insert_device_details=$mysqli->prepare("insert into user_notification (user_id, device_type, player_id, inserttime) values(?,?,?,?)");
			$insert_device_details->bind_param('isss', $user_id, $device_type, $player_id, $inserttime);
			$insert_device_details->execute();
			$insert_check=$mysqli->affected_rows;
			if($insert_check>0){
				$result = "yes";
			} else{
				$result  = "no";
			 }//insert else closed
		   }
		 }//esle closed of delete

		return $result;

	  }
	/* user fetch(select) record*/
	//echo $result = DeviceTokenStore_1_Signal($user_id, $device_type, $player_id);

	function getUserPlayerId($user_id)
	{
		include('con1.php');
		
		$select_all=$mysqli->prepare("SELECT player_id from user_notification where user_id=?");
		$select_all->bind_param("i",$user_id);
		$select_all->execute();
		$select_all->store_result();
		$select=$select_all->num_rows;
		//echo "select===";print_r($select);die();
		if($select>0){
			$select_all->bind_result($player_id);
			$select_all->fetch();
			//echo "select===";print_r($player_id);die();
			if($player_id == '123456'){
				$player_id = 'no';
			}
		}else{
			 $player_id = 'no';
		}

		return $player_id;
	}

	/*$user_id='27';
	$player_id = getUserPlayerId($user_id);
	print_r($player_id);*/

	// get notification
	function getNotificationStatus($user_id)
	{
		include('con1.php');
		
		$select_all=$mysqli->prepare("select user_id  from user_master where user_id=? and delete_flag =0 and notification_status=1 ");
		$select_all->bind_param("i",$user_id);
		$select_all->execute();
		$select_all->store_result();
		$select=$select_all->num_rows;
		if($select>0){
			$notification='yes';
		}
		else
		{
			$notification='no';
		}
		
		// $notification='on';
		return $notification;
	}

	/*
	$user_id='210';
	echo $notification=getNotificationStatus($user_id)
	*/

	// function InsertNotification($user_id, $other_user_id, $action, $action_id, $action_json, $title, $title_2, $title_3, $title_4, $message, $message_2, $message_3, $message_4){

	// 	include('con1.php');
		
	// 	$read_status	=	0;
	// 	$delete_flag	=	0;
	// 	$updatetime		=	date("Y-m-d H:i:s");
	// 	$createtime		=	date("Y-m-d H:i:s");
		
		
	// 	$insert			=	$mysqli->prepare("insert into user_notification_message(user_id, other_user_id, action, action_id, action_json, title, title_2, title_3, title_4, message, message_2, message_3, message_4, read_status, delete_flag, createtime, updatetime) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
	// 	$insert->bind_param('iisisssssssssiiss', $user_id, $other_user_id, $action, $action_id, $action_json, $title, $title_2, $title_3, $title_4, $message, $message_2, $message_3, $message_4, $read_status, $delete_flag, $createtime, $updatetime);
	// 	$insert->execute();
	// 	$insert_check=$mysqli->affected_rows;
	// 	if($insert_check<=0){
	// 		$status = 'no';
	// 	}
	// 	else{
	// 		$status = 'yes';
	// 	}
	// 	return $status;
	// }

	function InsertNotification($user_id, $other_user_id, $action, $action_id, $action_json, $title,  $message){
    include('con1.php');
    $read_status= '0';
    $delete_flag= '0';
    $updatetime=date("Y-m-d H:i:s");
    $createtime=date("Y-m-d H:i:s");
    $insert=$mysqli->prepare("insert into user_notification_message(user_id, other_user_id, action, action_id, action_json, title,title_2, title_3, title_4, message, message_2,message_3, message_4, read_status, delete_flag, createtime, updatetime) values(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
    $insert->bind_param('iisisssssssssiiss', $user_id, $other_user_id, $action, $action_id, $action_json,$title[0],$title[1],$title[2],$title[3], $message[0],$message[1],$message[2],$message[3], $read_status, $delete_flag, $createtime, $updatetime);
    $insert->execute();
    //echo 'error='.mysqli_error($mysqli);
    $insert_check=$mysqli->affected_rows;
    if($insert_check<=0){
    $status = 'no';
    }
    else{
    $status = 'yes';
    }
    
    return $status;
}




function uploadWorkImagesFileMultiple($file_arr, $folder_name, $file_type){
    require_once('image_resize.php');
    // echo count($file_arr['name']);die;
    // print_r($file_arr);PHP_EOL;
    // print_r($folder_name);PHP_EOL;
    // print_r($file_arr);die;
    // echo count($file_arr['name']);die;
    $image_name_arr=array();
    for($i=0; $i<count($file_arr['name']);$i++) {
        if($file_arr["name"][$i] != ''){
            $file_extension = strtolower(pathinfo(basename($file_arr["name"][$i]),PATHINFO_EXTENSION));
            $str  = generateRandomString(15);
            $str2 = rand();
            $image_name= $str.$str2.'.'.$file_extension;
            $upload_target  =$folder_name."/".$image_name; 
            if(move_uploaded_file($file_arr['tmp_name'][$i],$upload_target)){
                if($file_type == 'image'){
                    //-------------- IMAGE CROP 200X200 -------------------------------
                    $new_width  = '200';
                    $new_height = '200';
                    $uploadDir  =$folder_name;
                    $moveToDir  =$folder_name.'/200X200';
                    $img_result=createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
                    //-------------- IMAGE CROP 400X400 -------------------------------
                    $new_width  = '400';
                    $new_height = '400';
                    $uploadDir  = $folder_name;
                    $moveToDir  = $folder_name.'/400X400';
                    $img_result = createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
                    //-------------- IMAGE CROP 700X700 -------------------------------
                    $new_width  = '700';
                    $new_height = '700';
                    $uploadDir  = $folder_name;
                    $moveToDir  = $folder_name.'/700X700';
                    $img_result = createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
                }

                $image_name_arr[]=$image_name;
                    //return $image_name;
            }
        }
    }// for loop closed
    if(!empty($image_name_arr))
        return $image_name_arr;
    
    else{
       return 'error'; 
    }
}



	/*
	$user_id='2';
	$other_user_id='210';
	$action = 'request_sent';
	$action_id = '0';
	$action_data=array('user_id'=>$user_id,'other_user_id'=>$other_user_id);
	$action_json=json_encode($action_data);
	$title = 'Sent a request';
	$message = 'Amit sent a friend request';
	echo $insert_status=InsertNotification($user_id, $other_user_id, $action, $action_id, $action_json, $title, $message);
	*/
	//----------------------------------  Notification all functions here -----------------------


	// function getNotificationArrSingle($user_id='', $other_user_id='', $action='', $action_id='', $title='', $title_2='', $title_3='', $title_4='', $message='', $message_2='', $message_3='', $message_4='', $action_data=''){
	// 	$notification_arr 	=	array();
	// 	//print_r($action_data);
	// 	$action_json		=	json_encode($action_data);
		
	// 	//print_r($action_json);
	// 	$insert_status		=	InsertNotification($user_id, $other_user_id, $action, $action_id, $action_json, $title, $title_2, $title_3, $title_4, $message, $message_2, $message_3, $message_4);
		
	// 	if($insert_status == 'yes')
	// 	{
	// 		$notification_status=getNotificationStatus($other_user_id);
	// 		//echo "notification_status==".$notification_status;die();
	// 		if($notification_status == 'yes')
	// 		{   
	// 			$player_id 			=	getUserPlayerId($other_user_id);
	// 			//echo "player_id==".$player_id;die();
	// 			if($player_id !='no'){
					
	// 				$language_id	=	getUserLanguageId($user_id);
					
	// 				if($language_id == 1){
	// 					$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title_2, 'message'=>$message_2, 'action_json'=>$action_data);
	// 				}
	// 				else if($language_id == 2){
	// 					$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title_3, 'message'=>$message_3, 'action_json'=>$action_data);
	// 				}
	// 				else if($language_id == 3){
	// 					$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title_4, 'message'=>$message_4, 'action_json'=>$action_data);
	// 				}
	// 				else{
	// 					$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title, 'message'=>$message, 'action_json'=>$action_data);
	// 				}
	// 				// print_r($notification_arr);
	// 			}
	// 		}
	// 	}

	// 	if(empty($notification_arr)){
	// 		$notification_arr	=	'NA';
	// 	}
	// 	return $notification_arr;
	// }


	function getNotificationArrSingle($user_id,$other_user_id,$action,$action_id, $title, $message,$action_data){
    // echo $user_id;
    // print_r($other_user_id);
    // print_r($action);
    // print_r($action_id);
    // print_r($title);
    // print_r($message);
    // print_r($action_data);
    // die;
    $notification_arr = array();
    $action_json=json_encode($action_data);
    $insert_status=InsertNotification($user_id, $other_user_id, $action, $action_id, $action_json, $title, $message);


      // echo "insert_status".$insert_status;die;
    if($insert_status == 'yes'){
        $notification_status=getNotificationStatus($other_user_id);
         // echo "notification_status".$notification_status;die;
        if($notification_status == 'yes')
        {
            $player_id = getUserPlayerId($other_user_id);
            // echo "player_id",$player_id;die;
            if($player_id !='no'){
                	$language_id	=	getUserLanguageId($other_user_id);
					
					if($language_id == 1){
						$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title[1], 'message'=>$message[1], 'action_json'=>$action_data);
					}
					else if($language_id == 2){
						$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title[2], 'message'=>$message[2], 'action_json'=>$action_data);
					}
					else if($language_id == 3){
						$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title[3], 'message'=>$message[3], 'action_json'=>$action_data);
					}
					else{
						$notification_arr	=	array('player_id'=>$player_id, 'title'=>$title[0], 'message'=>$message[0], 'action_json'=>$action_data);
					}
                
                
            }
        }
    }
    if(empty($notification_arr)){
          $notification_arr='NA';
    }
    return $notification_arr;
}

	function getUserLanguageId($user_id)
	{
		include('con1.php');

		$select_all=$mysqli->prepare("select language_id  from user_master where user_id=?");
		$select_all->bind_param("i",$user_id);
		$select_all->execute();
		$select_all->store_result();
		$select=$select_all->num_rows;
		if($select>0){
			$select_all->bind_result($language_id);
			$select_all->fetch();
		}else{
			$language_id=0;
		}

		return $language_id;
	}
	function getUserLanguageIdByPlayerID($player_id)
	{
		include('con1.php');
        $select_all_check=$mysqli->prepare("select user_id  from user_notification where player_id=?");
		$select_all_check->bind_param("i",$player_id);
		$select_all_check->execute();
		$select_all_check->store_result();
		$select_check=$select_all_check->num_rows;
		if($select_check>0){
			$select_all_check->bind_result($user_id);
			$select_all_check->fetch();
				$select_all=$mysqli->prepare("select language_id  from user_master where user_id=?");
		$select_all->bind_param("i",$user_id);
		$select_all->execute();
		$select_all->store_result();
		$select=$select_all->num_rows;
		if($select>0){
			$select_all->bind_result($language_id);
			$select_all->fetch();
		}else{
			$language_id=0;
		}
		}else{
			$language_id=0;
		}
	

		return $language_id;
	}


	/*$user_id='1';
	$other_user_id='2';
	$action = 'request_sent';
	$action_id = '0';
	$action_data=array('user_id'=>$user_id,'other_user_id'=>$other_user_id);
	$action_json=json_encode($action_data);
	$title = 'Sent a request';
	$title2 = 'Sent a request';
	$title3 = 'Sent a request';
	$title4 = 'Sent a request';
	$message = 'Amit sent a friend request';
	$message2 = 'Amit sent a friend request';
	$message3 = 'Amit sent a friend request';
	$message4 = 'Amit sent a friend request';
	echo $insert_status=InsertNotification(
	$user_id, $other_user_id, $action, $action_id, $action_json, $title, $title_2, $title_3, $title_4, $message, $message_2, $message_3, $message_4);*/

	//------------------------------------------------  Notification all functios here -----------------------

	//----------------------------------------- safe json functions -------------------------
	function jsonSendEncode($record){
		$data = safe_json_encode($record);
		echo $data;
		exit;
	}

	// for safe_json_encode
	function safe_json_encode($value){

		if (version_compare(PHP_VERSION, '5.4.0') >= 0){
			$encoded = json_encode($value, JSON_PRETTY_PRINT);
		}else{
			$encoded = json_encode($value);
		}

		switch (json_last_error()) {
			case JSON_ERROR_NONE:
				return $encoded;
			case JSON_ERROR_DEPTH:
				return 'Maximum stack depth exceeded'; // or trigger_error() or throw new Exception()
			case JSON_ERROR_STATE_MISMATCH:
				return 'Underflow or the modes mismatch'; // or trigger_error() or throw new Exception()
			case JSON_ERROR_CTRL_CHAR:
				return 'Unexpected control character found';
			case JSON_ERROR_SYNTAX:
				return 'Syntax error, malformed JSON'; // or trigger_error() or throw new Exception()
			case JSON_ERROR_UTF8:
				$clean = utf8ize($value);
				return safe_json_encode($clean);
			default:
				return 'Unknown error'; // or trigger_error() or throw new Exception()
		}
	}


	function utf8ize($mixed) {
		if(is_array($mixed)){
			foreach ($mixed as $key => $value){
				$mixed[$key] = utf8ize($value);
			}
		}else if(is_string ($mixed)){
			return utf8_encode($mixed);
		}
		return $mixed;
	}



	//---------------------------  upload file function --------------------
	function uploadFileName($file, $folder_name, $file_type,$pdf_name){
		
		require_once('image_resize.php');

		$file_extension = strtolower(pathinfo(basename($file["name"]),PATHINFO_EXTENSION));
		$str= $pdf_name.generateRandomString(15);
		$str2= rand();
		$image_name= $str.$str2.'.'.$file_extension;
		$upload_target = $folder_name."/".$image_name; 

		if(move_uploaded_file($file['tmp_name'],$upload_target)){
			
			if($file_type == 'image'){

				//-------------- IMAGE CROP 200X200 -------------------------------
					$new_width = '200';
					$new_height = '200';
					$uploadDir =$folder_name;
					$moveToDir  =$folder_name.'/200X200';
					$img_result=createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
		
					//-------------- IMAGE CROP 400X400 -------------------------------
					$new_width = '400';
					$new_height = '400';
					$uploadDir =$folder_name;
					$moveToDir  =$folder_name.'/400X400';
					$img_result= createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
		
					//-------------- IMAGE CROP 700X700 -------------------------------
					$new_width = '700';
					$new_height = '700';
					$uploadDir =$folder_name;
					$moveToDir  =$folder_name.'/700X700';
					$img_result= createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
				}
		
				return $image_name;
			}else{
				return 'error';
			}
		}

	//-------------------------------- safe json functions end -------------------------

	//---------------------------  upload file function --------------------
	function uploadFile($file, $folder_name, $file_type){
		
		require_once('image_resize.php');

		$file_extension = strtolower(pathinfo(basename($file["name"]),PATHINFO_EXTENSION));

		$str= generateRandomString(15);
		$str2= rand();
		$image_name= $str.$str2.'.'.$file_extension;
		$upload_target = $folder_name."/".$image_name; 

		if(move_uploaded_file($file['tmp_name'],$upload_target)){
			
			if($file_type == 'image'){

				//-------------- IMAGE CROP 200X200 -------------------------------
				$new_width = '200';
				$new_height = '200';
				$uploadDir =$folder_name;
				$moveToDir  =$folder_name.'/200X200';
				$img_result=createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);

				//-------------- IMAGE CROP 400X400 -------------------------------
				$new_width = '400';
				$new_height = '400';
				$uploadDir =$folder_name;
				$moveToDir  =$folder_name.'/400X400';
				$img_result= createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);

				//-------------- IMAGE CROP 700X700 -------------------------------
				$new_width = '700';
				$new_height = '700';
				$uploadDir =$folder_name;
				$moveToDir  =$folder_name.'/700X700';
				$img_result= createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
			}

			return $image_name;
		}
		else{
			return 'error';
		}
	}
		
		// $file=$_FILES['image'];
		// $folder_name='images';
		// $file_type='image';
		// echo $upload_status=uploadFile($file, $folder_name, $file_type);
		
		
		
		
		function uploadFileMultiple($file_arr, $folder_name, $file_type)
		{
			require_once('image_resize.php');
			//print_r($file_arr);
		   
			$image_name_arr=array();
			for($i=0; $i<count($file_arr["name"]);$i++) 
			{
				if($file_arr["name"][$i] != ''){
				   $file_extension = strtolower(pathinfo(basename($file_arr["name"][$i]),PATHINFO_EXTENSION));
			
					$str= generateRandomString(15);
					$str2= rand();
					$image_name= $str.$str2.'.'.$file_extension;
					$upload_target = $folder_name."/".$image_name; 
				
					if(move_uploaded_file($file_arr['tmp_name'][$i],$upload_target))
					{
						//echo 'in upload';
						if($file_type == 'image'){
				
						//-------------- IMAGE CROP 200X200 -------------------------------
						$new_width = '200';
						$new_height = '200';
						$uploadDir =$folder_name;
						$moveToDir  =$folder_name.'/200X200';
						$img_result=createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
			
						//-------------- IMAGE CROP 400X400 -------------------------------
						$new_width = '400';
						$new_height = '400';
						$uploadDir =$folder_name;
						$moveToDir  =$folder_name.'/400X400';
						$img_result= createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
			
						//-------------- IMAGE CROP 700X700 -------------------------------
						$new_width = '700';
						$new_height = '700';
						$uploadDir =$folder_name;
						$moveToDir  =$folder_name.'/700X700';
						$img_result= createThumbnail($image_name,$new_width,$new_height,$uploadDir,$moveToDir);
						}
						$image_name_arr[]=$image_name;
						//return $image_name;
				}else{
					 //return 'error';
					//$image_name_arr[]='error';
				} 
			}
			
		}
		// for loop closed
		// print_r($file_arr["name"]);
		if(count($file_arr["name"]) == count($image_name_arr)){
			return $image_name_arr;
		}else{
		   return 'error'; 
		}
	}

	// $file_arr=$_FILES['image'];
	// $folder_name='images';
	// $file_type='image';
	// echo $upload_status=uploadFileMultiple($file_arr, $folder_name, $file_type);



	// -----here date-time conversion --------------//
	function time_elapsed_string($datetime){
	 $fatch_date = date ("Y-m-d", strtotime($datetime));
	 $current_date = date("Y-m-d");
	 //echo date ("H:i", $datetime);
	if($current_date==$fatch_date){
		$fatch_date =  "Today ".date("h:i A", strtotime($datetime));
	}
	else{
		//$fatch_date = date ("d-M-Y H:i A", strtotime($datetime));;
		$fatch_date = "Yesterday ".date ("h:i A", strtotime($datetime));;
	}
	return $fatch_date;
	}

	// -----here date-time conversion --------------//
	function date_elapsed_string($datetime){
	 $fatch_date = date ("Y-m-d", strtotime($datetime));
	 $current_date = date("Y-m-d");
	 //echo date ("H:i", $datetime);
	if($current_date==$fatch_date){
		$fatch_date =  "Today";
	}
	else{
		$fatch_date = date ("d-M-Y", strtotime($datetime));
	}
	return $fatch_date;
	}

	function getNotificationMsgCount($user_id)
	{
	include('con1.php');

	$select_all=$mysqli->prepare("SELECT notification_message_id FROM user_notification_message WHERE other_user_id=? and read_status = 0 and action!='login'");
	$select_all->bind_param("i",$user_id);
	$select_all->execute();
	$select_all->store_result();
	$select=$select_all->num_rows;

	return $select;
	}

	// $user_id=2;
	// $notification_count=getNotificationMsgCount($user_id);

	function oneSignalNotificationSendProvider($title, $message, $jsonData, $player_id_arr)
	{
		$oneSignalAppId="78388923-eaf2-446a-ae61-d0bcfa991a86";
		$oneSignalAuthorization="NzczYzk0YzgtZjQyNy00Y2QyLTk3NzItNTk2NmU0ODU3NzQ1";

		/*
		//------------------------------- push notification off ---------------------
		$final_result = 'Success';
		return $final_result ;
		*/

			
		$fields = array(
			"app_id" => $oneSignalAppId,
			"contents" => array("en" => $message),
			"headings" => array("en" => $title),
			//"included_segments"=>["All"],
			"include_player_ids"=> $player_id_arr,
			"data"=> array("action_json" => $jsonData),
			"ios_badgeType"=>'Increase',
			"ios_badgeCount"=>1,
			"priority"=>10,
		);

				
		$fields = json_encode($fields);
	// 	print("\nJSON sent:\n");
	// 	print($fields);
				
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, "https://onesignal.com/api/v1/notifications");
		curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8',
							 'Authorization: Basic '.$oneSignalAuthorization));
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
		curl_setopt($ch, CURLOPT_HEADER, FALSE);
		curl_setopt($ch, CURLOPT_POST, TRUE);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $fields);
		curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);

		$response = curl_exec($ch);
		curl_close($ch);
				
		//print($response);

		$resultData = json_decode($response, true);

		$resultDataError= $resultData['errors'];	
		$resultDataSuccess= $resultData['id'];

		if($resultDataSuccess != ''){
			$final_result = 'success';
		}else{
			$final_result =  'error';
		}


		return $final_result ;
	}
		


	/*$title = 'Test Title';
	$message = 'test new message by developer';
	$action_data=array('user_id'=>'1','other_user_id'=>'1', 'action_id'=>'0', 'action'=>'login');
	$jsonData=json_encode($action_data);
	$player_id_arr = array('1702eb58-618a-4faf-bf58-8a2334b7605d');
	echo $response = oneSignalNotificationSend($title, $message, $jsonData, $player_id_arr);*/
	
	
	//----------------- functions send notifcations ---------------
function oneSignalNotificationSendCall($notification_arr)
{
	require_once  '1_signal_final.php';

	//echo 'oneSignalNotificationSendCall'.print_r($notification_arr);
	if ($notification_arr != 'NA') {
		foreach ($notification_arr as $key) {

			$player_id_arr = array();

			if ($key['player_id'] != '') {
				$player_id_arr[] = $key['player_id'];

				$title = $key['title'];
				$message = $key['message'];
				$action_json = $key['action_json'];
$language_id = getUserLanguageIdByPlayerID($key['player_id']);
				oneSignalNotificationSend($title, $message, $action_json, $player_id_arr,$language_id);
			}
		}
	}
}

function oneSignalNotificationSendCallDriver($notification_arr)
{
	require_once  '1_signal_final.php';

	//echo 'oneSignalNotificationSendCall'.print_r($notification_arr);
	if ($notification_arr != 'NA') {
		foreach ($notification_arr as $key) {

			$player_id_arr = array();

			if ($key['player_id'] != '') {
				$player_id_arr[] = $key['player_id'];

				$title = $key['title'];
				$message = $key['message'];
				$action_json = $key['action_json'];
$language_id = getUserLanguageIdByPlayerID($key['player_id']);
				oneSignalNotificationSendDriver($title, $message, $action_json, $player_id_arr,$language_id);
			}
		}
	}
}


//----------------- functions send notifcations end ---------------



?>