<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 



if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['driver_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>1); 
    jsonSendEncode($record);
}

if(empty($_GET['status'])){
    $status =0;
}else{
	$status=$_GET['status'];

}





// ------------------- get all value in variables start ------------------- //


$driver_id=$_GET['driver_id'];


 



 // =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where user_id=? ");
$check_user_all->bind_param("i",$driver_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($driver_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}


$booking_ids = 0;


if($status<=0){
    
    
    //-------------------------- get all content --------------------------
$check_get_service_pending_all=$mysqli->prepare("SELECT GROUP_CONCAT(booking_id) as booking_ids  FROM `booking_request_master` WHERE `driver_id` = ? AND `status` = 0 ");
  
  $check_get_service_pending_all->bind_param("i",$driver_id);
    $check_get_service_pending_all->execute();
  $check_get_service_pending_all->store_result();
  $check_get_service_pending=$check_get_service_pending_all->num_rows;  //0 1
if($check_get_service_pending > 0){

    $check_get_service_pending_all->bind_result($booking_ids);
    $check_get_service_pending_all->fetch();
    
    if(empty($booking_ids)){
        $booking_ids=0;
    }

}

//echo '$booking_ids='.$booking_ids;

$check_get_service_all=$mysqli->prepare("SELECT `booking_id`,`user_id`, `user_vehicle_id`, `booking_number`, `booking_date`, `booking_time`, `address`, `status`, `address_type`,  `createtime`,cancel_by FROM `booking_master` where delete_flag =0 and booking_id IN ($booking_ids)  and status =0 ORDER by booking_id DESC");
    
    //$check_get_service_all->bind_param("ii",$driver_id,$status);
  
  
  
}else{
   
   if($status == 4){
       $status = 2;
   }
    //-------------------------- get all content --------------------------
    $check_get_service_all=$mysqli->prepare("SELECT `booking_id`,`user_id`, `user_vehicle_id`, `booking_number`, `booking_date`, `booking_time`, `address`, `status`, `address_type`,  `createtime`,cancel_by FROM `booking_master` where delete_flag =0 and driver_id =? and status =? ORDER by booking_id DESC ");
    
    $check_get_service_all->bind_param("ii",$driver_id,$status);
  
}

  $check_get_service_all->execute();
  $check_get_service_all->store_result();
  $check_get_service=$check_get_service_all->num_rows;  //0 1
if($check_get_service > 0){

    $check_get_service_all->bind_result($booking_id,$user_id_get,$user_vehicle_id, $booking_number, $booking_date, $booking_time, $address, $status, $address_type,  $createtime,$cancel_by );
        while($check_get_service_all->fetch()){

          $createtime =date('M-d-Y h:i A',strtotime($createtime));
          $booking_date =date('M-d-Y ',strtotime($booking_date));
          $booking_date_show =date('Y-m-d ',strtotime($booking_date));
          $booking_time =date('h:i A',strtotime($booking_time));

          $userData =getUserDetails($user_id_get);
          $customerName=$userData['name'];
          $customerMobile=$userData['mobile'];
          $customerImage=$userData['image'];

          if($status == 0){
            $status_text='Pending';
            $status_text_arr='قيد الانتظار';
          }else if($status == 1){
            $status_text='Ongoing';
            $status_text_arr='جاري التنفيذ';
          }else if($status == 2){
            $status_text='Cancel by customer';
            $status_text_arr='إلغاء من قبل العميل';
          }else if($status == 3){
            $status_text='Completed';
            $status_text_arr='مكتمل';
          }else if($status == 4){
            $status_text='Cancel by employee';
            $status_text_arr='ابدأ العملk';
          }
          
           if($cancel_by==1){
              $status_text='Cancel by customer';
            $status_text_arr='إلغاء من قبل العميل';
          }else if($cancel_by==2){
              $status_text='Cancel by employee';
            $status_text_arr='ابدأ العملk';
          }
          

          if($address_type == 0){
                $address_text ='Current Location';
            }else if($address_type == 1){
             $address_text='Home';
            }else if($address_type == 2){
                $address_text='Office';
            }else{
                $address_text='Other';
            }


$vehicle_arr=array();

  $check_get_vehicle_all=$mysqli->prepare("SELECT `user_vehicle_id`, `vehicle_type_id`, `plate_type_id`, `code_id`, `plate_number` from  user_vehicle_master where user_vehicle_id=? ");
  
  $check_get_vehicle_all->bind_param("i",$user_vehicle_id);
  $check_get_vehicle_all->execute();
  $check_get_vehicle_all->store_result();
  $check_get_vehicle=$check_get_vehicle_all->num_rows;  //0 1
if($check_get_vehicle > 0){

    $check_get_vehicle_all->bind_result($user_vehicle_id, $vehicle_type_id, $plate_type_id, $code_id, $plate_number);
        $check_get_vehicle_all->fetch();

          $code_name =getCodeName($code_id);
          $vehicle_type =getVehicleType($vehicle_type_id);
          $Plate_type =getPlateType($plate_type_id);

         

        $vehicle_arr=array('user_vehicle_id'=>$user_vehicle_id,'code_name'=>$code_name,'vehicle_type'=>$vehicle_type,'Plate_type'=>$Plate_type,'plate_number'=>$plate_number);
    
}


         if(empty($vehicle_arr)){
             $vehicle_arr = 'NA';
         }
    
    $booking_traking_arr = getOrderTraking($booking_id);
    
        $booking_arr[]=array('booking_id'=>$booking_id,'vehicle_arr'=>$vehicle_arr,'booking_number'=>$booking_number,'booking_date'=>$booking_date,'booking_time'=>$booking_time,'address'=>$address,'status'=>$status_text,'status_arr'=>$status_text_arr,'address_type'=>$address_text,'createtime'=>$createtime,'customerName'=>$customerName,'customerMobile'=>$customerMobile,'customerImage'=>$customerImage,'booking_status'=>$status, 'customer_id'=>$user_id_get,'booking_date_show'=>$booking_date_show,'booking_traking_arr'=>$booking_traking_arr);
    }
}

if(empty($booking_arr)){
    $booking_arr='NA';
}
$mysqli->close();
$record=array('success'=>'true','msg' =>$activity_found,'booking_arr'=>$booking_arr); 
jsonSendEncode($record);
