<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'jwt_function.php';

if (!$_GET) {
    $record = array('success' => 'false', 'msg' => $msg_get_method);
    jsonSendEncode($record);
}

if (empty($_GET['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}
//-------------------------------- get all value in variables -----------------------
$user_id = $_GET['user_id'];


//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id,user_type from user_master where delete_flag =0 and user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_id->bind_result($user_id, $user_type);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}

$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------- check user account active/deactive status start ---------- //

if($user_type == 1)
{
    $type =0;
}else{
    $type =1;
}

//-------------------------- get all content --------------------------
$check_content_all = $mysqli->prepare("SELECT `faq_id`,  `ques1`, `ans1`, `ques2`, `ans2`  FROM `faq_master` WHERE  delete_flag=0 and faq_type = ? order by faq_id desc ");
$check_content_all->bind_param("i",$type);
$check_content_all->execute();
$check_content_all->store_result();
$check_content = $check_content_all->num_rows;  //0 1
if ($check_content > 0) {

    $check_content_all->bind_result($faq_id, $ques1,$ans1,$ques2, $ans2);
    while ($check_content_all->fetch()) {
        $question = array($ques1,$ques2);
        $answer = array($ans1,$ans2);
        $faq_arr[] = array('faq_id' => $faq_id, 'question' => $question, 'answer' =>  $answer, 'status' => false);
    }
}

if (empty($faq_arr)) {
    $faq_arr = 'NA';
}

$mysqli->close();
$record = array('success' => 'true', 'msg' => $data_found, 'faq_arr' => $faq_arr);
jsonSendEncode($record);
