<?php
include_once 'con1.php';
include_once 'function_app_common.php'; 
include_once 'function_app.php'; 
include_once 'language_message.php';
include_once 'authorized.php';
include 'jwt_function.php';


if(!$_POST){
    $record=array('success'=>'false','msg' =>$msg_post_method); 
    jsonSendEncode($record);
}
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param); 
    jsonSendEncode($record);
}





// ------------------ get all value in variables ------------------- //
$user_id = $_POST['user_id'];



if(empty($_POST['limit'])){
	$limit = 10;
}else{
	$limit 		= $_POST['limit'];
}
if(empty($_POST['offset'])){
	$offset = 0;
}else{
	$offset 	= $_POST['offset'];
}

$loadmore=false;  
// -------------------- check user_id -------------------- //
$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_type!=0 and user_id =?");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1
if($check_user <= 0) {
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}

//------------------- check account activate or not ------------------- 
$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
	$record = array('success'=>'false', 'msg'=>$account_deactivate, 'account_active_status'=>$active_status); 
	jsonSendEncode($record); 
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ----------------------- get all orders -------------------------- //
$check_order_all = $mysqli->prepare("SELECT notification_message_id, user_id, other_user_id, action, action_id, action_json, title,title_2, message, read_status, createtime,message_2,message_3 from  user_notification_message where delete_flag =0 and other_user_id =? and title !='Login' order by notification_message_id DESC LIMIT ?  OFFSET ?");
$check_order_all->bind_param("iii", $user_id,$limit,$offset);
$check_order_all->execute();
$check_order_all->store_result();
$check_order = $check_order_all->num_rows;  //0 1
if($check_order > 0) {
	$check_order_all->bind_result($notification_message_id, $user_id_get, $other_user_id, $action, $action_id, $action_json, $title,$title_2, $message, $read_status, $createtime,$message_2,$message_3);
	while($check_order_all->fetch()) {
		$noti_date_time = date("M d, Y, h:i A", strtotime($createtime));
		$createtime =timeago($createtime);
		
	
		$name = 'NA';
		$image = 'NA';
		
		  
               
                if($action == 'broadcast' ){
                    $user_detail =  getAdminDetail();
                    if($user_detail != 'NA'){
                        $name = $user_detail['admin_name'];
                        $image = $user_detail['admin_image'];
                    }
                }
        elseif($action=='signup'){
            $user_detail =  getAdminDetail();
            if($user_detail != 'NA'){
                $name = $user_detail['admin_name'];
                $image = $user_detail['admin_image'];
            }
        }else{
            $user_detail = getUserDetails($user_id_get);
            if($user_detail != 'NA'){
                $name = $user_detail['name'];
                $image = $user_detail['image'];
            }
        }
                
            
		$notification_arr[] = array('notification_message_id'=>$notification_message_id, 'user_id'=>$user_id_get, 'other_user_id'=>$other_user_id, 'action'=>$action,'action_id'=>$action_id,'action_json'=>$action_json,'title'=>$title,'title_2'=>$title_2,'message'=>$message,'message_2'=>$message_2,'message_3'=>$message_3,'read_status'=>$read_status,'createtime'=>$createtime,'image'=>$image,'image1'=>$image, 'name'=>$name,'noti_date_time'=>$noti_date_time );
	}
	
	//--------------------- update order status -------------
	$read_status = 1;
	$updatetime = date('Y-m-d H:i:s');

	$update_all = $mysqli->prepare("UPDATE user_notification_message set read_status =?, updatetime=?");
	$update_all->bind_param("ss", $read_status, $updatetime);
	$update_all->execute();
	$update = $mysqli->affected_rows;
}
if(empty($notification_arr)){
        $notification_arr='NA';
        $loadmore=false;
    }else{
        $total_len=count($notification_arr);
         if(count($notification_arr)==$limit){
          $loadmore=true;
         }else{
          $loadmore=false;
         }
    }

$notification_count = getNotificationMsgCount($user_id);

$mysqli->close();
$record = array('success'=>'true', 'msg'=>$data_found, 'notification_arr'=>$notification_arr, 'notification_count'=>$notification_count,'loadmore'=>$loadmore); 
jsonSendEncode($record);
?>












