<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'jwt_function.php';




if (!$_GET) {
    $record = array('success' => 'false', 'msg' => $msg_get_method);
    jsonSendEncode($record);
}
if (empty($_GET['user_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
    jsonSendEncode($record);
}
if (empty($_GET['zone_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'zone_id');
    jsonSendEncode($record);
}
if (empty($_GET['service_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'service_id');
    jsonSendEncode($record);
}


//-------------------------------- get all value in variables -----------------------
$user_id = $_GET['user_id'];
$zone_id = $_GET['zone_id'];
$service_id = $_GET['service_id'];


//-------------------------- check user_id --------------------------

// echo "SELECT user_id from user_master where delete_flag =0 and user_id =$user_id";
// die;
$check_user_id = $mysqli->prepare("SELECT user_id from user_master where delete_flag =0 and user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
// ---------------------- check user account end ---------------------- //

// ---------- check user account active/deactive status start ---------- //
$active_status = checkAccountActivateDeactivate($user_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate, 'active_status' => $active_status);
    jsonSendEncode($record);
}
$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
$tax_percentage = 0;
$cash_extra_fee = '0.00';
$tax_number = 'NA';
$check_driver_commission_all = $mysqli->prepare("SELECT `commission_id`, `commission_percentage`, `tax_percentage`,cash_extra_fee,tax_number  FROM `commision_master`  WHERE delete_flag = 0 ");
       $check_driver_commission_all->execute();
       $check_driver_commission_all->store_result();
       $check_driver_commission = $check_driver_commission_all->num_rows;  //0 1
       if ($check_driver_commission > 0) {
           $check_driver_commission_all->bind_result($commission_id, $commission_percentage,$tax_percentage,$cash_extra_fee,$tax_number);
        $check_driver_commission_all->fetch();
        
       }
       $payment_method_ids = 0 ;
       $check_post_all = $mysqli->prepare("SELECT `zone_id`, `zone_address`, `latitude`, `longitude`, `covered_radius`, `title`, `start_date_time`, `end_date_time`, `daily_start_date_time`, `daily_end_date_time`, `ext_wash_time`, `int_steam_wash_time`, `int_polish_time`, `int_and_ext_polish_time`, `car_ids`, `team_ids`, `payment_method_ids`, `zone_service_type` FROM `zone_master` WHERE delete_flag='0' and  zone_id = ?   ");
       $check_post_all->bind_param("i", $zone_id);
       $check_post_all->execute();
       $check_post_all->store_result();
       $check_post = $check_post_all->num_rows;  //0 1
       if ($check_post > 0) {
           $check_post_all->bind_result($zone_id,$zone_address,$latitude,$longitude,$covered_radius,$title,$start_date_time,$end_date_time,$daily_start_date_time,$daily_end_date_time,$ext_wash_time,$int_steam_wash_time,$int_polish_time,$int_and_ext_polish_time,$car_ids,$team_ids,$payment_method_ids,$zone_service_type);
           $check_post_all->fetch();

       }
    //    echo $payment_method_ids;
       $payment_type_arr = getPaymentType($payment_method_ids,$user_id,$service_id);

$mysqli->close();
$record = array('success' => 'true', 'msg' => $data_found, 'tax_percentage' => $tax_percentage,'tax_number'=>$tax_number,'payment_type_arr'=>$payment_type_arr);
jsonSendEncode($record);