<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'jwt_function.php';
if(!$_GET){
	$record=array('success'=>'false','msg' =>$msg_get_method,'key'=>'method'); 
	jsonSendEncode($record);
}
if(empty($_GET['user_id'])){
	$record=array('success'=>'false','msg' =>$msg_get_method,'key'=>'user_id'); 
	jsonSendEncode($record);
}

if(empty($_GET['status'])){
	$status_new= 0 ;
}
else{
	$status_new=$_GET['status'];
}
//-------------------------------- get all value in variables -----------------------

$user_id=$_GET['user_id'];
$order_arr = array();
//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id from user_master where  user_id =? and user_type = 1 ");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}

// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------
$active_status = checkAccountActivateDeactivate($user_id);
	if($active_status == 0){
		$record = array('success'=>'false', 'msg'=>$account_deactivate, 'account_active_status'=>$active_status); 
		jsonSendEncode($record); 
	}
	$decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
 // ---------------------- check account activate or not ----------------------
$gift_arr = array();
if($status_new == 0 ){
	$get_customer_gift_id = $mysqli->prepare("SELECT `gift_id`, `gift_number`, `send_from_user_id`, `send_to_user_id`, `status`, `mobile`, `service_id`, `extra_service_id`, `tax_number`, `tax_percentage`, `tax_amount`, `grand_total_amount`, `service_total_amount`, `total_amount`, `item_total_amount`, `extra_payment`, `delete_flag`, `createtime` FROM `gift_master` WHERE delete_flag=0 and   send_from_user_id = ?     order by gift_id desc ");
}else{
	$get_customer_gift_id = $mysqli->prepare("SELECT `gift_id`, `gift_number`, `send_from_user_id`, `send_to_user_id`, `status`, `mobile`, `service_id`, `extra_service_id`, `tax_number`, `tax_percentage`, `tax_amount`, `grand_total_amount`, `service_total_amount`, `total_amount`, `item_total_amount`, `extra_payment`, `delete_flag`, `createtime` FROM `gift_master` WHERE  delete_flag=0 and   send_to_user_id = ?  order by gift_id desc ");
}

$get_customer_gift_id->bind_param('i',$user_id);
$get_customer_gift_id->execute();
$get_customer_gift_id->store_result();
$get_customer = $get_customer_gift_id->num_rows;  //0 1
if($get_customer > 0){
	$get_customer_gift_id->bind_result($gift_id,$gift_number,$send_from_user_id,$send_to_user_id,$status,$mobile,$service_id,$extra_service_id,$tax_number,$tax_percentage,$tax_amount,$grand_total_amount,$service_total_amount,$total_amount,$item_total_amount,$extra_payment,$delete_flag,$createtime);
	while($get_customer_gift_id->fetch()){
               $status_level = '0-pending,1-ongoing,2-complete,3-cancelled';
			  
			   if(!empty($createtime)){
				$createtime = date('d/m/Y, h:i A', strtotime($createtime));
				}
		
                if($status_new == 0 ){
                    $other_user_id =$send_to_user_id;
                }
                else{
                   $other_user_id =  $send_from_user_id;
                }


            $other_details      = getUserDetails($other_user_id);
            $other_details_arr  = array();
            $other_name = 'NA';
            $other_image = 'NA';
            $other_mobile = 'NA';
             if($other_details != 'NA'){
                 $other_name = $other_details['name'];
                 $other_image = $other_details['image'];
                 $other_mobile = $other_details['mobile'];
                 
             }
					 $service_name_arr =array();
					 $service_image_arr =array();
					
					 $check_booikng_service_all = $mysqli->prepare("SELECT service_id,title_english,title_arabic,image1,image2 from service_master where delete_flag=0  and service_id = ? ");
					 $check_booikng_service_all->bind_param("i",$service_id);
					 $check_booikng_service_all->execute();
					 $check_booikng_service_all->store_result();
					 $check_booikng_service = $check_booikng_service_all->num_rows;
					 if ($check_booikng_service > 0) {
						 $check_booikng_service_all->bind_result($service_id,$title_english,$title_arabic,$image1,$image2);
						 $check_booikng_service_all->fetch() ;
							 
							 $service_name_arr  = array($title_english,$title_arabic);
							 $service_image_arr = array($image1,$image2);
						 
					}
					if (empty($service_name_arr)) {
						$service_name_arr = "NA";
					}
					if (empty($service_image_arr)) {
						$service_image_arr = "NA";
					}
                    $payment_type =1;
                    $extra_service_arr = array();
                    $payment_method_arr = getPaymentMethodGift($gift_id);
                    $check_get_service_all=$mysqli->prepare("SELECT  `service_id`, `service_type`, `title_english`, `title_arabic`, `description_english`, `description_arabic`, `image1`, `image2`, `price_big`, `price_medium`, `price_small`, `extra_service_ids`, `payment_method_ids`, `timing_for_helper`, `expiry_date`, `service_related_ids`, `package_price`, `no_of_service` FROM `service_master` WHERE  delete_flag =0 and  service_id =?  ");
    $check_get_service_all->bind_param("i",$service_id);
    $check_get_service_all->execute();
    $check_get_service_all->store_result();
    $check_get_service = $check_get_service_all->num_rows;  //0 1
    if($check_get_service > 0){
    
        $check_get_service_all->bind_result($service_id,$service_type,$title_english,$title_arabic,$description_english,$description_arabic,$image1,$image2,$price_big,$price_medium,$price_small,$extra_service_ids,$payment_method_ids,$timing_for_helper,$expiry_date,$service_related_ids,$package_price,$no_of_service);
        $check_get_service_all->fetch();
        $service_type_level = '0=Services,1=with subscription';
        $service_arr = array('gift_id'=>$gift_id,'service_id'=>$service_id,'service_type'=>$service_type,'title'=>array($title_english,$title_arabic),'description'=>array($description_english,$description_arabic),'image'=>array($image1,$image2),'service_type_level'=>$service_type_level,'status'=>false);
           
    }
    $extra_service_arr = array();
 
    //==========================select extra service data=================================
    $check_get_extra_service_all=$mysqli->prepare("SELECT  `extra_service_id`, `title_english`, `title_arabic`, `image1`, `image2`, `price`, `main_service_ids`, `subscription_related_type` FROM `extra_service_master` WHERE  delete_flag =0 and extra_service_id IN ($extra_service_ids)  ");
    // $check_get_extra_service_all->bind_param("i",$extra_service_id);
    $check_get_extra_service_all->execute();
    $check_get_extra_service_all->store_result();
    $check_get_extra_service = $check_get_extra_service_all->num_rows;  //0 1
    if($check_get_extra_service > 0){
    
       $check_get_extra_service_all->bind_result($extra_service_id,$extra_service_title_english,$extra_service_title_arabic,$extra_service_image1,$extra_service_image2,$extra_service_price,$main_service_ids,$subscription_related_type);
        while($check_get_extra_service_all->fetch()){

    //   $extra_id[] = $extra_service_id;
        $extra_service_arr[] = array('gift_id'=>$gift_id,'extra_service_id'=>$extra_service_id,'title'=>array($extra_service_title_english,$extra_service_title_arabic),'image'=>array($extra_service_image1,$extra_service_image2),'extra_service_price'=>$extra_service_price,'status'=>false);
    }
           
    }

    if (empty($service_arr)) {
        $service_arr = "NA";
    }
    if (empty($extra_service_arr)) {
        $extra_service_arr = "NA";
    }
				$gift_arr[] = array('user_id'=>$user_id,'gift_id' => $gift_id, 'gift_number' =>  $gift_number,'status'=>$status,'status_level'=>$status_level, 'createtime' => $createtime,'grand_total_amount'=>$grand_total_amount,'tax_number'=>$tax_number,'tax_percentage'=>$tax_percentage,'tax_amount'=>$tax_amount,'extra_payment'=>$extra_payment,'service_id'=>$service_id,'service_name'=>$service_name_arr,'service_image_arr'=>$service_image_arr,'other_id'  =>$other_user_id, 
                'other_name'  =>$other_name, 'other_image' =>$other_image,'service_total_amount'=>$service_total_amount,'item_total_amount'=>$item_total_amount,'other_mobile'=>$other_mobile,'payment_method_arr'=>$payment_method_arr,'extra_service_arr'=>$extra_service_arr, 'service_arr'=>$service_arr,'status_new'=>false);
			  
	}
			
}
// ---------------------- get all pending job end----------------------
if (empty($gift_arr)) {
	$gift_arr = "NA";
}


// ---------------------- send responce ----------------------
$mysqli->close();
$record=array('success'=>'true','msg' =>$data_found,'gift_arr'=>$gift_arr); 
jsonSendEncode($record);

?>