<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 



if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['user_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}


// ------------------- get all value in variables start ------------------- //


$user_id=$_GET['user_id'];

 



 // =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id=? ");
$check_user_all->bind_param("i",$user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($user_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}





    
   
//-------------------------- get all content --------------------------
$check_get_service_all=$mysqli->prepare("SELECT `booking_id`, `user_vehicle_id`, `booking_number`, `booking_date`, `booking_time`, `address`, `status`, `address_type`,  `createtime` FROM `booking_master` where delete_flag =0 and user_id =? and status IN(0,1) ");
  
  $check_get_service_all->bind_param("i",$user_id);
  $check_get_service_all->execute();
  $check_get_service_all->store_result();
  $check_get_service=$check_get_service_all->num_rows;  //0 1
if($check_get_service > 0){

    $check_get_service_all->bind_result($booking_id, $user_vehicle_id, $booking_number, $booking_date, $booking_time, $address, $status, $address_type,  $createtime );
        while($check_get_service_all->fetch()){

          $createtime =date('M-d-Y H:i A',strtotime($createtime));
          $booking_date =date('M-d-Y ',strtotime($booking_date));
          $booking_time =date('H:i A',strtotime($booking_time));

          if($status == 0){
            $status_text='Pending';
          }else if($status == 1){
            $status_text='Ongoing';
          }else if($status == 2){
            $status_text='Cancel by customer';
          }else if($status == 3){
            $status_text='completed';
          }else if($status == 4){
            $status_text='start work';
          }else if($status == 5){
            $status_text='end work';
          }else if($status == 6){
            $status_text='cancel by employee';
          }

          if($address_type == 0){
            $address_text ='Home';
          }else if($address_type == 1){
            $address_text='Office';
          }else{
            $address_text='Current';
          }


  $check_get_vehicle_all=$mysqli->prepare("SELECT `user_vehicle_id`, `vehicle_type_id`, `plate_type_id`, `code_id`, `plate_number` from  user_vehicle_master where delete_flag =0   and user_vehicle_id=? ");
  
  $check_get_vehicle_all->bind_param("i",$user_vehicle_id);
  $check_get_vehicle_all->execute();
  $check_get_vehicle_all->store_result();
  $check_get_vehicle=$check_get_vehicle_all->num_rows;  //0 1
if($check_get_vehicle > 0){

    $check_get_vehicle_all->bind_result($user_vehicle_id, $vehicle_type_id, $plate_type_id, $code_id, $plate_number);
        $check_get_vehicle_all->fetch();

          $code_name =getCodeName($code_id);
          $vehicle_type =getVehicleType($vehicle_type_id);
          $Plate_type =getPlateType($plate_type_id);

         

        $vehicle_arr=array('user_vehicle_id'=>$user_vehicle_id,'code_name'=>$code_name,'vehicle_type'=>$vehicle_type,'Plate_type'=>$Plate_type,'plate_number'=>$plate_number);
    
}

         

        $booking_arr[]=array('booking_id'=>$booking_id,'vehicle_arr'=>$vehicle_arr,'booking_number'=>$booking_number,'booking_date'=>$booking_date,'booking_time'=>$booking_time,'address'=>$address,'status'=>$status_text,'address_type'=>$address_text,'createtime'=>$createtime);
    }
}

if(empty($booking_arr)){
    $booking_arr='NA';
}
$mysqli->close();
$record=array('success'=>'true','msg' =>$activity_found,'booking_arr'=>$booking_arr); 
jsonSendEncode($record);

?>