<?php

include("mail/PHPMailerAutoload.php");

function mailSend($email, $fromName, $subject, $mailBody)
{

    include('con1.php');
    //-------------------------------- php mail functions ---------------------------------------
    $mail = new PHPMailer;

    $mail->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );


    $mail->isSMTP();                                      // Set mailer to use SMTP
    $mail->Host = $mail_host;  // Specify main and backup SMTP servers
    $mail->SMTPAuth = true;                               // Enable SMTP authentication
    $mail->Username = $mail_username;                 // SMTP username
    $mail->Password = $mail_password;                           // SMTP password
    $mail->SMTPSecure = $mail_SMTPSecure;                            // Enable TLS encryption, `ssl` also accepted
    $mail->Port = $mail_port;                                       // TCP port to connect to
    $mail->From = $mail_from;
    $mail->FromName = $fromName;
    $mail->addAddress($email);    // Add a recipient

    $mail->isHTML(true);   // Add a recipient


    $mail->Subject = $subject;
    $mail->Body    = $mailBody;

    //-------------------------------------- check mail response send or not in proper ----------------------------
    if ($mail->send()) {
        $mailResponse = 'yes';
    } else {
        $mailResponse = 'no';
    }
    return $mailResponse;
} //-------------------- mailsend function closed 
// $app_name = 'doctor app';
// $app_logo = 'doctor app';
// $name = 'neha';
// $email = 'nikunj@mailinator.com';
// $fromName = 'Sign Up Email';
// $subject = 'Sign Up Email ';
// $guid='12345';
// $mailBody = 'hello neha';
// echo $mailResponse = mailSend($email, $fromName, $subject, $mailBody)

function mailSendWithAttachment($email, $fromName, $subject, $mailBody, $pdf_file)
{
    include('con1.php');
    //----------------- php mail functions ---------------------------------------
    $mail = new PHPMailer;

    $mail->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );

    $mail->isSMTP(); // Set mailer to use SMTP
    $mail->Host = $mail_host; // Specify main and backup SMTP servers
    $mail->SMTPAuth = true; // Enable SMTP authentication
    $mail->Username = $mail_username; // SMTP username
    $mail->Password = $mail_password; // SMTP password
    $mail->SMTPSecure = $mail_SMTPSecure; // Enable TLS encryption, `ssl` also accepted
    $mail->Port = $mail_port; // TCP port to connect to
    $mail->From = $mail_from;
    $mail->FromName = $fromName;
    $mail->addAddress($email); // Add a recipient

    $mail->isHTML(true); // Add a recipient
    $mail->AddStringAttachment($pdf_file, 'Enquiry.pdf');

    $mail->Subject = $subject;
    $mail->Body = $mailBody;


    //-------------------------------------- check mail response send or not in proper ----------------------------
    if ($mail->send()) {
        $mailResponse = 'yes';
    } else {
        $mailResponse = 'no';
    }
    return $mailResponse;
}

function newSignup($app_name, $name, $email, $message, $app_url, $app_logo, $otp)
{
    $body = '<!DOCTYPE html>
		<head>
			<meta name="viewport" content="width=device-width, initial-scale=1" />
			<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
			<title>Welcome to ' . $app_name . '</title>
		</head>

		
        <body style="margin: 0; padding: 0; background-color:#27A53A; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif; padding-top:70px; padding-bottom:70px;">
		<table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
			<tr>
				<td class="pad-l-r-b" style="background-color:#ffffff; padding:0 70px 40px;">
					<table cellpadding="0" cellspacing="0" class="full-wid">
					
					</table>
					
					<table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#ffffff; border-radius:4px; 
					box-shadow:0 0 20px #ccc;">
						<tr>
							<td>
								<table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
									<tr>
										<td class="logo" style="padding:40px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1;background-color:#006ec7;">
											
											<h1 style="color:#fff;background-color:#27A53A;"><img src=' . $app_logo . ' style="height:100px;width:100px;"></h1>
										</td>
									</tr>
									<tr><td></td></tr>		
									<tr>
										<td class="content" style="padding:40px 40px;">
											<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#000000; margin-top:0">
												Hello ' . ucwords($name) . '</p>
											
											<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#000000; margin-top:0">
											' . $message . '</p>
											
                                            <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#000000; margin-top:0">
                                            OTP- ' . $otp . '</p>
											
											
											<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#000000; margin-top:0">
												Regards,                  		
											</p>
											<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#000000; margin-top:0">
												' . $app_name . '                  		
											</p>
										</td>
									</tr>
									<tr>              	
										<td  style="background:#006ec7;padding-bottom:60px;">
											<table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
												<tr>
													<td>				  
														<div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
															<p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#fff; margin-top:40px; line-height:20px;">
															&#169; 2021 ' . $app_name . ' App  |  All right Reserved
															</p>
															<p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
															This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
															</p>
														</div>
													</td>
												</tr>
											</table>
										</td>
									</tr>              
								</table>
							</td>
						</tr>        
					</table>
				</td>
			</tr> 		   
		</table>
		</body>
		</html>';
    return $body;
}



function mailBodySignUp($app_name, $user_type, $name, $subject, $email, $message, $app_url, $app_logo,$current_year)
{
    if ($user_type == 'user') {
        $signType = 'New Parent ' . $user_type . ' Register';
    } else {
        $signType = 'New Childcare Register';
    }
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta charset="UTF-8">
        <title>Welcome to ' . $app_name . '</title>
    </head>

    <body style="margin: 0;	padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif;	padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $app_logo . '" alt="" width="40%" >
                        <h2>' . $signType . '</h2>
                    </td>
                </tr>
                <tr><td></td></tr>	
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear ' . $name . ', </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> ' . $message . '. </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Email : ' . $email . '. </p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                  	
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $app_name . '
                        </p>
                    </td>
                </tr>
                <tr>              	
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>	 
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; ' . $current_year . ' ' . $app_name . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#000000; line-height:20px; margin-bottom:40px;">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
                                        This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. 
                                                            If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. 
                                                            If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. 
                                                            If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}


function mailBodyForAdmin($app_name, $user_type, $userName, $userEmail, $adminName, $subject, $email, $signupMessage, $app_url, $app_logo)
{
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Welcome to ' . $app_name . '</title>
    </head>

    <body style="margin: 0;	padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif;	padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $app_logo . '" alt="" width="40%" >
                        <h2>' . $app_name . ' Register </h2>
                    </td>
                </tr>
                <tr><td></td></tr>	
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear Admin, </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> ' . $signupMessage . '. </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Name : ' . $userName . '. </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Email : ' . $userEmail . '. </p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                  	
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $app_name . '
                        </p>
                    </td>
                </tr>
                <tr>              	
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>	 
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; 2023 ' . $app_name . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#000000; line-height:20px; margin-bottom:40px;">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
                                        This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. 
                                                            If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. 
                                                            If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. 
                                                            If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}

function userContactUs($app_name, $user_type, $name, $subject, $email, $signupMessage, $app_url, $app_logo,$current_year)
{
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta charset="UTF-8">
        <title>Welcome to ' . $app_name . '</title>
    </head>

    <body style="margin: 0;	padding: 0; background-color:#af4997; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif;	padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr style="background: #ffffff;">
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $app_logo . '" alt="" width="40%" >
                        <h2 style="color:#000;">Contact to ' . $user_type . '</h2>
                    </td>
                </tr>
                <tr><td></td></tr>	
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear ' . $name . ', </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> ' . $signupMessage . '. </p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                  	
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $app_name . '
                        </p>
                    </td>
                </tr>
                <tr>              	
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>	 
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; ' . $current_year . ' ' . $app_name . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#000000; line-height:20px; margin-bottom:40px;">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
                                        This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. 
                                                            If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. 
                                                            If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. 
                                                            If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}

function sendResendOTP($app_name, $user_type, $name, $subject, $email, $message, $app_url, $app_logo)
{
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Welcome to ' . $app_name . '</title>
    </head>

    <body style="margin: 0;	padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif;	padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $app_logo . '" alt="" width="40%" >
                        <h2>Resend OTP Verification Code</h2>
                    </td>
                </tr>
                <tr><td></td></tr>	
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear ' . $name . ', </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> ' . $message . '. </p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                  	
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $app_name . '
                        </p>
                    </td>
                </tr>
                <tr>              	
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>	 
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; 2023 ' . $app_name . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#000000; line-height:20px; margin-bottom:40px;">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
                                        This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. 
                                                            If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. 
                                                            If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. 
                                                            If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}


function mailBodyForgotPasswordData($postData)
{
    $body .= '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta charset="UTF-8">
        <title>Welcome to ' . $postData['app_name'] . '</title>
    </head>

    <body style="margin: 0;	padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif;	padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:40px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $postData['app_logo'] . '" alt="" width="40%" >
                        <h1>Reset Your Password</h1>
                    </td>
                </tr>
                <tr><td></td></tr>	
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">
                        Dear ' . ucwords($postData['name']) . '</p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">' . $postData['mailContent'] . '</p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        ' . ucwords($postData['app_name']) . '
                        </p>
                    </td>
                </tr>
                <tr>              	
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>	 
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; 2023 ' . ucwords($postData['app_name']) . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#ffffff; line-height:20px; margin-bottom:40px;">
                                        Disclaimers can be made up out of statements covering different legal aspects. Below are some sample disclaimer statements that can be used for each aspect independently.
                                    </p>
                                </div>
                            </td>
                        </tr>
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}

function mailBodyOtpData($postData)
{
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Welcome to ' . $postData['app_name'] . '</title>
    </head>

    <body style="margin: 0;	padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif;	padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $postData['app_logo'] . '" alt="" width="40%" >
                        <h2> OTP Verification Code </h2>
                    </td>
                </tr>
                <tr><td></td></tr>	
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear ' . $postData['user_type'] . ', </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Your OTP is ' . $postData['otp'] . '. </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">' . $postData['mailContent'] . '</p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                  	
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $postData['app_name'] . '
                        </p>
                    </td>
                </tr>
                <tr>              	
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>	 
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; 2021 ' . $postData['app_name'] . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#ffffff; line-height:20px; margin-bottom:40px;">
                                        Disclaimers can be made up out of statements covering different legal aspects. Below are some sample disclaimer statements that can be used for each aspect independently.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}

function mailBodySendData($postData)
{
$year=date('Y');
    $body   =   '';
    $body .= '<!DOCTYPE html>
            <head>
                <meta name="viewport" content="width=device-width, initial-scale=1" />
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <title>Welcome to ' . $postData['app_name'] . '</title>
            </head>

            <body style="margin: 0; padding: 0; background-color:#27A53A; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif; padding-top:70px; padding-bottom:70px;">
                <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
                <tr>
                    <td class="pad-l-r-b" style= padding:0 70px 40px;">
                        <table cellpadding="0" cellspacing="0" class="full-wid">
                
                        </table>

                    <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
                <tr>
                <td>
                    <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td class="logo" style="padding:40px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                                <img src="' . $postData['app_logo'] . '" alt="" width="40%" >
                                <h1>' . ucwords($postData['mail_heading']) . '</h1>
                            </td>
                        </tr>
                        <tr><td></td></tr>  
                        <tr>
                            <td class="content" style="padding:40px 40px;">
                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">
                                Dear ' . ucwords($postData['name']) . '</p>
                                
                                ' . $postData['mailContent'] . '
                                
                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                                Regards,
                                </p>
                                <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                                ' . ucwords($postData['app_name']) . '
                                </p>
                            </td>
                        </tr>
                        <tr>                
                            <td  style="background-color:#006ec7; padding-bottom:60px;">
                                <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                                <tr>
                                    <td>     
                                        <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                            <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                            &#169; ' . $year . ' ' . ucwords($postData['app_name']) . ' App |  All right Reserved
                                            </p>
                                            <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#ffffff; line-height:20px; margin-bottom:40px;">
                                                Disclaimers can be made up out of statements covering different legal aspects. Below are some sample disclaimer statements that can be used for each aspect independently.
                                            </p>
                                        </div>
                                    </td>
                                </tr>
                    </table>
                    </td>
                </tr>              
        </table>
        </td>
        </tr>        
        </table>
        </td>
        </tr>   
        </table>
        </body>
        </html>';
    return $body;
}



function userBooking($app_name, $user_type, $name, $subject, $email, $signupMessage, $app_url, $app_logo)
{
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Welcome to ' . $app_name . '</title>
    </head>

    <body style="margin: 0; padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif; padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $app_logo . '" alt="" width="40%" >
                        <h2>Inform to ' . $user_type . '</h2>
                    </td>
                </tr>
                <tr><td></td></tr>  
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear ' . $name . ', </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> ' . $signupMessage . '. </p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                    
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $app_name . '
                        </p>
                    </td>
                </tr>
                <tr>                
                    <td  style="background-color:#006ec7;; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>     
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; 2021 ' . $app_name . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#000000; line-height:20px; margin-bottom:40px;">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
                                        This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. 
                                                            If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. 
                                                            If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. 
                                                            If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}

function userReview($app_name, $user_type, $name, $subject, $email, $signupMessage, $app_url, $app_logo)
{
    $body = '<!DOCTYPE html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Welcome to ' . $app_name . '</title>
    </head>

    <body style="margin: 0; padding: 0; font-size:13px; color:#444; font-family:Arial, Helvetica, sans-serif; padding-top:70px; padding-bottom:70px;">
        <table  cellspacing="0" cellpadding="0" align="center" width="768" class="outer-tbl" style="margin:0 auto;">
        <tr>
            <td class="pad-l-r-b" style= padding:0 70px 40px;">
                <table cellpadding="0" cellspacing="0" class="full-wid">
        
                </table>

            <table cellpadding="0" cellspacing="0"  style="width:100%; background-color:#FFFFFF; border-radius:4px;box-shadow:0 0 20px #ccc;margin-top:40px">
        <tr>
        <td>
            <table border="0" style="margin:0; width:100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td class="logo" style="padding:25px 0 30px 0; text-align:center; border-bottom:1px solid #E1E1E1">
                        <img src="' . $app_logo . '" alt="" width="40%" >
                        <h2>Contact to ' . $user_type . '</h2>
                    </td>
                </tr>
                <tr><td></td></tr>  
                <tr>
                    <td class="content" style="padding:40px 40px;">
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> Dear ' . $name . ', </p>
                        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0"> ' . $signupMessage . '. </p>
        
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0; font-weight:bold">
                        Regards,                    
                        </p>
                        <p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0;  font-weight:bold">
                        ' . $app_name . '
                        </p>
                    </td>
                </tr>
                <tr>                
                    <td  style="background-color:#006ec7; padding-bottom:60px;">
                        <table style="width:100%" border="0" cellspacing="0" cellpadding="0" class="full-wid" align="center">
                        <tr>
                            <td>     
                                <div style="margin:0 auto; text-align:center; padding:0 100px" class="foot-items">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:14px; color:#ffffff; margin-top:40px; line-height:20px;">
                                    &#169; 2021 ' . $app_name . ' App |  All right Reserved
                                    </p>
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#000000; line-height:20px; margin-bottom:40px;">
                                    <p style="font-family:Arial, Helvetica, sans-serif; font-size:12px; color:#fff; line-height:20px;">
                                        This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. 
                                                            If you have received this email in error, please notify the system manager. This message contains confidential information and is intended only for the individual named. 
                                                            If you are not the named addressee, you should not disseminate, distribute or copy this email. Please notify the sender immediately by email if you have received this email by mistake and delete this email from your system. 
                                                            If you are not the intended recipient, you are notified that disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    
            </table>
            </td>
        </tr>              
</table>
</td>
</tr>        
</table>
</td>
</tr>   
</table>
</body>
</html>';
    return $body;
}
