<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'authorized.php';
include 'jwt_function.php';



if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if(empty($_POST['order_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'order_id');
    jsonSendEncode($record);
}


//-------------------------------- get all value in variables -----------------------
 $user_id         =   $_POST['user_id'];
$order_id         =   $_POST['order_id'];
$createtime       =   date('Y-m-d H:i:s');
$updatetime       =   date('Y-m-d H:i:s');
$status           =   2;

//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id from user_master where user_id =? and user_type =2");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------
 $active_status = checkAccountActivateDeactivate($user_id);
 if($active_status == 0){
	 $record = array('success'=>'false', 'msg'=>$account_deactivate, 'account_active_status'=>$active_status); 
	 jsonSendEncode($record); 
 }
 $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
  // ---------------------- check account activate or not ----------------------
//   echo "SELECT order_id,order_no,user_id from order_master where delete_flag=0 and order_status = 1 and  order_id =$order_id and driver_assign_to=$user_id";
  $check_order_id_id = $mysqli->prepare("SELECT order_id,order_no,user_id from order_master where delete_flag=0 and order_status = 1 and  order_id =? and driver_assign_to=? ");
 $check_order_id_id->bind_param('ii', $order_id,$user_id);
 $check_order_id_id->execute();
 $check_order_id_id->store_result();
 $check_user_order_id = $check_order_id_id->num_rows;  //0 1
 if($check_user_order_id <= 0){
     $record = array('success'=>'fals1e', 'msg'=>$order_not_found); 
     jsonSendEncode($record);
 }
	$check_order_id_id->bind_result( $order_ids,$order_no,$get_user_id);
	$check_order_id_id->fetch();

 
 $update_all = $mysqli->prepare("UPDATE order_master set order_status =?, updatetime =?,delivery_date_time=? where order_id =?");
 $update_all->bind_param("issi", $status, $updatetime,$updatetime,$order_id);
 $update_all->execute();
 $update = $mysqli->affected_rows;
 if ($update <= 0) {
     $record = array('success' => 'false', 'msg' => $msg_order_mark_unsuccess);
     jsonSendEncode($record);
 }
 $notification_arr = array();
// ------------------ Notification array start ------------------ //
//echo  $provider_id;
$delete_status = getDeleteUserStatus($get_user_id);

if($delete_status == 0 ){
$user_id_notification = $user_id;
$other_user_id_notification = $get_user_id;
$action = 'order_complete';
$action_id = $order_id;
$title = array('Order Completed','Order Completed','Order Completed','Order Completed');

$msg1='Your Order, Order ID: '.$order_no.' completed successfully';
$msg2='Your Order, Order ID: '.$order_no.' completed successfully';
$msg3='Your Order, Order ID: '.$order_no.' completed successfully';

    $message = array($msg1, $msg2, $msg3,$msg1);

$action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id,$title,$message, $action_data); 
if ($notification_arr_check != 'NA') {
	$notification_arr[] = $notification_arr_check;
}
//notification send code
if (!empty($notification_arr)) {
	oneSignalNotificationSendCall($notification_arr);
}
}
 //----------------------------- Function Call ----------------------//
 $mysqli->close();
 $record=array ('success'=>'true', 'msg'=>$msg_order_mark_success); 
 jsonSendEncode($record);
 ?>