<?php

    include 'con1.php';
    include 'function_app_common.php'; 
    include 'function_app.php';
    include('language_message.php');
    include('mailFunctions.php');

    if(!$_POST){
        $record=array('success'=>'false','msg' =>$msg_post_method); 
        jsonSendEncode($record); 
    }

    if(empty($_POST['user_id'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param); 
        jsonSendEncode($record); 
    }

    if(empty($_POST['name'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param); 
        jsonSendEncode($record); 
    }

    if(empty($_POST['email'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param); 
        jsonSendEncode($record); 
    }
    
    if(empty($_POST['message'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param); 
        jsonSendEncode($record); 
    }   
    
     if(empty($_POST['subject'])){
        $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'subject'); 
        jsonSendEncode($record); 
    }



    //-------------------------------- get all value in variables -----------------------
    $user_id       =   $_POST['user_id'];
    $name          =   $_POST['name'];
   
    $email        =   $_POST['email'];
    $message       =   $_POST['message'];
    $subject       =   $_POST['subject'];
    $updatetime     =   date("Y-m-d H:i:s");
    $createtime     =   date("Y-m-d H:i:s");
    
    //-------------------------- check user user id --------------------------
    $check_user_id_all=$mysqli->prepare("SELECT user_id FROM user_master WHERE user_id=?");
    $check_user_id_all->bind_param("i",$user_id);
    $check_user_id_all->execute();
    $check_user_id_all->store_result();
    $check_user_id=$check_user_id_all->num_rows;  //0 1
    if($check_user_id <= 0){
        $record=array('success'=>'false', 'msg' =>$user_not_found); 
        jsonSendEncode($record); 
    }

    $check_user_id_all->bind_result($user_id_get);
    $check_user_id_all->fetch();

    //--------------- check account activate or not ----------------------
    $active_status = checkAccountActivateDeactivate($user_id_get);
    if($active_status == 0){
        $record=array('success'=>'false','msg' =>$account_deactivate, 'active_status'=>$active_status); 
        jsonSendEncode($record); 
    }

   //---------------------insert contact---------------------------------

      
    $contact_add = $mysqli->prepare("INSERT INTO `contact_us_master`(`user_id`, `name`, `email`, `message`,`createtime`, `updatetime`,subject) VALUES (?,?,?,?,?,?,?)");
    $contact_add->bind_param("issssss", $user_id_get,$name,$email, $message,$createtime, $updatetime,$subject);
    $contact_add->execute();
    $contact_count=$mysqli->affected_rows;
    if($contact_count<=0){
        $record=array('success'=>'false','msg'=>$insert_unsuccess_request); 
        jsonSendEncode($record);
    }
    
    $email_arr          =   array();
    $admin_details      =   getUserDetails(1);
    // Send mail to admin for contact us        
    if($admin_details != 'NA'){
        $admin_email    =   $admin_details['email'];
        $admin_name     =   $admin_details['name'];
        // Start send mail
        $mail_content   =   '';
        $mail_content   .=  '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Contact name: '.$name.'</p>';
        $mail_content   .=  '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Contact Email: '.$email.'</p>';
        $mail_content   .=  '<p style="font-family:Arial, Helvetica, sans-serif; font-size:15px; color:#333333; margin-top:0">Contact Message: '.$message.'</p>';   

        $subject    =   'Contact Us';
        $heading    =   'Contact Us';
        $postData['subject']        =   $subject;
        $postData['mail_heading']   =   $heading;
        $postData['mailContent']    =   $mail_content;
        $postData['name']           =   $admin_name;
        $postData['email']          =   $admin_email;
        $postData['fromName']       =   $app_name;
        $postData['app_name']       =   $app_name;
        $postData['app_logo']       =   $app_logo;
        $mailBody                   =   mailBodySendData($postData);

        // echo $mailBody;
        // die;
        $email_arr[]                =   array('email'=>$postData['email'], 'fromName'=>$postData['fromName'], 'mailsubject'=>$postData['subject'], 'mailcontent'=>$mailBody, 'file'=>$contact_image);       
        // End send mail    
    }
    
    if(empty($email_arr)){
        $email_arr  =   'NA';
    }
    $mysqli->close();

    //-------------------------------- get user complete details --------------------------
    $record=array('success'=>'true','msg'=>$send_request_success, 'email_arr'=>$email_arr); 
    jsonSendEncode($record);
?>
