<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php';
include 'jwt_function.php';



if(!$_POST){
	$record=array('success'=>'false','msg' =>$msg_post_method,'key'=>'method'); 
	jsonSendEncode($record);
}
if(empty($_POST['user_id'])){
    $record=array('success'=>'false','msg' =>$msg_empty_param, 'key'=>'user_id');
    jsonSendEncode($record);
}
if (empty($_POST['booking_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'booking_id');
    jsonSendEncode($record);
}

if (empty($_POST['cancel_reason_type'])) {
    $cancel_reason_type = 0;
}else{
    $cancel_reason_type    =   $_POST['cancel_reason_type'];
}
if (empty($_POST['cancel_charge'])) {
    $cancel_charge = 0;
}else{
    $cancel_charge    =   $_POST['cancel_charge'];
}



// -------------- POST value from field --------------- //
$user_id               =   $_POST['user_id'];
$booking_id            =   $_POST['booking_id'];

$createtime            =   date('Y-m-d H:i:s');
$updatetime            =   date('Y-m-d H:i:s');


//-------------------------- check user_id --------------------------
$check_user_id = $mysqli->prepare("SELECT user_id,name,user_type from user_master where user_id =?");
$check_user_id->bind_param('i', $user_id);
$check_user_id->execute();
$check_user_id->store_result();
$check_user = $check_user_id->num_rows;  //0 1
if($check_user <= 0){
	$record = array('success'=>'false', 'msg'=>$user_not_found); 
	jsonSendEncode($record);
}

$check_user_id->bind_result($user_id_get,$name,$user_type);
$check_user_id->fetch();
// ---------------------- check user account end ---------------------- //
 // ---------------------- check account activate or not ----------------------

  
  $active_status = checkAccountActivateDeactivate($user_id);
  if($active_status == 0){
      $record = array('success'=>'false', 'msg'=>$account_deactivate, 'active_status'=>$active_status); 
      jsonSendEncode($record); 
  }
  $decoded = jwtAuthDecode($token,$user_id);
if ($decoded['code'] != 100 ) {
	$record = array('success' => 'false', 'msg' => $decoded['msg'],  'decode_status' => $decoded['code']);
	jsonSendEncode($record);
}else{
     $token_user_id = $decoded['user_id'];
}
// ---------------------- check account activate or not end ----------------------

      $check_booking_id_all = $mysqli->prepare("SELECT booking_id,booking_status,booking_number,user_id,driver_user_id from booking_master where delete_flag = 0  and booking_id =?  ");
      $check_booking_id_all->bind_param('i', $booking_id);
      $check_booking_id_all->execute();
      $check_booking_id_all->store_result();
      $check_check_booking_id_all = $check_booking_id_all->num_rows;  //0 1
      if ($check_check_booking_id_all > 0) {
  
          $check_booking_id_all->bind_result($booking_id,$booking_status,$booking_number,$user_id_get,$driver_user_id);
          $check_booking_id_all->fetch();
          if($booking_status == 3){
            $record = array('success' => 'false', 'msg' => $booking_already_rejected);
            jsonSendEncode($record);
          }
      }else{
            $record = array('success' => 'false', 'msg' => $booking_not_found);
            jsonSendEncode($record);
      }
  

$delete_flag =0;
$status = 3;
if($user_type == 2){
    $current_status = 6;
}else{
    $current_status = 7;

    $user_status = 0;
    $other_status = 1;
    $other_user_id = 1;
    $wallet_amount = $cancel_charge;
    $insert_user_wallet_all = $mysqli->prepare("INSERT INTO 
    user_wallet_master(`user_id`, `other_user_id`, `booking_id`, `amount`, `status`, `delete_flag`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
    $insert_user_wallet_all->bind_param("iiisiiss",$user_id,$other_user_id,$booking_id,$wallet_amount, $user_status,$delete_flag,$createtime,$updatetime);
    $insert_user_wallet_all->execute();
    $insert_user_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_user_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }
    $insert_other_user_wallet_all = $mysqli->prepare("INSERT INTO 
    user_wallet_master(`user_id`, `other_user_id`, `booking_id`, `amount`, `status`, `delete_flag`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
    $insert_other_user_wallet_all->bind_param("iiisiiss",$other_user_id,$user_id,$booking_id,$wallet_amount, $other_status,$delete_flag,$createtime,$updatetime);
    $insert_other_user_wallet_all->execute();
    $insert_other_user_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_other_user_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }
    $check_booking_id_all = $mysqli->prepare("SELECT total_amount from booking_payment_master where delete_flag = 0  and booking_id =? and payment_mode =2  ");
    $check_booking_id_all->bind_param('i', $booking_id);
    $check_booking_id_all->execute();
    $check_booking_id_all->store_result();
    $check_check_booking_id_all = $check_booking_id_all->num_rows;  //0 1
    if ($check_check_booking_id_all > 0) {
    
        $check_booking_id_all->bind_result($total_amount);
       while($check_booking_id_all->fetch()){
    
        $user_status = 1;
        $other_status = 0;
        $other_user_id = 1;
        $wallet_amount = $cancel_charge;
        $insert_user_wallet_all = $mysqli->prepare("INSERT INTO 
        user_wallet_master(`user_id`, `other_user_id`, `booking_id`, `amount`, `status`, `delete_flag`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
        $insert_user_wallet_all->bind_param("iiisiiss",$user_id,$other_user_id,$booking_id,$total_amount, $user_status,$delete_flag,$createtime,$updatetime);
        $insert_user_wallet_all->execute();
        $insert_user_wallet = $mysqli->affected_rows;
        // echo $insert;
        if ($insert_user_wallet <= 0) {
            $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
            jsonSendEncode($record);
        }
        $insert_other_user_wallet_all = $mysqli->prepare("INSERT INTO 
        user_wallet_master(`user_id`, `other_user_id`, `booking_id`, `amount`, `status`, `delete_flag`,`createtime`, `updatetime`) VALUES (?,?,?,?,?,?,?,?)");
        $insert_other_user_wallet_all->bind_param("iiisiiss",$other_user_id,$user_id,$booking_id,$wallet_amount, $other_status,$delete_flag,$createtime,$updatetime);
        $insert_other_user_wallet_all->execute();
        $insert_other_user_wallet = $mysqli->affected_rows;
        // echo $insert;
        if ($insert_other_user_wallet <= 0) {
            $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
            jsonSendEncode($record);
        }
       }
        
    }
    
    
}

$update_job_bid_all=$mysqli->prepare("UPDATE  `booking_master` SET driver_cancel_datetime=? , cancel_charge = ?, cancel_reason_type =?, booking_status = ?,current_status = ?, updatetime = ? where delete_flag = 0 and booking_id = ?  ");
$update_job_bid_all->bind_param("sssiisi",$updatetime,$cancel_charge,$cancel_reason_type, $status,$current_status,$updatetime,$booking_id);
$update_job_bid_all->execute();
$update_job_bid=$mysqli->affected_rows;
if($update_job_bid<=0){ 
    $record=array('success'=>'false','msg' =>$msg_booking_accept_unsuccess); 
    jsonSendEncode($record); 
}
//------------------ Notification array start ------------------ //
if($user_type == 2){
    $other_user_id = $user_id_get;
}else{
    $other_user_id = $driver_user_id;
}
$delete_status = getDeleteUserStatus($other_user_id);

if($delete_status == 0 ){
$notification_arr = array();
if($user_type == 1){
$user_id_notification = $user_id;
$other_user_id_notification = $other_user_id;
$action = 'booking_cancel';
$action_id = $booking_id;
$title = array('Booking Cancelled','Booking Cancelled','Booking Cancelled','Booking Cancelled');
$messages=$name.' has cancelled your booking, Booking ID: '.$booking_number;
$message = array($messages,$messages,$messages,$messages);
$action_data = array('user_id'=>$user_id_notification, 'other_user_id'=>$other_user_id_notification, 'action_id'=>$action_id, 'action'=>$action);
$notification_arr_check = getNotificationArrSingle($user_id_notification, $other_user_id_notification, $action, $action_id, $title, $message, $action_data);
if ($notification_arr_check != 'NA') {
    $notification_arr[] = $notification_arr_check;
}
}
if (!empty($notification_arr)) {
    if($user_type == 2){
        oneSignalNotificationSendCall($notification_arr);
    }else{
        oneSignalNotificationSendCallDriver($notification_arr);
    }

}
}
$update_book_status_all=$mysqli->prepare("UPDATE  `user_master` SET  book_status = 0,updatetime = ? where delete_flag = 0  and user_id = ?   ");
$update_book_status_all->bind_param("si",$updatetime,$driver_user_id);
$update_book_status_all->execute();
$update_book_status=$mysqli->affected_rows;
//------------------ Notification array end ------------------ //

///========================= Response ========================= //
$mysqli->close();
$record = array('success' => 'true', 'msg' => $msg_booking_reject_success);
jsonSendEncode($record);
