<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
include 'jwt_function.php';



if (!$_POST) {
	$record = array('success' => 'false', 'msg' => $msg_post_method,'key'=>'method');
	jsonSendEncode($record);
}

if (empty($_POST['user_id'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'user_id');
	jsonSendEncode($record);
}

if (empty($_POST['referal_code'])) {
	$record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'referal_code');
	jsonSendEncode($record);
}

//echo "<pre>";print_r($_POST);die;

//-------------------------------- get all value in variables -----------------------
$user_id 	=	$_POST['user_id'];
$referal_code 		=	$_POST['referal_code'];

$delete_flag    =	0;
$mail_arr 		=	array();
//-------------------------- check user_id --------------------------
$check_user_all = $mysqli->prepare("SELECT user_id,email from user_master where delete_flag=0 and user_id=?");
$check_user_all->bind_param("i", $user_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;  //0 1
if ($check_user <= 0) {
	$record = array('success' => 'false', 'msg' => $user_not_found);
	jsonSendEncode($record);
}
$check_user_all->bind_result($user_id, $email);
$check_user_all->fetch();

//-------------------------- check referal_code --------------------------
$check_referal_code_all = $mysqli->prepare("SELECT user_id,referal_code from user_master where delete_flag=0 and  BINARY referal_code=?");
$check_referal_code_all->bind_param("s",  $referal_code);
$check_referal_code_all->execute();
$check_referal_code_all->store_result();
$check_referal_code = $check_referal_code_all->num_rows;  //0 1	
if ($check_referal_code <= 0) {
	$record = array('success' => 'false', 'msg' => $invalid_referal_code);
	jsonSendEncode($record);
}
$check_referal_code_all->bind_result($referal_code_user_id, $referal_codes);
$check_referal_code_all->fetch();
//-------------------------- check point --------------------------
$check_point_all = $mysqli->prepare("SELECT point_id,point_for_sharing,point_for_sharing_receiver from points_master where delete_flag=0 ");
// $check_point_all->bind_param("s",  $point);
$check_point_all->execute();
$check_point_all->store_result();
$check_point = $check_point_all->num_rows;  //0 1	
if ($check_point <= 0) {
	$record = array('success' => 'false', 'msg' => $invalid_point);
	jsonSendEncode($record);
}
$check_point_all->bind_result($point_id, $point,$point_over);
$check_point_all->fetch();

$check_referal_code_all = $mysqli->prepare("SELECT othert_referal_code from user_master where delete_flag=0 and  othert_referal_code=? and  user_id=?");
$check_referal_code_all->bind_param("si",  $referal_code,  $user_id);
$check_referal_code_all->execute();
$check_referal_code_all->store_result();
$check_referal_code = $check_referal_code_all->num_rows;  //0 1 
if ($check_referal_code > 0) {
    $record = array('success' => 'false', 'msg' => $invalid_referal_codeuass);
    jsonSendEncode($record);
}
// Update Account Details

// $user_details	=	getUserDetails($user_id);
// $user_type = 1;
// if ($user_details != 'NA') {
// 	$user_type = $user_details['user_type'];
// }
//$profile_complete	=0;
$referal_code_verify		=	1;
$updatetime		=	date('Y-m-d H:i:s');
$createtime     =   date('Y-m-d H:i:s');
$update_all = $mysqli->prepare("UPDATE user_master set referal_code_user_id=?,othert_referal_code=?,referal_code_verify=?, updatetime=? WHERE user_id=?");
$update_all->bind_param("isisi",$referal_code_user_id,$referal_code,$referal_code_verify,$updatetime, $user_id);
$update_all->execute();
$update = $mysqli->affected_rows;
if ($update <= 0) {
	$record = array('success' => 'false', 'msg' => $referal_code_not_verify);
	jsonSendEncode($record);
}




    $user_status = 1;
    $other_status = 1;
    $other_user_id = $referal_code_user_id;
    $type = 0;
    $insert_user_wallet_all = $mysqli->prepare("INSERT INTO 
    user_points_master(`user_id`, `other_user_id`, `points`, `referal_code`, `status`, `delete_flag`,`createtime`, `updatetime`,type) VALUES (?,?,?,?,?,?,?,?,?)");
    $insert_user_wallet_all->bind_param("iiisiissi",$other_user_id,$user_id,$point,$referal_code, $user_status,$delete_flag,$createtime,$updatetime,$type);
    $insert_user_wallet_all->execute();
    $insert_user_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_user_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }

    $insert_over_user_wallet_all = $mysqli->prepare("INSERT INTO 
    user_points_master(`user_id`, `other_user_id`, `points`, `referal_code`, `status`, `delete_flag`,`createtime`, `updatetime`,type) VALUES (?,?,?,?,?,?,?,?,?)");
    $insert_over_user_wallet_all->bind_param("iiisiissi",$user_id,$other_user_id,$point_over,$referal_code, $user_status,$delete_flag,$createtime,$updatetime,$type);
    $insert_over_user_wallet_all->execute();
    $insert_over_user_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_over_user_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }



    
    
    
    
    
    $other_status = 0;
    $other_user_id = 1;
    $type = 0;
    $insert_admin_wallet_all = $mysqli->prepare("INSERT INTO 
    user_points_master(`user_id`, `other_user_id`, `points`, `referal_code`, `status`, `delete_flag`,`createtime`, `updatetime`,type) VALUES (?,?,?,?,?,?,?,?,?)");
    $insert_admin_wallet_all->bind_param("iiisiissi",$other_user_id,$referal_code_user_id,$point,$referal_code, $other_status,$delete_flag,$createtime,$updatetime,$type);
    $insert_admin_wallet_all->execute();
    $insert_admin_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_admin_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }

    $insert_over_admin_wallet_all = $mysqli->prepare("INSERT INTO 
    user_points_master(`user_id`, `other_user_id`, `points`, `referal_code`, `status`, `delete_flag`,`createtime`, `updatetime`,type) VALUES (?,?,?,?,?,?,?,?,?)");
    $insert_over_admin_wallet_all->bind_param("iiisiissi",$other_user_id,$user_id,$point_over,$referal_code, $other_status,$delete_flag,$createtime,$updatetime,$type);
    $insert_over_admin_wallet_all->execute();
    $insert_over_admin_wallet = $mysqli->affected_rows;
    // echo $insert;
    if ($insert_over_admin_wallet <= 0) {
        $record = array('success' => "false", 'msg' => $msg_order_created_unsuccessfully);
        jsonSendEncode($record);
    }















$user_details	=	getUserDetails($user_id);
$mysqli->close();
$record = array('success' => 'true', 'msg' => $msg_referal_code_verify, 'user_details' => $user_details);
jsonSendEncode($record);



?>
