<?php
include 'con1.php';
include 'function_app_common.php'; 
include 'function_app.php'; 
include 'language_message.php'; 



if(!$_GET){
    $record=array('success'=>'false','msg' =>$msg_get_method); 
    jsonSendEncode($record);
}

if(empty($_GET['driver_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}
if(empty($_GET['booking_id'])){
    $record = array('success'=>'false', 'msg'=>$msg_empty_param,'error'=>2); 
    jsonSendEncode($record);
}



// ------------------- get all value in variables start ------------------- //


$driver_id=$_GET['driver_id'];
$booking_id=$_GET['booking_id'];

 



 // =================== check user exist or not ====================



$check_user_all = $mysqli->prepare("SELECT user_id from user_master where user_id=? ");
$check_user_all->bind_param("i",$driver_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if($check_user <= 0){
    $record = array('success'=>'false', 'msg'=>$user_not_found,'error'=>7); 
    jsonSendEncode($record);    
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();

// --------------- check account activate-deactivate--------------- //

$active_status = checkAccountActivateDeactivate($driver_id);
if($active_status == 0){
    $record = array('success'=>'false', 'msg'=>$account_deactivate,  'active_status'=>$active_status); 
    jsonSendEncode($record); 
}





    
   
//-------------------------- get all content --------------------------
$check_get_booking_all=$mysqli->prepare("SELECT `booking_id`,`user_id` ,`user_vehicle_id`, `booking_number`, `booking_date`, `booking_time`, `address`, `status`, `address_type`,`booking_type`,`villa_no`, `street_no`,`service_total_amount`,tax_amount,`wallet_amount`, `grand_total`,coupon_amount,note,  `createtime`,payment_mode_driver,payment_status_driver, cancel_reason,cancel_by FROM `booking_master` where delete_flag =0 and booking_id =?  ");
  
  $check_get_booking_all->bind_param("i",$booking_id);
  $check_get_booking_all->execute();
  $check_get_booking_all->store_result();
  $check_get_booking=$check_get_booking_all->num_rows;  //0 1
if($check_get_booking > 0){

    $check_get_booking_all->bind_result($booking_id,$user_id_get, $user_vehicle_id, $booking_number, $booking_date, $booking_time, $address, $status, $address_type,$booking_type,$villa_no, $street_no,$service_total_amount,$tax_amount,$wallet_amount, $grand_total,$coupon_amount,$note,  $createtime ,$payment_mode_driver,$payment_status_driver,$cancel_reason,$cancel_by);
        $check_get_booking_all->fetch();

          $createtime =date('M-d-Y h:i A',strtotime($createtime));
          $booking_date =date('M-d-Y ',strtotime($booking_date));
          $booking_time =date('h:i A',strtotime($booking_time));

          $userData= getUserDetails($user_id_get);
 $CustomerName =$userData['name'];
 $Customerimage =$userData['image'];
 $Customermobile =$userData['mobile'];

          if($booking_type == 0){
            $booking_type_text='Indoor';
          }else{
            $booking_type_text='Outdoor';
          }

          if($status == 0){
            $status_text='Pending';
            $status_text_arr='قيد الانتظار';
          }else if($status == 1){
            $status_text='Ongoing';
            $status_text_arr='جاري التنفيذ';
          }else if($status == 2){
            $status_text='Cancel by customer';
            $status_text_arr='إلغاء من قبل العميل';
          }else if($status == 3){
            $status_text='Completed';
            $status_text_arr='مكتمل';
          }else if($status == 4){
            $status_text='Cancel by employee';
            $status_text_arr='ابدأ العملk';
          }

          if($address_type == 0){
        $address_text ='Current Location';
    }else if($address_type == 1){
     $address_text='Home';
    }else if($address_type == 2){
        $address_text='Office';
    }else{
        $address_text='Other';
    }
          
           if($cancel_by==1){
              $status_text='Cancel by customer';
            $status_text_arr='إلغاء من قبل العميل';
          }else if($cancel_by==2){
              $status_text='Cancel by employee';
            $status_text_arr='ابدأ العملk';
          }

          //==========================select service data=================================
          $service_arr = array();
        $check_get_service_all=$mysqli->prepare("SELECT `service_id`,free_status,service_price FROM `booking_service_master` where delete_flag =0 and booking_id =?  ");
        
        $check_get_service_all->bind_param("i",$booking_id);
        $check_get_service_all->execute();
        $check_get_service_all->store_result();
        $check_get_service=$check_get_service_all->num_rows;  //0 1
        if($check_get_service > 0){
        
        $check_get_service_all->bind_result($service_id_get,$free_status,$service_price);
        while($check_get_service_all->fetch()){
        
            $check_get_service_all1=$mysqli->prepare("SELECT `service_id`, `service_name1`, `service_name2`, `image`, `price`, desc1, desc2 from  service_master where delete_flag =0  and service_id=? ");
            
            $check_get_service_all1->bind_param("i",$service_id_get);
            $check_get_service_all1->execute();
            $check_get_service_all1->store_result();
            $check_get_service1=$check_get_service_all->num_rows;  //0 1
            if($check_get_service1 > 0){
            
                $check_get_service_all1->bind_result($service_id, $service_name1, $service_name2, $image, $price,$desc1,$desc2);
                while($check_get_service_all1->fetch()){
                
                
                
                    $service_arr[]=array(
                        'service_id'=>$service_id,
                        'service_name'=>array($service_name1,$service_name2),
                        'description'=>array($desc1,$desc2),
                        'image'=>$image,
                        'price'=>$service_price,
                        'free_status'=>$free_status
                    );
                }
            }
      }
    }
      
     if(empty($service_arr)){
        $service_arr='NA';
    }

//=======================================select user vehicle===================================
    $check_get_vehicle_all=$mysqli->prepare("SELECT `user_vehicle_id`, `vehicle_type_id`, `plate_type_id`, `code_id`, `plate_number` from  user_vehicle_master where user_vehicle_id=? ");
    
    $check_get_vehicle_all->bind_param("i",$user_vehicle_id);
    $check_get_vehicle_all->execute();
    $check_get_vehicle_all->store_result();
    $check_get_vehicle=$check_get_vehicle_all->num_rows;  //0 1
    if($check_get_vehicle > 0){
    
        $check_get_vehicle_all->bind_result($user_vehicle_id, $vehicle_type_id, $plate_type_id, $code_id, $plate_number);
        $check_get_vehicle_all->fetch();
    
        $code_name =getCodeName($code_id);
        $vehicle_type =getVehicleType($vehicle_type_id);
        $Plate_type =getPlateType($plate_type_id);
        
        
        
        $vehicle_arr=array('user_vehicle_id'=>$user_vehicle_id,'code_name'=>$code_name,'vehicle_type'=>$vehicle_type,'Plate_type'=>$Plate_type,'plate_number'=>$plate_number);
    
    }

    
    $start_work_image_arr = array();
    $end_work_image_arr = array();
    $check_booking_image_all=$mysqli->prepare("SELECT image_id,image,type from  booking_image_master where delete_flag =0   and booking_id=? order by image_id ASC");
    
    $check_booking_image_all->bind_param("i",$booking_id);
    $check_booking_image_all->execute();
    $check_booking_image_all->store_result();
    $check_booking_image=$check_booking_image_all->num_rows;  //0 1
    if($check_booking_image > 0){
    
        $check_booking_image_all->bind_result($image_id, $image, $type);
        while($check_booking_image_all->fetch()){
            if($type == 1){
                $start_work_image_arr[] = array('image_id'=>$image_id, 'image'=>$image);
            }else{
                $end_work_image_arr[] = array('image_id'=>$image_id, 'image'=>$image);
            }
        }
    }
        
        
    
    if(empty($start_work_image_arr)){
     $start_work_image_arr='NA';
    }
    
    if(empty($end_work_image_arr)){
        $end_work_image_arr='NA';
    }
    
    $booking_traking_arr = getOrderTraking($booking_id);
    
            $current_status = 'accept';
            $current_status_lable = 'accept,ontheway,arrived,startjob,complete';
            
    if($booking_traking_arr != 'NA'){
        $current_status = $booking_traking_arr['current_status'];
    }
    
    
    $rating_arr = array();
$select_rating_all = $mysqli->prepare("SELECT rating_id, user_id, rating, review,createtime,booking_no, suggestion from  rating_master where delete_flag =0 and booking_id=?");
$select_rating_all->bind_param("i", $booking_id);
$select_rating_all->execute();
$select_rating_all->store_result();
$select_rating = $select_rating_all->num_rows;
if($select_rating > 0) {

    $select_rating_all->bind_result($rating_id, $customer_id, $rating, $review,$createtime, $booking_no, $suggestion);
    $select_rating_all->fetch();
    
     $createtime = date('d M Y h:i A', strtotime($createtime));
        
        $customer_name = 'NA';
    	$customer_image = 'NA';
    	$customer_mobile = 'NA';
    	$customer_details     = getUserDetails($customer_id);
    	if($customer_details != 'NA'){
    	    $customer_name = $customer_details['name'];
    	    $customer_image = $customer_details['image'];
    	    $customer_mobile = '+971'.$customer_details['mobile'];
    	} 

    $rating_arr = array('rating_id'=>$rating_id, 'rating'=>$rating,'review'=>$review, 'customer_name'=>$customer_name, 'customer_image'=>$customer_image, 'createtime'=>$createtime, 'booking_no'=>$booking_no,'suggestion'=>$suggestion);

}

if(empty($rating_arr)) {
    $rating_arr = "NA";
}
  
  
  
    // $grand_total = $service_total_amount + $tax_amount;
    // $grand_total = number_format($grand_total, 2);
    
    $booking_arr=array('booking_id'=>$booking_id,'vehicle_arr'=>$vehicle_arr,'booking_number'=>$booking_number,'booking_date'=>$booking_date,'booking_time'=>$booking_time,'address'=>$address,'status'=>$status_text,'status_arr'=>$status_text_arr,'address_type'=>$address_text,'createtime'=>$createtime,'booking_type'=>$booking_type_text,'villa_no'=>$villa_no,'street_no'=> $street_no,'service_total'=>$service_total_amount,'tax'=>$tax_amount,'wallet_amt'=>$wallet_amount,'grand_total'=> $grand_total,'coupon_amt'=>$coupon_amount,'note'=>$note,'CustomerName'=>$CustomerName,'Customerimage'=>$Customerimage,'Customermobile'=>$Customermobile, 'start_work_image_arr'=>$start_work_image_arr,'end_work_image_arr'=>$end_work_image_arr,'booking_traking_arr'=>$booking_traking_arr, 'current_status'=>$current_status,'current_status_lable'=>$current_status_lable, 'rating_arr'=>$rating_arr,'payment_mode_driver'=>$payment_mode_driver, 'payment_status_driver'=>$payment_status_driver,'customer_id'=>$user_id_get,'cancel_reason'=>$cancel_reason);
}

if(empty($booking_arr)){
    $booking_arr='NA';
}


$mysqli->close();
$record=array('success'=>'true','msg' =>$activity_found,'booking_arr'=>$booking_arr,'service_arr'=>$service_arr); 
jsonSendEncode($record);

?>