<?php
include 'con1.php';
include 'function_app_common.php';
include 'function_app.php';
include 'language_message.php';
if (!$_GET) {
    $record = array('success' => 'false', 'msg' => $msg_get_method);
    jsonSendEncode($record);
}
if (empty($_GET['driver_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'driver_id');
    jsonSendEncode($record);
}

if (empty($_GET['stock_req_id'])) {
    $record = array('success' => 'false', 'msg' => $msg_empty_param, 'key' => 'stock_req_id');
    jsonSendEncode($record);
}

// ------------------- get all value in variables start ------------------- //
$driver_id = $_GET['driver_id'];
$stock_req_id = $_GET['stock_req_id'];

// =================== check user exist or not ====================
$check_user_all = $mysqli->prepare("SELECT user_id from user_master where  user_id=? ");
$check_user_all->bind_param("i", $driver_id);
$check_user_all->execute();
$check_user_all->store_result();
$check_user = $check_user_all->num_rows;
if ($check_user <= 0) {
    $record = array('success' => 'false', 'msg' => $user_not_found);
    jsonSendEncode($record);
}
$check_user_all->bind_result($user_id);
$check_user_all->fetch();
// --------------- check account activate-deactivate--------------- //
$active_status = checkAccountActivateDeactivate($driver_id);
if ($active_status == 0) {
    $record = array('success' => 'false', 'msg' => $account_deactivate,  'active_status' => $active_status);
    jsonSendEncode($record);
}

$req_detail_arr = array();
//-------------------------- get all Request details --------------------------
$check_req_history_all = $mysqli->prepare("SELECT req_number, stock_id,quantity,status,note,cancellation_reason FROM stock_request_master where delete_flag =0 and driver_id =? and stock_req_id=?");
$check_req_history_all->bind_param("ii", $driver_id, $stock_req_id);
$check_req_history_all->execute();
$check_req_history_all->store_result();
$check_history = $check_req_history_all->num_rows;  //0 1
if ($check_history > 0) {
    $check_req_history_all->bind_result($req_number, $stock_id, $quantity, $status, $note,$cancellation_reason);
    $check_req_history_all->fetch();
    $check_stock_all = $mysqli->prepare("SELECT title1,title2,desc1,desc2, image FROM stock_master where stock_id =?");
    $check_stock_all->bind_param("i", $stock_id);
    $check_stock_all->execute();
    $check_stock_all->store_result();
    $check_stock = $check_stock_all->num_rows;  //0 1
    if ($check_stock > 0) {
        $check_stock_all->bind_result($title1, $title2, $desc1, $desc2, $image);
        $check_stock_all->fetch();
    }
    if ($status == 0) {
        $status_get = "Pending";
        $status_get_arr = "قيد الانتظار";
    }
    if ($status == 1) {
        $status_get = "Accepted";
        $status_get_arr = "قبول";
    }
    if ($status == 2) {
        $status_get = "Rejected";
        $status_get_arr = "رفض";
    }
    if ($status == 3) {
        $status_get = "Verified";
        $status_get_arr = "تم التحقق";
    }
    if ($status == 4) {
        $status_get = "Complete";
        $status_get_arr = "مكتمل";
    }
    
    $req_detail_arr = array('stock_req_id' => $stock_req_id, 'stock_id' => $stock_id, 'title' => array($title1, $title2), 'desc' => array($desc1, $desc2), 'req_number' => $req_number,  'quantity' => $quantity, 'status' => $status_get, 'status_arr' => $status_get_arr, 'note' => $note, 'image' => $image, 'cancellation_reason'=>$cancellation_reason);
}

if (empty($req_detail_arr)) {
    $req_detail_arr = 'NA';
}
$mysqli->close();
$record = array('success' => 'true', 'msg' => $data_found, 'req_detail_arr' => $req_detail_arr);
jsonSendEncode($record);
